=== Unreleased ===

=== 2.6.33 - 2021-10-23 ===
- Removed trailing comma in composer.json

=== 2.6.32 - 2021-10-22 ===
- php8 compatability fix using empty() instead of @count()

=== 2.6.31 - 2017-11-03 ===
- replace functions deprecated in PHP 7.2
- {math} fix parameter checking order to avoid misleading message
- {math} replace wrong versiom

=== 2.6.30 - 2016-07-19 ===
- {math} shell injection vulnerability patch provided by Tim Weber
- fixed plugin filepath cache must not be static, because of possible problem
      when using multiple Smarty instances with diffrent plugins_dir settings
         https://github.com/smarty-php/smarty/issues/146 

=== 2.6.29 - 2015-06-21 ===
- PHP7 raises E_DEPRECATED use __construct for compatibility

=== 2.6.28 - 2013-09-30 ===
- Fixed old vulnerability bug https://bugs.gentoo.org/show_bug.cgi?id=356615
- Fixed made Smarty_Compiler.class.php compatible with PHP 5.5

=== 2.6.27 - 2012-09-24===
- Fixed escape Smarty error messages to avoid possible script execution
- Fixed security hole in {math} plugin

=== 2.6.26 - 2014-10-31 ===
- revert super global access changes, and instead rely on
- USE_SUPER_GLOBALS for security

=== 2.6.25 - 2009-05-19 ===
- fix E_NOTICE when sessions are disabled (mohrt)

=== 2.6.24 - 2009-05-16 ===
- fix problem introduced with super global changes (mohrt)


=== Older versions ===

2007-09-27  TAKAGI Masahiro  <matakagi@gmail.com>

    * docs/ja/designers/language-custom-functions/language-function-html-checkboxes.xml:
      sync with en.

2007-09-27  Monte Ohrt  <monte@ohrt.com>

    * docs/en/designers/language-custom-functions/language-function-html-checkboxes.xml:
      remove redundant attribute

2007-09-18  Messju Mohr  <messju@lammfellpuschen.de>

    * docs/id/programmers/plugins/plugins-functions.xml:
      removed errornous whitespace

2007-09-18  Zaenal Mutaqin  <zaenalm@gmail.com>

    * docs/id/designers/language-basic-syntax/language-escaping.xml
      docs/id/designers/language-basic-syntax/language-math.xml
      docs/id/designers/language-basic-syntax/language-syntax-attributes.xml
      docs/id/designers/language-basic-syntax/language-syntax-comments.xml
      docs/id/designers/language-basic-syntax/language-syntax-functions.xml
      docs/id/designers/language-basic-syntax/language-syntax-quotes.xml
      docs/id/designers/language-basic-syntax/language-syntax-variables.xml
      docs/id/designers/language-builtin-functions/language-function-capture.xml
      docs/id/designers/language-builtin-functions/language-function-config-load.xml
      docs/id/designers/language-builtin-functions/language-function-foreach.xml
      docs/id/designers/language-builtin-functions/language-function-if.xml
      docs/id/designers/language-builtin-functions/language-function-include-php.xml
      docs/id/designers/language-builtin-functions/language-function-include.xml
      docs/id/designers/language-builtin-functions/language-function-insert.xml
      docs/id/designers/language-builtin-functions/language-function-ldelim.xml
      docs/id/designers/language-builtin-functions/language-function-literal.xml
      docs/id/designers/language-builtin-functions/language-function-php.xml
      docs/id/designers/language-builtin-functions/language-function-section.xml
      docs/id/designers/language-builtin-functions/language-function-strip.xml
      docs/id/designers/language-custom-functions/language-function-assign.xml
      docs/id/designers/language-custom-functions/language-function-counter.xml
      docs/id/designers/language-custom-functions/language-function-cycle.xml
      docs/id/designers/language-custom-functions/language-function-debug.xml
      docs/id/designers/language-custom-functions/language-function-eval.xml
      docs/id/designers/language-custom-functions/language-function-fetch.xml
      docs/id/designers/language-custom-functions/language-function-html-checkboxes.xml
      docs/id/designers/language-custom-functions/language-function-html-image.xml
      docs/id/designers/language-custom-functions/language-function-html-options.xml
      docs/id/designers/language-custom-functions/language-function-html-radios.xml
      docs/id/designers/language-custom-functions/language-function-html-select-date.xml
      docs/id/designers/language-custom-functions/language-function-html-select-time.xml
      docs/id/designers/language-custom-functions/language-function-html-table.xml
      docs/id/designers/language-custom-functions/language-function-mailto.xml
      docs/id/designers/language-custom-functions/language-function-math.xml
      docs/id/designers/language-custom-functions/language-function-popup-init.xml
      docs/id/designers/language-custom-functions/language-function-popup.xml
      docs/id/designers/language-custom-functions/language-function-textformat.xml
      docs/id/designers/language-modifiers/language-modifier-capitalize.xml
      docs/id/designers/language-modifiers/language-modifier-cat.xml
      docs/id/designers/language-modifiers/language-modifier-count-characters.xml
      docs/id/designers/language-modifiers/language-modifier-count-paragraphs.xml
      docs/id/designers/language-modifiers/language-modifier-count-sentences.xml
      docs/id/designers/language-modifiers/language-modifier-count-words.xml
      docs/id/designers/language-modifiers/language-modifier-date-format.xml
      docs/id/designers/language-modifiers/language-modifier-default.xml
      docs/id/designers/language-modifiers/language-modifier-escape.xml
      docs/id/designers/language-modifiers/language-modifier-indent.xml
      docs/id/designers/language-modifiers/language-modifier-lower.xml
      docs/id/designers/language-modifiers/language-modifier-nl2br.xml
      docs/id/designers/language-modifiers/language-modifier-regex-replace.xml
      docs/id/designers/language-modifiers/language-modifier-replace.xml
      docs/id/designers/language-modifiers/language-modifier-spacify.xml
      docs/id/designers/language-modifiers/language-modifier-string-format.xml
      docs/id/designers/language-modifiers/language-modifier-strip-tags.xml
      docs/id/designers/language-modifiers/language-modifier-strip.xml
      docs/id/designers/language-modifiers/language-modifier-truncate.xml
      docs/id/designers/language-modifiers/language-modifier-upper.xml
      docs/id/designers/language-modifiers/language-modifier-wordwrap.xml
      docs/id/designers/language-variables/language-assigned-variables.xml
      docs/id/designers/language-variables/language-config-variables.xml
      docs/id/designers/language-variables/language-variables-smarty.xml
      docs/id/programmers/advanced-features/advanced-features-objects.xml
      docs/id/programmers/advanced-features/advanced-features-outputfilters.xml
      docs/id/programmers/advanced-features/advanced-features-postfilters.xml
      docs/id/programmers/advanced-features/advanced-features-prefilters.xml
      docs/id/programmers/advanced-features/section-template-cache-handler-func.xml
      docs/id/programmers/advanced-features/template-resources.xml
      docs/id/programmers/api-functions/api-append-by-ref.xml
      docs/id/programmers/api-functions/api-append.xml
      docs/id/programmers/api-functions/api-assign-by-ref.xml
      docs/id/programmers/api-functions/api-assign.xml
      docs/id/programmers/api-functions/api-clear-all-assign.xml
      docs/id/programmers/api-functions/api-clear-all-cache.xml
      docs/id/programmers/api-functions/api-clear-assign.xml
      docs/id/programmers/api-functions/api-clear-cache.xml
      docs/id/programmers/api-functions/api-clear-compiled-tpl.xml
      docs/id/programmers/api-functions/api-clear-config.xml
      docs/id/programmers/api-functions/api-config-load.xml
      docs/id/programmers/api-functions/api-display.xml
      docs/id/programmers/api-functions/api-fetch.xml
      docs/id/programmers/api-functions/api-get-config-vars.xml
      docs/id/programmers/api-functions/api-get-registered-object.xml
      docs/id/programmers/api-functions/api-get-template-vars.xml
      docs/id/programmers/api-functions/api-is-cached.xml
      docs/id/programmers/api-functions/api-load-filter.xml
      docs/id/programmers/api-functions/api-register-block.xml
      docs/id/programmers/api-functions/api-register-compiler-function.xml
      docs/id/programmers/api-functions/api-register-function.xml
      docs/id/programmers/api-functions/api-register-modifier.xml
      docs/id/programmers/api-functions/api-register-object.xml
      docs/id/programmers/api-functions/api-register-outputfilter.xml
      docs/id/programmers/api-functions/api-register-postfilter.xml
      docs/id/programmers/api-functions/api-register-prefilter.xml
      docs/id/programmers/api-functions/api-register-resource.xml
      docs/id/programmers/api-functions/api-template-exists.xml
      docs/id/programmers/api-functions/api-trigger-error.xml
      docs/id/programmers/api-functions/api-unregister-block.xml
      docs/id/programmers/api-functions/api-unregister-compiler-function.xml
      docs/id/programmers/api-functions/api-unregister-function.xml
      docs/id/programmers/api-functions/api-unregister-modifier.xml
      docs/id/programmers/api-functions/api-unregister-object.xml
      docs/id/programmers/api-functions/api-unregister-outputfilter.xml
      docs/id/programmers/api-functions/api-unregister-postfilter.xml
      docs/id/programmers/api-functions/api-unregister-prefilter.xml
      docs/id/programmers/api-functions/api-unregister-resource.xml
      docs/id/programmers/api-variables/variable-autoload-filters.xml
      docs/id/programmers/api-variables/variable-cache-dir.xml
      docs/id/programmers/api-variables/variable-cache-handler-func.xml
      docs/id/programmers/api-variables/variable-cache-lifetime.xml
      docs/id/programmers/api-variables/variable-cache-modified-check.xml
      docs/id/programmers/api-variables/variable-caching.xml
      docs/id/programmers/api-variables/variable-compile-check.xml
      docs/id/programmers/api-variables/variable-compile-dir.xml
      docs/id/programmers/api-variables/variable-compile-id.xml
      docs/id/programmers/api-variables/variable-compiler-class.xml
      docs/id/programmers/api-variables/variable-config-booleanize.xml
      docs/id/programmers/api-variables/variable-config-dir.xml
      docs/id/programmers/api-variables/variable-config-fix-newlines.xml
      docs/id/programmers/api-variables/variable-config-overwrite.xml
      docs/id/programmers/api-variables/variable-config-read-hidden.xml
      docs/id/programmers/api-variables/variable-debug-tpl.xml
      docs/id/programmers/api-variables/variable-debugging-ctrl.xml
      docs/id/programmers/api-variables/variable-debugging.xml
      docs/id/programmers/api-variables/variable-default-modifiers.xml
      docs/id/programmers/api-variables/variable-default-resource-type.xml
      docs/id/programmers/api-variables/variable-default-template-handler-func.xml
      docs/id/programmers/api-variables/variable-error-reporting.xml
      docs/id/programmers/api-variables/variable-force-compile.xml
      docs/id/programmers/api-variables/variable-left-delimiter.xml
      docs/id/programmers/api-variables/variable-php-handling.xml
      docs/id/programmers/api-variables/variable-plugins-dir.xml
      docs/id/programmers/api-variables/variable-request-use-auto-globals.xml
      docs/id/programmers/api-variables/variable-request-vars-order.xml
      docs/id/programmers/api-variables/variable-right-delimiter.xml
      docs/id/programmers/api-variables/variable-secure-dir.xml
      docs/id/programmers/api-variables/variable-security-settings.xml
      docs/id/programmers/api-variables/variable-security.xml
      docs/id/programmers/api-variables/variable-template-dir.xml
      docs/id/programmers/api-variables/variable-trusted-dir.xml
      docs/id/programmers/api-variables/variable-use-sub-dirs.xml
      docs/id/programmers/caching/caching-cacheable.xml
      docs/id/programmers/caching/caching-groups.xml
      docs/id/programmers/caching/caching-multiple-caches.xml
      docs/id/programmers/caching/caching-setting-up.xml
      docs/id/programmers/plugins/plugins-block-functions.xml
      docs/id/programmers/plugins/plugins-compiler-functions.xml
      docs/id/programmers/plugins/plugins-functions.xml
      docs/id/programmers/plugins/plugins-howto.xml
      docs/id/programmers/plugins/plugins-inserts.xml
      docs/id/programmers/plugins/plugins-modifiers.xml
      docs/id/programmers/plugins/plugins-naming-conventions.xml
      docs/id/programmers/plugins/plugins-outputfilters.xml
      docs/id/programmers/plugins/plugins-prefilters-postfilters.xml
      docs/id/programmers/plugins/plugins-resources.xml
      docs/id/programmers/plugins/plugins-writing.xml:
      Typos correction and all translated now.

2007-09-17  Messju Mohr  <messju@lammfellpuschen.de>

    * docs/id/bookinfo.xml
      docs/id/getting-started.xml
      docs/id/language-defs.ent
      docs/id/language-snippets.ent
      docs/id/livedocs.ent
      docs/id/preface.xml:
      added indonesian docs - thanks Zaenal Mutaqin

    * docs/scripts/generate_web.php:
      raise pcre.backtrack_limit - thanks to takagi

2007-09-16  Monte Ohrt  <monte@ohrt.com>

    * libs/Smarty_Compiler.class.php:
      fix typo

2007-08-22  George Miroshnikov  <support@infinity.com.ua>

    * docs/ru/getting-started.xml
      docs/ru/getting-started.xml:
      Sync with EN.

2007-08-01  Monte Ohrt  <monte@ohrt.com>

    * NEWS
      libs/Smarty_Compiler.class.php:
      add append feature to capture

2007-06-24  TAKAGI Masahiro  <matakagi@osk2.3web.ne.jp>

    * docs/ja/getting-started.xml:
      sync with en.

2007-06-24  Messju Mohr  <messju@lammfellpuschen.de>

    * docs/Makefile.in:
      reverted accidently modified file

    * docs/Makefile.in
      docs/de/getting-started.xml:
      sync with en

    * docs/en/getting-started.xml:
      fixed link to ini_set(). thanks to Lee Yunyoung.

2007-06-18  TAKAGI Masahiro  <matakagi@osk2.3web.ne.jp>

    * docs/ja/language-snippets.ent
      docs/ja/programmers/api-functions/api-register-outputfilter.xml
      docs/ja/programmers/api-functions/api-register-postfilter.xml
      docs/ja/programmers/api-functions/api-register-prefilter.xml:
      sync with en.

2007-06-18  Danilo Buerger  <danilo@blizzz.org>

    * docs/en/language-snippets.ent
      docs/en/programmers/api-functions/api-register-outputfilter.xml
      docs/en/programmers/api-functions/api-register-postfilter.xml
      docs/en/programmers/api-functions/api-register-prefilter.xml:
      Updated docs according to the changes from the previous commit

    * NEWS
      libs/Smarty.class.php:
      Added the ability to (un)register multiple filters of the same type with
      the same method name but different class name. Before it was not possible
      due to the fact that only the method name was used to distinguish between
      different filters of the same type. This does however not allow (same as
      before) to register multiple filters of the same type with the same method
      and class name (i.e. different instances of the same class).

2007-05-29  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/plugins/compiler.assign.php:
      fixed typo

2007-05-11  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty_Compiler.class.php:
      fixed calling registered objects' methods with an empty argument list.
      thanks marcello

2007-05-03  TAKAGI Masahiro  <matakagi@osk2.3web.ne.jp>

    * docs/ja/designers/language-variables.xml
      docs/ja/designers/language-builtin-functions/language-function-config-load.xml
      docs/ja/designers/language-builtin-functions/language-function-foreach.xml
      docs/ja/designers/language-builtin-functions/language-function-if.xml
      docs/ja/designers/language-modifiers/language-modifier-cat.xml
      docs/ja/designers/language-modifiers/language-modifier-wordwrap.xml
      docs/ja/designers/language-variables/language-variables-smarty.xml:
      sync with en.

2007-05-03  Monte Ohrt  <monte@ohrt.com>

    * docs/en/designers/language-variables.xml
      docs/en/designers/language-builtin-functions/language-function-config-load.xml
      docs/en/designers/language-builtin-functions/language-function-foreach.xml
      docs/en/designers/language-builtin-functions/language-function-if.xml
      docs/en/designers/language-modifiers/language-modifier-cat.xml
      docs/en/designers/language-modifiers/language-modifier-wordwrap.xml
      docs/en/designers/language-variables/language-variables-smarty.xml:
      update documentation corrections from marcello in the forums. Thanks
      marcello!

2007-04-22  TAKAGI Masahiro  <matakagi@osk2.3web.ne.jp>

    * docs/ja/programmers/advanced-features.xml
      docs/ja/programmers/api-functions.xml
      docs/ja/programmers/api-variables.xml:
      corrected the garbled text.

2007-04-21  TAKAGI Masahiro  <matakagi@osk2.3web.ne.jp>

    * docs/ja/bookinfo.xml
      docs/ja/getting-started.xml
      docs/ja/language-defs.ent
      docs/ja/language-snippets.ent
      docs/ja/livedocs.ent
      docs/ja/make_chm_index.html
      docs/ja/preface.xml
      docs/ja/translation.xml
      docs/ja/appendixes/bugs.xml
      docs/ja/appendixes/resources.xml
      docs/ja/appendixes/tips.xml
      docs/ja/appendixes/troubleshooting.xml
      docs/ja/designers/chapter-debugging-console.xml
      docs/ja/designers/config-files.xml
      docs/ja/designers/language-basic-syntax.xml
      docs/ja/designers/language-builtin-functions.xml
      docs/ja/designers/language-combining-modifiers.xml
      docs/ja/designers/language-custom-functions.xml
      docs/ja/designers/language-modifiers.xml
      docs/ja/designers/language-variables.xml
      docs/ja/designers/language-basic-syntax/language-escaping.xml
      docs/ja/designers/language-basic-syntax/language-math.xml
      docs/ja/designers/language-basic-syntax/language-syntax-attributes.xml
      docs/ja/designers/language-basic-syntax/language-syntax-comments.xml
      docs/ja/designers/language-basic-syntax/language-syntax-functions.xml
      docs/ja/designers/language-basic-syntax/language-syntax-quotes.xml
      docs/ja/designers/language-basic-syntax/language-syntax-variables.xml
      docs/ja/designers/language-builtin-functions/language-function-capture.xml
      docs/ja/designers/language-builtin-functions/language-function-config-load.xml
      docs/ja/designers/language-builtin-functions/language-function-foreach.xml
      docs/ja/designers/language-builtin-functions/language-function-if.xml
      docs/ja/designers/language-builtin-functions/language-function-include-php.xml
      docs/ja/designers/language-builtin-functions/language-function-include.xml
      docs/ja/designers/language-builtin-functions/language-function-insert.xml
      docs/ja/designers/language-builtin-functions/language-function-ldelim.xml
      docs/ja/designers/language-builtin-functions/language-function-literal.xml
      docs/ja/designers/language-builtin-functions/language-function-php.xml
      docs/ja/designers/language-builtin-functions/language-function-section.xml
      docs/ja/designers/language-builtin-functions/language-function-strip.xml
      docs/ja/designers/language-custom-functions/language-function-assign.xml
      docs/ja/designers/language-custom-functions/language-function-counter.xml
      docs/ja/designers/language-custom-functions/language-function-cycle.xml
      docs/ja/designers/language-custom-functions/language-function-debug.xml
      docs/ja/designers/language-custom-functions/language-function-eval.xml
      docs/ja/designers/language-custom-functions/language-function-fetch.xml
      docs/ja/designers/language-custom-functions/language-function-html-checkboxes.xml
      docs/ja/designers/language-custom-functions/language-function-html-image.xml
      docs/ja/designers/language-custom-functions/language-function-html-options.xml
      docs/ja/designers/language-custom-functions/language-function-html-radios.xml
      docs/ja/designers/language-custom-functions/language-function-html-select-date.xml
      docs/ja/designers/language-custom-functions/language-function-html-select-time.xml
      docs/ja/designers/language-custom-functions/language-function-html-table.xml
      docs/ja/designers/language-custom-functions/language-function-mailto.xml
      docs/ja/designers/language-custom-functions/language-function-math.xml
      docs/ja/designers/language-custom-functions/language-function-popup-init.xml
      docs/ja/designers/language-custom-functions/language-function-popup.xml
      docs/ja/designers/language-custom-functions/language-function-textformat.xml
      docs/ja/designers/language-modifiers/language-modifier-capitalize.xml
      docs/ja/designers/language-modifiers/language-modifier-cat.xml
      docs/ja/designers/language-modifiers/language-modifier-count-characters.xml
      docs/ja/designers/language-modifiers/language-modifier-count-paragraphs.xml
      docs/ja/designers/language-modifiers/language-modifier-count-sentences.xml
      docs/ja/designers/language-modifiers/language-modifier-count-words.xml
      docs/ja/designers/language-modifiers/language-modifier-date-format.xml
      docs/ja/designers/language-modifiers/language-modifier-default.xml
      docs/ja/designers/language-modifiers/language-modifier-escape.xml
      docs/ja/designers/language-modifiers/language-modifier-indent.xml
      docs/ja/designers/language-modifiers/language-modifier-lower.xml
      docs/ja/designers/language-modifiers/language-modifier-nl2br.xml
      docs/ja/designers/language-modifiers/language-modifier-regex-replace.xml
      docs/ja/designers/language-modifiers/language-modifier-replace.xml
      docs/ja/designers/language-modifiers/language-modifier-spacify.xml
      docs/ja/designers/language-modifiers/language-modifier-string-format.xml
      docs/ja/designers/language-modifiers/language-modifier-strip-tags.xml
      docs/ja/designers/language-modifiers/language-modifier-strip.xml
      docs/ja/designers/language-modifiers/language-modifier-truncate.xml
      docs/ja/designers/language-modifiers/language-modifier-upper.xml
      docs/ja/designers/language-modifiers/language-modifier-wordwrap.xml
      docs/ja/designers/language-variables/language-assigned-variables.xml
      docs/ja/designers/language-variables/language-config-variables.xml
      docs/ja/designers/language-variables/language-variables-smarty.xml
      docs/ja/programmers/advanced-features.xml
      docs/ja/programmers/api-functions.xml
      docs/ja/programmers/api-variables.xml
      docs/ja/programmers/caching.xml
      docs/ja/programmers/plugins.xml
      docs/ja/programmers/smarty-constants.xml
      docs/ja/programmers/advanced-features/advanced-features-objects.xml
      docs/ja/programmers/advanced-features/advanced-features-outputfilters.xml
      docs/ja/programmers/advanced-features/advanced-features-postfilters.xml
      docs/ja/programmers/advanced-features/advanced-features-prefilters.xml
      docs/ja/programmers/advanced-features/section-template-cache-handler-func.xml
      docs/ja/programmers/advanced-features/template-resources.xml
      docs/ja/programmers/api-functions/api-append-by-ref.xml
      docs/ja/programmers/api-functions/api-append.xml
      docs/ja/programmers/api-functions/api-assign-by-ref.xml
      docs/ja/programmers/api-functions/api-assign.xml
      docs/ja/programmers/api-functions/api-clear-all-assign.xml
      docs/ja/programmers/api-functions/api-clear-all-cache.xml
      docs/ja/programmers/api-functions/api-clear-assign.xml
      docs/ja/programmers/api-functions/api-clear-cache.xml
      docs/ja/programmers/api-functions/api-clear-compiled-tpl.xml
      docs/ja/programmers/api-functions/api-clear-config.xml
      docs/ja/programmers/api-functions/api-config-load.xml
      docs/ja/programmers/api-functions/api-display.xml
      docs/ja/programmers/api-functions/api-fetch.xml
      docs/ja/programmers/api-functions/api-get-config-vars.xml
      docs/ja/programmers/api-functions/api-get-registered-object.xml
      docs/ja/programmers/api-functions/api-get-template-vars.xml
      docs/ja/programmers/api-functions/api-is-cached.xml
      docs/ja/programmers/api-functions/api-load-filter.xml
      docs/ja/programmers/api-functions/api-register-block.xml
      docs/ja/programmers/api-functions/api-register-compiler-function.xml
      docs/ja/programmers/api-functions/api-register-function.xml
      docs/ja/programmers/api-functions/api-register-modifier.xml
      docs/ja/programmers/api-functions/api-register-object.xml
      docs/ja/programmers/api-functions/api-register-outputfilter.xml
      docs/ja/programmers/api-functions/api-register-postfilter.xml
      docs/ja/programmers/api-functions/api-register-prefilter.xml
      docs/ja/programmers/api-functions/api-register-resource.xml
      docs/ja/programmers/api-functions/api-template-exists.xml
      docs/ja/programmers/api-functions/api-trigger-error.xml
      docs/ja/programmers/api-functions/api-unregister-block.xml
      docs/ja/programmers/api-functions/api-unregister-compiler-function.xml
      docs/ja/programmers/api-functions/api-unregister-function.xml
      docs/ja/programmers/api-functions/api-unregister-modifier.xml
      docs/ja/programmers/api-functions/api-unregister-object.xml
      docs/ja/programmers/api-functions/api-unregister-outputfilter.xml
      docs/ja/programmers/api-functions/api-unregister-postfilter.xml
      docs/ja/programmers/api-functions/api-unregister-prefilter.xml
      docs/ja/programmers/api-functions/api-unregister-resource.xml
      docs/ja/programmers/api-variables/variable-autoload-filters.xml
      docs/ja/programmers/api-variables/variable-cache-dir.xml
      docs/ja/programmers/api-variables/variable-cache-handler-func.xml
      docs/ja/programmers/api-variables/variable-cache-lifetime.xml
      docs/ja/programmers/api-variables/variable-cache-modified-check.xml
      docs/ja/programmers/api-variables/variable-caching.xml
      docs/ja/programmers/api-variables/variable-compile-check.xml
      docs/ja/programmers/api-variables/variable-compile-dir.xml
      docs/ja/programmers/api-variables/variable-compile-id.xml
      docs/ja/programmers/api-variables/variable-compiler-class.xml
      docs/ja/programmers/api-variables/variable-config-booleanize.xml
      docs/ja/programmers/api-variables/variable-config-dir.xml
      docs/ja/programmers/api-variables/variable-config-fix-newlines.xml
      docs/ja/programmers/api-variables/variable-config-overwrite.xml
      docs/ja/programmers/api-variables/variable-config-read-hidden.xml
      docs/ja/programmers/api-variables/variable-debug-tpl.xml
      docs/ja/programmers/api-variables/variable-debugging-ctrl.xml
      docs/ja/programmers/api-variables/variable-debugging.xml
      docs/ja/programmers/api-variables/variable-default-modifiers.xml
      docs/ja/programmers/api-variables/variable-default-resource-type.xml
      docs/ja/programmers/api-variables/variable-default-template-handler-func.xml
      docs/ja/programmers/api-variables/variable-error-reporting.xml
      docs/ja/programmers/api-variables/variable-force-compile.xml
      docs/ja/programmers/api-variables/variable-left-delimiter.xml
      docs/ja/programmers/api-variables/variable-php-handling.xml
      docs/ja/programmers/api-variables/variable-plugins-dir.xml
      docs/ja/programmers/api-variables/variable-request-use-auto-globals.xml
      docs/ja/programmers/api-variables/variable-request-vars-order.xml
      docs/ja/programmers/api-variables/variable-right-delimiter.xml
      docs/ja/programmers/api-variables/variable-secure-dir.xml
      docs/ja/programmers/api-variables/variable-security-settings.xml
      docs/ja/programmers/api-variables/variable-security.xml
      docs/ja/programmers/api-variables/variable-template-dir.xml
      docs/ja/programmers/api-variables/variable-trusted-dir.xml
      docs/ja/programmers/api-variables/variable-use-sub-dirs.xml
      docs/ja/programmers/caching/caching-cacheable.xml
      docs/ja/programmers/caching/caching-groups.xml
      docs/ja/programmers/caching/caching-multiple-caches.xml
      docs/ja/programmers/caching/caching-setting-up.xml
      docs/ja/programmers/plugins/plugins-block-functions.xml
      docs/ja/programmers/plugins/plugins-compiler-functions.xml
      docs/ja/programmers/plugins/plugins-functions.xml
      docs/ja/programmers/plugins/plugins-howto.xml
      docs/ja/programmers/plugins/plugins-inserts.xml
      docs/ja/programmers/plugins/plugins-modifiers.xml
      docs/ja/programmers/plugins/plugins-naming-conventions.xml
      docs/ja/programmers/plugins/plugins-outputfilters.xml
      docs/ja/programmers/plugins/plugins-prefilters-postfilters.xml
      docs/ja/programmers/plugins/plugins-resources.xml
      docs/ja/programmers/plugins/plugins-writing.xml:
      added Japanese translation files.

    * docs/Makefile.in
      docs/configure.in:
      added the configuration for Japanese translation.

2007-04-11  Messju Mohr  <messju@lammfellpuschen.de>

    * docs/en/programmers/smarty-constants.xml:
      fixed typo

2007-04-04  Messju Mohr  <messju@lammfellpuschen.de>

    * docs/ru/getting-started.xml:
      fixed uri for Zend Accelerator

2007-04-03  Messju Mohr  <messju@lammfellpuschen.de>

    * docs/de/getting-started.xml
      docs/es/getting-started.xml
      docs/it/getting-started.xml
      docs/pt_BR/getting-started.xml:
      fixed uris for php-accelerator

2007-03-08  Monte Ohrt  <monte@ohrt.com>

    * libs/Config_File.class.php
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      update version numbers

2007-03-07  Monte Ohrt  <monte@ohrt.com>

    * (Smarty_2_6_18)
      NEWS:
      update NEWS file with patch

    * (Smarty_2_6_18)
      docs/en/designers/language-builtin-functions/language-function-section.xml:
      note the fact that section loop will accept an integer

2007-03-06  Monte Ohrt  <monte@ohrt.com>

    * NEWS
      libs/plugins/function.html_select_date.php:
      fix html_select_date separator when parts are missing (thanks to kayk for
      the patch)

2007-03-06  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Config_File.class.php
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      bumped version number

    * NEWS:
      added release headline

    * libs/internals/core.write_compiled_include.php:
      fixed detection of non-cached block when writing compiled includes

2007-03-01  Danilo Buerger  <danilo@blizzz.org>

    * NEWS
      libs/Smarty_Compiler.class.php:
      Applied boots clean up patch and removed commented out code.
      Updated NEWS file

2007-02-27  Danilo Buerger  <danilo@blizzz.org>

    * NEWS
      docs/en/designers/language-modifiers/language-modifier-date-format.xml
      libs/internals/core.write_file.php
      libs/plugins/modifier.date_format.php:
      Updated smarty_core_write_file() and smarty_modifier_date_format() to speed
      up Windows detection.
      Emulated more parameters for Windows in smarty_modifier_date_format() and
      fixed some old ones.
      Updated the docs to tell what parameters are emulated on Windows.
      Updated NEWS file.

    * NEWS:
      Updated NEWS file to reflect changes commited in the last revision

2007-02-27  Monte Ohrt  <monte@ohrt.com>

    * docs/en/appendixes/troubleshooting.xml:
      fix typo

2007-02-27  Danilo Buerger  <danilo@blizzz.org>

    * libs/Smarty_Compiler.class.php:
      Modified _(push|pop)_cacheable_state() to embedd alternate syntax. See this
      bug report: http://www.phpinsider.com/smarty-forum/viewtopic.php?t=10502

2007-02-26  Peter 'Mash' Morgan  <pm@daffodil.uk.com>

    * docs/en/designers/language-custom-functions/language-function-html-options.xml:
      Fix incorrect var name

2007-02-23  Monte Ohrt  <monte@ohrt.com>

    * libs/Smarty_Compiler.class.php:
      escape creating of language=php from interleaving

    * libs/Smarty_Compiler.class.php:
      add removed line back in

    * libs/Smarty_Compiler.class.php:
      fix up last patch, remove unnecessary lines

    * libs/Smarty_Compiler.class.php:
      fix situation when no compiled tags are present

    * libs/Smarty_Compiler.class.php:
      fix problem with php open tags generated from tag interleaving

2007-02-06  boots  <jayboots@yahoo.com>

    * docs/en/programmers/advanced-features/template-resources.xml:
      Correct default template handler function example.

2007-01-17  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/plugins/modifier.truncate.php:
      fixed handling of $etc in the truncate modifier when $etc is longer
      than $length.
      
      thanks to Sylvinus!

2007-01-10  boots  <jayboots@yahoo.com>

    * NEWS
      libs/plugins/modifier.date_format.php
      libs/plugins/modifier.date_format.php:
      fix handling of %I with mysql timestamps
      
      Thanks to Danilo Buerger

    * NEWS
      libs/internals/core.write_file.php:
      Better recognize Windows filesystems to reduce warnings

    * NEWS
      libs/plugins/modifier.date_format.php:
      Emulate %R in the date_format modifier on Windows
      
      Thanks to Danilo Buerger

2006-12-10  Yannick Torres  <yannick.torres@keliglia.com>

    * docs/fr/getting-started.xml:
      fix build

    * docs/fr/language-snippets.ent
      docs/fr/designers/language-builtin-functions/language-function-include-php.xml
      docs/fr/designers/language-modifiers/language-modifier-truncate.xml
      docs/fr/designers/language-variables/language-variables-smarty.xml:
      sync with EN

2006-12-02  Peter 'Mash' Morgan  <pm@daffodil.uk.com>

    * docs/en/designers/language-builtin-functions/language-function-include-php.xml:
      Tidy example, speeling andd add links

    * docs/en/getting-started.xml:
      Add/correct entities

    * docs/entities/global.ent:
      Fix entities (strange)

2006-12-01  Monte Ohrt  <monte@ohrt.com>

    * libs/Config_File.class.php
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      update dev version numbers

2006-12-01  boots  <jayboots@yahoo.com>

    * (Smarty_2_6_16)
      NEWS:
      Fixed replacement bug introduced in trimwhitespaces output filter that
      was introduced in the last release.
      
      Thanks to Spuerhund from the forums.

    * (Smarty_2_6_16)
      libs/plugins/outputfilter.trimwhitespace.php:
      Fixed replacement bug introduced by last changes.
      
      Thanks to Spuerhund from the forums.

2006-11-30  Monte Ohrt  <monte@ohrt.com>

    * NEWS
      docs/en/designers/language-modifiers/language-modifier-truncate.xml
      libs/Config_File.class.php
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      update dev version numbers, fix manual typo

2006-11-22  George Miroshnikov  <support@infinity.com.ua>

    * docs/ru/getting-started.xml
      docs/ru/language-snippets.ent:
      sync with EN

    * docs/en/getting-started.xml:
      replaced hardcoded path separator with PATH_SEPARATOR constant

2006-11-20  boots  <jayboots@yahoo.com>

    * libs/plugins/modifier.debug_print_var.php:
      fix depth formatting of arrays and objects in modifier debug_print_var

2006-11-10  Messju Mohr  <messju@lammfellpuschen.de>

    * docs/en/designers/language-variables/language-variables-smarty.xml:
      fixed typo. thanks jonez.

2006-11-08  boots  <jayboots@yahoo.com>

    * NEWS
      libs/internals/core.write_file.php:
      change file writing semantics in smarty_core_write_file()
      
      This avoids unlink() unless rename() fails or a Windows system is detected
      
      see: http://www.phpinsider.com/smarty-forum/viewtopic.php?t=6956
      
      Thanks to c960657 from the forums.

2006-11-07  boots  <jayboots@yahoo.com>

    * NEWS
      libs/debug.tpl:
      update debug.tpl to xhtml 1.1 compliance, fix javascript escaping in debug
      output and apply a Smarty based color scheme
      
      see: http://www.phpinsider.com/smarty-forum/viewtopic.php?t=7178
      
      thanks to cybot from the forums!

    * NEWS
      libs/plugins/modifier.debug_print_var.php:
      enhance reporting precision of debug_print_var modifier
      
      see: http://www.phpinsider.com/smarty-forum/viewtopic.php?t=9281
      
      thanks to cybot from the forums

2006-11-01  boots  <jayboots@yahoo.com>

    * NEWS
      libs/plugins/function.html_select_date.php:
      make html_select_date work consistently with 0000-00-00 00:00:00 and
      0000-00-00 inputs
      
      Thanks to cybot from forums

2006-10-16  George Miroshnikov  <support@infinity.com.ua>

    * docs/en/language-snippets.ent:
      minor typo fix - &$class doesn't make sense.

2006-10-14  Yannick Torres  <yannick.torres@keliglia.com>

    * docs/fr/designers/language-basic-syntax.xml
      docs/fr/designers/language-builtin-functions.xml
      docs/fr/designers/language-basic-syntax/language-syntax-attributes.xml
      docs/fr/designers/language-basic-syntax/language-syntax-comments.xml
      docs/fr/designers/language-basic-syntax/language-syntax-quotes.xml
      docs/fr/designers/language-builtin-functions/language-function-capture.xml
      docs/fr/designers/language-builtin-functions/language-function-php.xml
      docs/fr/designers/language-builtin-functions/language-function-section.xml
      docs/fr/designers/language-custom-functions/language-function-popup-init.xml
      docs/fr/designers/language-modifiers/language-modifier-escape.xml
      docs/fr/programmers/api-functions/api-display.xml
      docs/fr/programmers/plugins/plugins-inserts.xml:
      sync with EN

2006-10-14  Fernando Correa da Concei��o  <fernando_conceicao@yahoo.com.br>

    * docs/pt_BR/programmers/api-variables/variable-error-reporting.xml:
      New Translation

    * docs/pt_BR/designers/language-basic-syntax/language-escaping.xml
      docs/pt_BR/designers/language-basic-syntax/language-syntax-variables.xml:
      New Translations

    * docs/pt_BR/translation.xml:
      Used in revcheck

    * docs/pt_BR/getting-started.xml
      docs/pt_BR/language-snippets.ent
      docs/pt_BR/make_chm_index.html
      docs/pt_BR/preface.xml
      docs/pt_BR/appendixes/resources.xml
      docs/pt_BR/appendixes/troubleshooting.xml
      docs/pt_BR/designers/language-modifiers/language-modifier-capitalize.xml
      docs/pt_BR/designers/language-modifiers/language-modifier-cat.xml
      docs/pt_BR/designers/language-modifiers/language-modifier-count-characters.xml
      docs/pt_BR/designers/language-modifiers/language-modifier-count-paragraphs.xml
      docs/pt_BR/designers/language-modifiers/language-modifier-count-sentences.xml
      docs/pt_BR/designers/language-modifiers/language-modifier-count-words.xml
      docs/pt_BR/designers/language-modifiers/language-modifier-date-format.xml
      docs/pt_BR/designers/language-modifiers/language-modifier-default.xml
      docs/pt_BR/designers/language-modifiers/language-modifier-escape.xml
      docs/pt_BR/designers/language-modifiers/language-modifier-indent.xml
      docs/pt_BR/designers/language-modifiers/language-modifier-lower.xml
      docs/pt_BR/designers/language-modifiers/language-modifier-nl2br.xml
      docs/pt_BR/designers/language-modifiers/language-modifier-regex-replace.xml
      docs/pt_BR/designers/language-modifiers/language-modifier-replace.xml
      docs/pt_BR/designers/language-modifiers/language-modifier-spacify.xml
      docs/pt_BR/designers/language-modifiers/language-modifier-string-format.xml
      docs/pt_BR/designers/language-modifiers/language-modifier-strip-tags.xml
      docs/pt_BR/designers/language-modifiers/language-modifier-strip.xml
      docs/pt_BR/designers/language-modifiers/language-modifier-truncate.xml
      docs/pt_BR/designers/language-modifiers/language-modifier-upper.xml
      docs/pt_BR/designers/language-modifiers/language-modifier-wordwrap.xml
      docs/pt_BR/designers/language-variables/language-assigned-variables.xml
      docs/pt_BR/designers/language-variables/language-config-variables.xml
      docs/pt_BR/designers/language-variables/language-variables-smarty.xml
      docs/pt_BR/programmers/advanced-features.xml
      docs/pt_BR/programmers/api-functions.xml
      docs/pt_BR/programmers/api-variables.xml
      docs/pt_BR/programmers/caching.xml
      docs/pt_BR/programmers/plugins.xml
      docs/pt_BR/programmers/smarty-constants.xml
      docs/pt_BR/programmers/advanced-features/advanced-features-objects.xml
      docs/pt_BR/programmers/advanced-features/advanced-features-outputfilters.xml
      docs/pt_BR/programmers/advanced-features/advanced-features-postfilters.xml
      docs/pt_BR/programmers/advanced-features/advanced-features-prefilters.xml
      docs/pt_BR/programmers/advanced-features/section-template-cache-handler-func.xml
      docs/pt_BR/programmers/advanced-features/template-resources.xml
      docs/pt_BR/programmers/api-functions/api-append-by-ref.xml
      docs/pt_BR/programmers/api-functions/api-append.xml
      docs/pt_BR/programmers/api-functions/api-assign-by-ref.xml
      docs/pt_BR/programmers/api-functions/api-assign.xml
      docs/pt_BR/programmers/api-functions/api-clear-all-assign.xml
      docs/pt_BR/programmers/api-functions/api-clear-all-cache.xml
      docs/pt_BR/programmers/api-functions/api-clear-assign.xml
      docs/pt_BR/programmers/api-functions/api-clear-cache.xml
      docs/pt_BR/programmers/api-functions/api-clear-compiled-tpl.xml
      docs/pt_BR/programmers/api-functions/api-clear-config.xml
      docs/pt_BR/programmers/api-functions/api-config-load.xml
      docs/pt_BR/programmers/api-functions/api-display.xml
      docs/pt_BR/programmers/api-functions/api-fetch.xml
      docs/pt_BR/programmers/api-functions/api-get-config-vars.xml
      docs/pt_BR/programmers/api-functions/api-get-registered-object.xml
      docs/pt_BR/programmers/api-functions/api-get-template-vars.xml
      docs/pt_BR/programmers/api-functions/api-is-cached.xml
      docs/pt_BR/programmers/api-functions/api-load-filter.xml
      docs/pt_BR/programmers/api-functions/api-register-block.xml
      docs/pt_BR/programmers/api-functions/api-register-compiler-function.xml
      docs/pt_BR/programmers/api-functions/api-register-function.xml
      docs/pt_BR/programmers/api-functions/api-register-modifier.xml
      docs/pt_BR/programmers/api-functions/api-register-object.xml
      docs/pt_BR/programmers/api-functions/api-register-outputfilter.xml
      docs/pt_BR/programmers/api-functions/api-register-postfilter.xml
      docs/pt_BR/programmers/api-functions/api-register-prefilter.xml
      docs/pt_BR/programmers/api-functions/api-register-resource.xml
      docs/pt_BR/programmers/api-functions/api-template-exists.xml
      docs/pt_BR/programmers/api-functions/api-trigger-error.xml
      docs/pt_BR/programmers/api-functions/api-unregister-block.xml
      docs/pt_BR/programmers/api-functions/api-unregister-compiler-function.xml
      docs/pt_BR/programmers/api-functions/api-unregister-function.xml
      docs/pt_BR/programmers/api-functions/api-unregister-modifier.xml
      docs/pt_BR/programmers/api-functions/api-unregister-object.xml
      docs/pt_BR/programmers/api-functions/api-unregister-outputfilter.xml
      docs/pt_BR/programmers/api-functions/api-unregister-postfilter.xml
      docs/pt_BR/programmers/api-functions/api-unregister-prefilter.xml
      docs/pt_BR/programmers/api-functions/api-unregister-resource.xml
      docs/pt_BR/programmers/api-variables/variable-autoload-filters.xml
      docs/pt_BR/programmers/api-variables/variable-cache-dir.xml
      docs/pt_BR/programmers/api-variables/variable-cache-handler-func.xml
      docs/pt_BR/programmers/api-variables/variable-cache-lifetime.xml
      docs/pt_BR/programmers/api-variables/variable-cache-modified-check.xml
      docs/pt_BR/programmers/api-variables/variable-caching.xml
      docs/pt_BR/programmers/api-variables/variable-compile-check.xml
      docs/pt_BR/programmers/api-variables/variable-compile-dir.xml
      docs/pt_BR/programmers/api-variables/variable-compile-id.xml
      docs/pt_BR/programmers/api-variables/variable-compiler-class.xml
      docs/pt_BR/programmers/api-variables/variable-config-booleanize.xml
      docs/pt_BR/programmers/api-variables/variable-config-dir.xml
      docs/pt_BR/programmers/api-variables/variable-config-fix-newlines.xml
      docs/pt_BR/programmers/api-variables/variable-config-overwrite.xml
      docs/pt_BR/programmers/api-variables/variable-config-read-hidden.xml
      docs/pt_BR/programmers/api-variables/variable-debug-tpl.xml
      docs/pt_BR/programmers/api-variables/variable-debugging-ctrl.xml
      docs/pt_BR/programmers/api-variables/variable-debugging.xml
      docs/pt_BR/programmers/api-variables/variable-default-modifiers.xml
      docs/pt_BR/programmers/api-variables/variable-default-resource-type.xml
      docs/pt_BR/programmers/api-variables/variable-default-template-handler-func.xml
      docs/pt_BR/programmers/api-variables/variable-force-compile.xml
      docs/pt_BR/programmers/api-variables/variable-global-assign.xml
      docs/pt_BR/programmers/api-variables/variable-left-delimiter.xml
      docs/pt_BR/programmers/api-variables/variable-php-handling.xml
      docs/pt_BR/programmers/api-variables/variable-plugins-dir.xml
      docs/pt_BR/programmers/api-variables/variable-request-use-auto-globals.xml
      docs/pt_BR/programmers/api-variables/variable-request-vars-order.xml
      docs/pt_BR/programmers/api-variables/variable-right-delimiter.xml
      docs/pt_BR/programmers/api-variables/variable-secure-dir.xml
      docs/pt_BR/programmers/api-variables/variable-security-settings.xml
      docs/pt_BR/programmers/api-variables/variable-security.xml
      docs/pt_BR/programmers/api-variables/variable-template-dir.xml
      docs/pt_BR/programmers/api-variables/variable-trusted-dir.xml
      docs/pt_BR/programmers/api-variables/variable-undefined.xml
      docs/pt_BR/programmers/api-variables/variable-use-sub-dirs.xml
      docs/pt_BR/programmers/caching/caching-cacheable.xml
      docs/pt_BR/programmers/caching/caching-groups.xml
      docs/pt_BR/programmers/caching/caching-multiple-caches.xml
      docs/pt_BR/programmers/caching/caching-setting-up.xml
      docs/pt_BR/programmers/plugins/plugins-block-functions.xml
      docs/pt_BR/programmers/plugins/plugins-compiler-functions.xml
      docs/pt_BR/programmers/plugins/plugins-functions.xml
      docs/pt_BR/programmers/plugins/plugins-howto.xml
      docs/pt_BR/programmers/plugins/plugins-inserts.xml
      docs/pt_BR/programmers/plugins/plugins-modifiers.xml
      docs/pt_BR/programmers/plugins/plugins-naming-conventions.xml
      docs/pt_BR/programmers/plugins/plugins-outputfilters.xml
      docs/pt_BR/programmers/plugins/plugins-prefilters-postfilters.xml
      docs/pt_BR/programmers/plugins/plugins-resources.xml
      docs/pt_BR/programmers/plugins/plugins-writing.xml:
      Big update. Revision tag for all files. Some updates. Now I can update it

2006-10-09  Peter 'Mash' Morgan  <pm@daffodil.uk.com>

    * docs/en/getting-started.xml
      docs/en/designers/language-basic-syntax.xml
      docs/en/designers/language-custom-functions/language-function-popup-init.xml
      docs/en/designers/language-modifiers/language-modifier-escape.xml
      docs/en/programmers/api-functions/api-display.xml
      docs/en/programmers/plugins/plugins-inserts.xml:
      Minor changes and corrections

    * docs/en/designers/language-basic-syntax.xml
      docs/en/designers/language-builtin-functions.xml
      docs/en/designers/language-basic-syntax/language-syntax-attributes.xml
      docs/en/designers/language-basic-syntax/language-syntax-comments.xml
      docs/en/designers/language-basic-syntax/language-syntax-quotes.xml
      docs/en/designers/language-modifiers/language-modifier-escape.xml:
      Minor formatting and error correction

    * docs/en/designers/language-builtin-functions/language-function-capture.xml
      docs/en/designers/language-builtin-functions/language-function-php.xml
      docs/en/designers/language-builtin-functions/language-function-section.xml:
      minor formatting and changes

    * docs/en/getting-started.xml:
      Tidied up formatting so more readable, tidied up the install to the paths
      are more clear (ta jj)

2006-10-09  Yannick Torres  <yannick.torres@keliglia.com>

    * docs/fr/designers/language-builtin-functions/language-function-section.xml:
      sync with EN

2006-10-08  Yannick Torres  <yannick.torres@keliglia.com>

    * docs/fr/designers/language-builtin-functions/language-function-php.xml
      docs/fr/designers/language-modifiers/language-modifier-escape.xml
      docs/fr/designers/language-variables/language-variables-smarty.xml
      docs/fr/programmers/api-variables/variable-request-use-auto-globals.xml:
      fix build

    * docs/fr/designers/language-builtin-functions/language-function-strip.xml
      docs/fr/programmers/caching.xml
      docs/fr/programmers/smarty-constants.xml
      docs/fr/programmers/api-variables/variable-autoload-filters.xml
      docs/fr/programmers/api-variables/variable-cache-dir.xml
      docs/fr/programmers/api-variables/variable-cache-handler-func.xml
      docs/fr/programmers/api-variables/variable-cache-lifetime.xml
      docs/fr/programmers/api-variables/variable-cache-modified-check.xml
      docs/fr/programmers/api-variables/variable-caching.xml
      docs/fr/programmers/api-variables/variable-compile-check.xml
      docs/fr/programmers/api-variables/variable-compile-dir.xml
      docs/fr/programmers/api-variables/variable-compile-id.xml
      docs/fr/programmers/api-variables/variable-compiler-class.xml
      docs/fr/programmers/api-variables/variable-config-booleanize.xml
      docs/fr/programmers/api-variables/variable-config-dir.xml
      docs/fr/programmers/api-variables/variable-config-fix-newlines.xml
      docs/fr/programmers/api-variables/variable-config-overwrite.xml
      docs/fr/programmers/api-variables/variable-config-read-hidden.xml
      docs/fr/programmers/api-variables/variable-debug-tpl.xml
      docs/fr/programmers/api-variables/variable-debugging-ctrl.xml
      docs/fr/programmers/api-variables/variable-debugging.xml
      docs/fr/programmers/api-variables/variable-default-modifiers.xml
      docs/fr/programmers/api-variables/variable-default-resource-type.xml
      docs/fr/programmers/api-variables/variable-default-template-handler-func.xml
      docs/fr/programmers/api-variables/variable-error-reporting.xml
      docs/fr/programmers/api-variables/variable-force-compile.xml
      docs/fr/programmers/api-variables/variable-left-delimiter.xml
      docs/fr/programmers/api-variables/variable-php-handling.xml
      docs/fr/programmers/api-variables/variable-plugins-dir.xml
      docs/fr/programmers/api-variables/variable-request-use-auto-globals.xml
      docs/fr/programmers/api-variables/variable-request-vars-order.xml
      docs/fr/programmers/api-variables/variable-right-delimiter.xml
      docs/fr/programmers/api-variables/variable-secure-dir.xml
      docs/fr/programmers/api-variables/variable-security-settings.xml
      docs/fr/programmers/api-variables/variable-security.xml
      docs/fr/programmers/api-variables/variable-template-dir.xml
      docs/fr/programmers/api-variables/variable-trusted-dir.xml
      docs/fr/programmers/api-variables/variable-use-sub-dirs.xml
      docs/fr/programmers/caching/caching-cacheable.xml
      docs/fr/programmers/caching/caching-groups.xml
      docs/fr/programmers/caching/caching-multiple-caches.xml
      docs/fr/programmers/caching/caching-setting-up.xml
      docs/fr/programmers/plugins/plugins-block-functions.xml
      docs/fr/programmers/plugins/plugins-compiler-functions.xml
      docs/fr/programmers/plugins/plugins-functions.xml
      docs/fr/programmers/plugins/plugins-inserts.xml
      docs/fr/programmers/plugins/plugins-modifiers.xml
      docs/fr/programmers/plugins/plugins-naming-conventions.xml
      docs/fr/programmers/plugins/plugins-outputfilters.xml
      docs/fr/programmers/plugins/plugins-prefilters-postfilters.xml
      docs/fr/programmers/plugins/plugins-resources.xml
      docs/fr/programmers/plugins/plugins-writing.xml:
      sync with EN

2006-10-07  Yannick Torres  <yannick.torres@keliglia.com>

    * docs/fr/programmers/advanced-features/advanced-features-objects.xml
      docs/fr/programmers/advanced-features/advanced-features-outputfilters.xml
      docs/fr/programmers/advanced-features/advanced-features-postfilters.xml
      docs/fr/programmers/advanced-features/advanced-features-prefilters.xml
      docs/fr/programmers/advanced-features/section-template-cache-handler-func.xml
      docs/fr/programmers/advanced-features/template-resources.xml
      docs/fr/programmers/api-functions/api-append-by-ref.xml
      docs/fr/programmers/api-functions/api-append.xml
      docs/fr/programmers/api-functions/api-assign-by-ref.xml
      docs/fr/programmers/api-functions/api-assign.xml
      docs/fr/programmers/api-functions/api-clear-all-assign.xml
      docs/fr/programmers/api-functions/api-clear-all-cache.xml
      docs/fr/programmers/api-functions/api-clear-assign.xml
      docs/fr/programmers/api-functions/api-clear-cache.xml
      docs/fr/programmers/api-functions/api-clear-compiled-tpl.xml
      docs/fr/programmers/api-functions/api-clear-config.xml
      docs/fr/programmers/api-functions/api-config-load.xml
      docs/fr/programmers/api-functions/api-display.xml
      docs/fr/programmers/api-functions/api-fetch.xml
      docs/fr/programmers/api-functions/api-get-config-vars.xml
      docs/fr/programmers/api-functions/api-get-registered-object.xml
      docs/fr/programmers/api-functions/api-get-template-vars.xml
      docs/fr/programmers/api-functions/api-is-cached.xml
      docs/fr/programmers/api-functions/api-load-filter.xml
      docs/fr/programmers/api-functions/api-register-block.xml
      docs/fr/programmers/api-functions/api-register-compiler-function.xml
      docs/fr/programmers/api-functions/api-register-function.xml
      docs/fr/programmers/api-functions/api-register-modifier.xml
      docs/fr/programmers/api-functions/api-register-object.xml
      docs/fr/programmers/api-functions/api-register-outputfilter.xml
      docs/fr/programmers/api-functions/api-register-postfilter.xml
      docs/fr/programmers/api-functions/api-register-prefilter.xml
      docs/fr/programmers/api-functions/api-register-resource.xml
      docs/fr/programmers/api-functions/api-template-exists.xml
      docs/fr/programmers/api-functions/api-trigger-error.xml
      docs/fr/programmers/api-functions/api-unregister-block.xml
      docs/fr/programmers/api-functions/api-unregister-compiler-function.xml
      docs/fr/programmers/api-functions/api-unregister-function.xml
      docs/fr/programmers/api-functions/api-unregister-modifier.xml
      docs/fr/programmers/api-functions/api-unregister-object.xml
      docs/fr/programmers/api-functions/api-unregister-outputfilter.xml
      docs/fr/programmers/api-functions/api-unregister-postfilter.xml
      docs/fr/programmers/api-functions/api-unregister-prefilter.xml
      docs/fr/programmers/api-functions/api-unregister-resource.xml:
      sync with EN

2006-10-03  Yannick Torres  <yannick.torres@keliglia.com>

    * docs/fr/designers/language-custom-functions/language-function-html-select-time.xml
      docs/fr/designers/language-custom-functions/language-function-html-table.xml
      docs/fr/designers/language-custom-functions/language-function-mailto.xml
      docs/fr/designers/language-custom-functions/language-function-math.xml
      docs/fr/designers/language-custom-functions/language-function-popup-init.xml
      docs/fr/designers/language-custom-functions/language-function-popup.xml
      docs/fr/designers/language-custom-functions/language-function-textformat.xml
      docs/fr/designers/language-modifiers/language-modifier-capitalize.xml
      docs/fr/designers/language-modifiers/language-modifier-cat.xml
      docs/fr/designers/language-modifiers/language-modifier-count-characters.xml
      docs/fr/designers/language-modifiers/language-modifier-count-paragraphs.xml
      docs/fr/designers/language-modifiers/language-modifier-count-sentences.xml
      docs/fr/designers/language-modifiers/language-modifier-count-words.xml
      docs/fr/designers/language-modifiers/language-modifier-date-format.xml
      docs/fr/designers/language-modifiers/language-modifier-default.xml
      docs/fr/designers/language-modifiers/language-modifier-escape.xml
      docs/fr/designers/language-modifiers/language-modifier-indent.xml
      docs/fr/designers/language-modifiers/language-modifier-lower.xml
      docs/fr/designers/language-modifiers/language-modifier-nl2br.xml
      docs/fr/designers/language-modifiers/language-modifier-regex-replace.xml
      docs/fr/designers/language-modifiers/language-modifier-replace.xml
      docs/fr/designers/language-modifiers/language-modifier-spacify.xml
      docs/fr/designers/language-modifiers/language-modifier-string-format.xml
      docs/fr/designers/language-modifiers/language-modifier-strip-tags.xml
      docs/fr/designers/language-modifiers/language-modifier-strip.xml
      docs/fr/designers/language-modifiers/language-modifier-truncate.xml
      docs/fr/designers/language-modifiers/language-modifier-upper.xml
      docs/fr/designers/language-modifiers/language-modifier-wordwrap.xml
      docs/fr/designers/language-variables/language-assigned-variables.xml
      docs/fr/designers/language-variables/language-config-variables.xml
      docs/fr/designers/language-variables/language-variables-smarty.xml:
      sync with EN

2006-10-01  Yannick Torres  <yannick.torres@keliglia.com>

    * docs/fr/designers/language-builtin-functions/language-function-include-php.xml
      docs/fr/designers/language-builtin-functions/language-function-include.xml
      docs/fr/designers/language-builtin-functions/language-function-insert.xml
      docs/fr/designers/language-builtin-functions/language-function-ldelim.xml
      docs/fr/designers/language-builtin-functions/language-function-literal.xml
      docs/fr/designers/language-builtin-functions/language-function-php.xml
      docs/fr/designers/language-custom-functions/language-function-assign.xml
      docs/fr/designers/language-custom-functions/language-function-counter.xml
      docs/fr/designers/language-custom-functions/language-function-cycle.xml
      docs/fr/designers/language-custom-functions/language-function-debug.xml
      docs/fr/designers/language-custom-functions/language-function-eval.xml
      docs/fr/designers/language-custom-functions/language-function-fetch.xml
      docs/fr/designers/language-custom-functions/language-function-html-checkboxes.xml
      docs/fr/designers/language-custom-functions/language-function-html-image.xml
      docs/fr/designers/language-custom-functions/language-function-html-options.xml
      docs/fr/designers/language-custom-functions/language-function-html-radios.xml
      docs/fr/designers/language-custom-functions/language-function-html-select-date.xml:
      sync with EN

2006-09-30  Yannick Torres  <yannick.torres@keliglia.com>

    * docs/fr/getting-started.xml:
      fix build

    * docs/fr/designers/chapter-debugging-console.xml
      docs/fr/designers/config-files.xml
      docs/fr/designers/language-builtin-functions.xml
      docs/fr/designers/language-modifiers.xml
      docs/fr/designers/language-variables.xml
      docs/fr/designers/language-basic-syntax/language-escaping.xml
      docs/fr/designers/language-basic-syntax/language-math.xml
      docs/fr/designers/language-basic-syntax/language-syntax-comments.xml
      docs/fr/designers/language-basic-syntax/language-syntax-functions.xml
      docs/fr/designers/language-basic-syntax/language-syntax-quotes.xml
      docs/fr/designers/language-basic-syntax/language-syntax-variables.xml
      docs/fr/designers/language-builtin-functions/language-function-capture.xml
      docs/fr/designers/language-builtin-functions/language-function-config-load.xml
      docs/fr/designers/language-builtin-functions/language-function-foreach.xml
      docs/fr/designers/language-builtin-functions/language-function-if.xml:
      sync with EN

    * docs/fr/getting-started.xml
      docs/fr/language-snippets.ent
      docs/fr/appendixes/resources.xml
      docs/fr/appendixes/tips.xml
      docs/fr/appendixes/troubleshooting.xml:
      sync with EN

2006-09-27  Peter 'Mash' Morgan  <pm@daffodil.uk.com>

    * docs/en/designers/language-builtin-functions/language-function-section.xml:
      Minor tweaks and corrections

    * docs/en/getting-started.xml
      docs/en/designers/chapter-debugging-console.xml
      docs/en/designers/language-basic-syntax/language-syntax-comments.xml
      docs/en/designers/language-custom-functions/language-function-html-image.xml
      docs/en/designers/language-custom-functions/language-function-html-options.xml
      docs/en/designers/language-custom-functions/language-function-html-radios.xml
      docs/en/designers/language-custom-functions/language-function-html-select-date.xml
      docs/en/designers/language-custom-functions/language-function-html-select-time.xml
      docs/en/designers/language-custom-functions/language-function-html-table.xml
      docs/en/designers/language-custom-functions/language-function-mailto.xml
      docs/en/designers/language-custom-functions/language-function-popup-init.xml
      docs/en/designers/language-custom-functions/language-function-textformat.xml
      docs/en/designers/language-variables/language-config-variables.xml
      docs/en/designers/language-variables/language-variables-smarty.xml:
      Add literal tags to html, general formatting

    * docs/en/getting-started.xml
      docs/en/appendixes/resources.xml
      docs/en/appendixes/tips.xml
      docs/en/appendixes/troubleshooting.xml
      docs/en/designers/config-files.xml
      docs/en/programmers/caching.xml
      docs/en/programmers/smarty-constants.xml
      docs/en/programmers/advanced-features/advanced-features-objects.xml
      docs/en/programmers/advanced-features/advanced-features-outputfilters.xml
      docs/en/programmers/advanced-features/advanced-features-postfilters.xml
      docs/en/programmers/advanced-features/advanced-features-prefilters.xml
      docs/en/programmers/advanced-features/section-template-cache-handler-func.xml
      docs/en/programmers/advanced-features/template-resources.xml
      docs/en/programmers/api-variables/variable-autoload-filters.xml
      docs/en/programmers/api-variables/variable-cache-dir.xml
      docs/en/programmers/api-variables/variable-cache-handler-func.xml
      docs/en/programmers/api-variables/variable-cache-lifetime.xml
      docs/en/programmers/api-variables/variable-cache-modified-check.xml
      docs/en/programmers/api-variables/variable-caching.xml
      docs/en/programmers/api-variables/variable-compile-check.xml
      docs/en/programmers/api-variables/variable-compile-dir.xml
      docs/en/programmers/api-variables/variable-compile-id.xml
      docs/en/programmers/api-variables/variable-config-booleanize.xml
      docs/en/programmers/api-variables/variable-config-dir.xml
      docs/en/programmers/api-variables/variable-config-fix-newlines.xml
      docs/en/programmers/api-variables/variable-config-overwrite.xml
      docs/en/programmers/api-variables/variable-config-read-hidden.xml
      docs/en/programmers/api-variables/variable-debug-tpl.xml
      docs/en/programmers/api-variables/variable-debugging-ctrl.xml
      docs/en/programmers/api-variables/variable-debugging.xml
      docs/en/programmers/api-variables/variable-default-modifiers.xml
      docs/en/programmers/api-variables/variable-default-resource-type.xml
      docs/en/programmers/api-variables/variable-error-reporting.xml
      docs/en/programmers/api-variables/variable-force-compile.xml
      docs/en/programmers/api-variables/variable-left-delimiter.xml
      docs/en/programmers/api-variables/variable-php-handling.xml
      docs/en/programmers/api-variables/variable-plugins-dir.xml
      docs/en/programmers/api-variables/variable-request-use-auto-globals.xml
      docs/en/programmers/api-variables/variable-request-vars-order.xml
      docs/en/programmers/api-variables/variable-right-delimiter.xml
      docs/en/programmers/api-variables/variable-secure-dir.xml
      docs/en/programmers/api-variables/variable-security-settings.xml
      docs/en/programmers/api-variables/variable-security.xml
      docs/en/programmers/api-variables/variable-template-dir.xml
      docs/en/programmers/api-variables/variable-trusted-dir.xml
      docs/en/programmers/api-variables/variable-use-sub-dirs.xml
      docs/en/programmers/caching/caching-cacheable.xml
      docs/en/programmers/caching/caching-groups.xml
      docs/en/programmers/caching/caching-multiple-caches.xml
      docs/en/programmers/caching/caching-setting-up.xml:
      Tidy up of formatting

    * docs/entities/global.ent:
      Adding some more resources

    * docs/en/programmers/plugins/plugins-block-functions.xml
      docs/en/programmers/plugins/plugins-compiler-functions.xml
      docs/en/programmers/plugins/plugins-functions.xml
      docs/en/programmers/plugins/plugins-inserts.xml
      docs/en/programmers/plugins/plugins-modifiers.xml
      docs/en/programmers/plugins/plugins-naming-conventions.xml
      docs/en/programmers/plugins/plugins-outputfilters.xml
      docs/en/programmers/plugins/plugins-prefilters-postfilters.xml
      docs/en/programmers/plugins/plugins-resources.xml
      docs/en/programmers/plugins/plugins-writing.xml:
      Tidy up some formatting

2006-09-26  Peter 'Mash' Morgan  <pm@daffodil.uk.com>

    * docs/en/programmers/api-functions/api-append-by-ref.xml
      docs/en/programmers/api-functions/api-append.xml
      docs/en/programmers/api-functions/api-assign-by-ref.xml
      docs/en/programmers/api-functions/api-assign.xml
      docs/en/programmers/api-functions/api-clear-all-assign.xml
      docs/en/programmers/api-functions/api-clear-all-cache.xml
      docs/en/programmers/api-functions/api-clear-assign.xml
      docs/en/programmers/api-functions/api-clear-cache.xml
      docs/en/programmers/api-functions/api-clear-compiled-tpl.xml
      docs/en/programmers/api-functions/api-clear-config.xml
      docs/en/programmers/api-functions/api-config-load.xml
      docs/en/programmers/api-functions/api-display.xml
      docs/en/programmers/api-functions/api-fetch.xml
      docs/en/programmers/api-functions/api-get-config-vars.xml
      docs/en/programmers/api-functions/api-get-registered-object.xml
      docs/en/programmers/api-functions/api-get-template-vars.xml
      docs/en/programmers/api-functions/api-is-cached.xml
      docs/en/programmers/api-functions/api-load-filter.xml
      docs/en/programmers/api-functions/api-register-block.xml
      docs/en/programmers/api-functions/api-register-compiler-function.xml
      docs/en/programmers/api-functions/api-register-function.xml
      docs/en/programmers/api-functions/api-register-modifier.xml
      docs/en/programmers/api-functions/api-register-object.xml
      docs/en/programmers/api-functions/api-register-outputfilter.xml
      docs/en/programmers/api-functions/api-register-postfilter.xml
      docs/en/programmers/api-functions/api-register-prefilter.xml
      docs/en/programmers/api-functions/api-register-resource.xml
      docs/en/programmers/api-functions/api-template-exists.xml
      docs/en/programmers/api-functions/api-trigger-error.xml
      docs/en/programmers/api-functions/api-unregister-block.xml
      docs/en/programmers/api-functions/api-unregister-compiler-function.xml
      docs/en/programmers/api-functions/api-unregister-function.xml
      docs/en/programmers/api-functions/api-unregister-modifier.xml
      docs/en/programmers/api-functions/api-unregister-object.xml
      docs/en/programmers/api-functions/api-unregister-outputfilter.xml
      docs/en/programmers/api-functions/api-unregister-postfilter.xml
      docs/en/programmers/api-functions/api-unregister-prefilter.xml
      docs/en/programmers/api-functions/api-unregister-resource.xml:
      Tidy up formatting and examples

    * docs/en/language-snippets.ent:
      Moved recurring para for register_*

    * docs/en/designers/language-modifiers.xml:
      Spelling on modifiers

    * docs/en/designers/language-builtin-functions.xml
      docs/en/designers/language-modifiers.xml
      docs/en/designers/language-custom-functions/language-function-html-options.xml
      docs/en/designers/language-modifiers/language-modifier-capitalize.xml
      docs/en/designers/language-modifiers/language-modifier-cat.xml
      docs/en/designers/language-modifiers/language-modifier-count-characters.xml
      docs/en/designers/language-modifiers/language-modifier-count-paragraphs.xml
      docs/en/designers/language-modifiers/language-modifier-count-sentences.xml
      docs/en/designers/language-modifiers/language-modifier-count-words.xml
      docs/en/designers/language-modifiers/language-modifier-date-format.xml
      docs/en/designers/language-modifiers/language-modifier-default.xml
      docs/en/designers/language-modifiers/language-modifier-escape.xml
      docs/en/designers/language-modifiers/language-modifier-indent.xml
      docs/en/designers/language-modifiers/language-modifier-lower.xml
      docs/en/designers/language-modifiers/language-modifier-nl2br.xml
      docs/en/designers/language-modifiers/language-modifier-regex-replace.xml
      docs/en/designers/language-modifiers/language-modifier-replace.xml
      docs/en/designers/language-modifiers/language-modifier-spacify.xml
      docs/en/designers/language-modifiers/language-modifier-string-format.xml
      docs/en/designers/language-modifiers/language-modifier-strip-tags.xml
      docs/en/designers/language-modifiers/language-modifier-strip.xml
      docs/en/designers/language-modifiers/language-modifier-truncate.xml
      docs/en/designers/language-modifiers/language-modifier-upper.xml
      docs/en/designers/language-modifiers/language-modifier-wordwrap.xml:
      Tidying up some markup

    * docs/en/designers/language-variables.xml:
      typo

    * docs/en/designers/language-variables.xml
      docs/en/designers/language-variables/language-assigned-variables.xml
      docs/en/designers/language-variables/language-config-variables.xml
      docs/en/designers/language-variables/language-variables-smarty.xml:
      Tidy up formatting on variables

    * docs/en/designers/language-basic-syntax/language-escaping.xml
      docs/en/designers/language-basic-syntax/language-math.xml
      docs/en/designers/language-basic-syntax/language-syntax-comments.xml
      docs/en/designers/language-basic-syntax/language-syntax-functions.xml
      docs/en/designers/language-basic-syntax/language-syntax-quotes.xml
      docs/en/designers/language-basic-syntax/language-syntax-variables.xml:
      Formatting of the basic-syntax dir

    * docs/en/designers/language-custom-functions/language-function-assign.xml
      docs/en/designers/language-custom-functions/language-function-counter.xml
      docs/en/designers/language-custom-functions/language-function-cycle.xml
      docs/en/designers/language-custom-functions/language-function-debug.xml
      docs/en/designers/language-custom-functions/language-function-eval.xml
      docs/en/designers/language-custom-functions/language-function-fetch.xml
      docs/en/designers/language-custom-functions/language-function-html-checkboxes.xml
      docs/en/designers/language-custom-functions/language-function-html-image.xml
      docs/en/designers/language-custom-functions/language-function-html-options.xml
      docs/en/designers/language-custom-functions/language-function-html-radios.xml
      docs/en/designers/language-custom-functions/language-function-html-select-date.xml
      docs/en/designers/language-custom-functions/language-function-html-select-time.xml
      docs/en/designers/language-custom-functions/language-function-html-table.xml
      docs/en/designers/language-custom-functions/language-function-mailto.xml
      docs/en/designers/language-custom-functions/language-function-math.xml
      docs/en/designers/language-custom-functions/language-function-popup-init.xml
      docs/en/designers/language-custom-functions/language-function-popup.xml
      docs/en/designers/language-custom-functions/language-function-textformat.xml:
      More formatting and cleaning up examples

2006-09-25  Peter 'Mash' Morgan  <pm@daffodil.uk.com>

    * docs/en/designers/language-builtin-functions/language-function-foreach.xml
      docs/en/designers/language-builtin-functions/language-function-section.xml:
      Doh! removing tabs

    * docs/en/designers/language-builtin-functions/language-function-capture.xml
      docs/en/designers/language-builtin-functions/language-function-config-load.xml
      docs/en/designers/language-builtin-functions/language-function-foreach.xml
      docs/en/designers/language-builtin-functions/language-function-if.xml
      docs/en/designers/language-builtin-functions/language-function-include-php.xml
      docs/en/designers/language-builtin-functions/language-function-include.xml
      docs/en/designers/language-builtin-functions/language-function-insert.xml
      docs/en/designers/language-builtin-functions/language-function-ldelim.xml
      docs/en/designers/language-builtin-functions/language-function-literal.xml
      docs/en/designers/language-builtin-functions/language-function-php.xml
      docs/en/designers/language-builtin-functions/language-function-section.xml
      docs/en/designers/language-builtin-functions/language-function-strip.xml:
      A lot of formatting, tagging and tidy up. Some consistency at last

    * docs/en/designers/language-builtin-functions/language-function-section.xml:
      Major tidy up

    * docs/en/designers/language-builtin-functions/language-function-foreach.xml:
      Major tidy up, added index property and some examples

2006-09-03  Yannick Torres  <yannick.torres@keliglia.com>

    * docs/fr/designers/language-custom-functions/language-function-popup-init.xml
      docs/fr/programmers/advanced-features/advanced-features-outputfilters.xml
      docs/fr/programmers/advanced-features/advanced-features-postfilters.xml
      docs/fr/programmers/advanced-features/advanced-features-prefilters.xml:
      sync with EN

2006-09-01  George Miroshnikov  <support@infinity.com.ua>

    * docs/ru/programmers/api-functions/api-append-by-ref.xml
      docs/ru/programmers/api-functions/api-append.xml
      docs/ru/programmers/api-functions/api-assign-by-ref.xml
      docs/ru/programmers/api-functions/api-assign.xml
      docs/ru/programmers/api-functions/api-clear-all-assign.xml
      docs/ru/programmers/api-functions/api-clear-all-cache.xml
      docs/ru/programmers/api-functions/api-clear-assign.xml
      docs/ru/programmers/api-functions/api-clear-cache.xml
      docs/ru/programmers/api-functions/api-clear-compiled-tpl.xml
      docs/ru/programmers/api-functions/api-clear-config.xml
      docs/ru/programmers/api-functions/api-config-load.xml
      docs/ru/programmers/api-functions/api-display.xml:
      sync with EN

2006-08-25  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty_Compiler.class.php:
      fixed wrong handling of name attribute in {insert}
      thanks to Ivan Kravets for reporting this

    * libs/Smarty_Compiler.class.php:
      fixed typo

2006-08-21  George Miroshnikov  <support@infinity.com.ua>

    * docs/ru/designers/language-custom-functions/language-function-popup-init.xml
      docs/ru/programmers/advanced-features/advanced-features-objects.xml
      docs/ru/programmers/advanced-features/advanced-features-outputfilters.xml
      docs/ru/programmers/advanced-features/advanced-features-postfilters.xml
      docs/ru/programmers/advanced-features/advanced-features-prefilters.xml
      docs/ru/programmers/advanced-features/section-template-cache-handler-func.xml
      docs/ru/programmers/advanced-features/template-resources.xml:
      sync with EN

    * docs/en/programmers/advanced-features/advanced-features-prefilters.xml:
      another missing dot

    * docs/en/programmers/advanced-features/advanced-features-postfilters.xml:
      missing dot

    * docs/en/programmers/advanced-features/advanced-features-outputfilters.xml:
      missing comma

2006-08-19  Peter 'Mash' Morgan  <pmm@daffodil.uk.com>

    * docs/en/designers/language-custom-functions/language-function-popup-init.xml:
      avoid dupes and added remote paths

2006-08-06  Yannick Torres  <yannick.torres@keliglia.com>

    * docs/fr/designers/language-custom-functions/language-function-html-table.xml
      docs/fr/designers/language-custom-functions/language-function-mailto.xml:
      sync with EN

2006-08-03  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty_Compiler.class.php:
      fix false replacement of "$t" inside double quotes
      thanks to checat for reporting this

2006-07-20  George Miroshnikov  <support@infinity.com.ua>

    * docs/ru/designers/language-custom-functions/language-function-html-table.xml
      docs/ru/designers/language-custom-functions/language-function-mailto.xml:
      incrementing EN-Revision

    * docs/ru/designers/language-custom-functions/language-function-assign.xml
      docs/ru/designers/language-custom-functions/language-function-eval.xml
      docs/ru/designers/language-custom-functions/language-function-fetch.xml
      docs/ru/designers/language-custom-functions/language-function-html-checkboxes.xml
      docs/ru/designers/language-custom-functions/language-function-html-image.xml
      docs/ru/designers/language-custom-functions/language-function-html-options.xml
      docs/ru/designers/language-custom-functions/language-function-html-radios.xml
      docs/ru/designers/language-custom-functions/language-function-html-table.xml
      docs/ru/designers/language-custom-functions/language-function-mailto.xml
      docs/ru/designers/language-custom-functions/language-function-popup-init.xml
      docs/ru/designers/language-custom-functions/language-function-popup.xml
      docs/ru/designers/language-modifiers/language-modifier-date-format.xml
      docs/ru/designers/language-modifiers/language-modifier-default.xml
      docs/ru/designers/language-modifiers/language-modifier-escape.xml
      docs/ru/designers/language-modifiers/language-modifier-indent.xml
      docs/ru/designers/language-modifiers/language-modifier-lower.xml
      docs/ru/designers/language-modifiers/language-modifier-nl2br.xml
      docs/ru/designers/language-modifiers/language-modifier-strip.xml
      docs/ru/designers/language-modifiers/language-modifier-truncate.xml
      docs/ru/designers/language-modifiers/language-modifier-upper.xml
      docs/ru/designers/language-modifiers/language-modifier-wordwrap.xml
      docs/ru/designers/language-variables/language-variables-smarty.xml:
      sync with EN

    * docs/en/designers/language-custom-functions/language-function-mailto.xml:
      typo

2006-07-10  boots  <jayboots@yahoo.com>

    * libs/plugins/function.html_table.php:
      fixed email address in comments

    * NEWS
      libs/plugins/function.html_table.php:
      html_table: fixed th/tr output, added hdir support for column
      headings,update docs to reflect new features

2006-07-08  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/plugins/function.html_table.php:
      fix occasional notices on undefined variables

2006-07-08  boots  <jayboots@yahoo.com>

    * libs/plugins/function.html_table.php:
      Added ability to specify column headings in {html_table}
      
      Added th_attrs attribute which works similary to td_attr and tr_attr but
      for TH elements. Changes the cols attribute to allow mixed values; a
      numeric still specifies the number of columns to render but now an array
      of values can be used to specify TH column values. The number of columns
      is determine from the size of the array. Further, a comma-separated
      string of column names can be used which is internally coverted to an
      array and used as if it was specified as a normal array.
      
      Thanks for lynlyn for the feature request.

2006-06-23  boots  <jayboots@yahoo.com>

    * libs/plugins/outputfilter.trimwhitespace.php:
      fix comments in outputfilter.trimwhitespace

    * NEWS
      libs/plugins/outputfilter.trimwhitespace.php:
      fixed ordering of replacements in trimwhitespace output filter
      
      Thanks to Getty from IRC for reporting this.

2006-06-20  boots  <jayboots@yahoo.com>

    * NEWS
      libs/plugins/function.mailto.php:
      update mailto function plugin to work around a firefox/thunderbird escaping
      bug
      
      Thanks to elijahlofgren from the forums for reporting this and providing
      the necessary patch

    * NEWS
      libs/plugins/modifier.date_format.php:
      emulate %l in the date_format modifier on windows
      
      thanks to Gibberish from the forums for reporting this

2006-06-14  boots  <jayboots@yahoo.com>

    * NEWS
      libs/plugins/modifier.capitalize.php:
      Fix handling of apostrophes in the capitalize modifier.
      
      Thanks to asmecher from the forums for reporting this and providing a
      partial solution.

2006-05-28  Monte Ohrt  <monte@ohrt.com>

    * NEWS
      libs/Config_File.class.php
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      update version numbers

2006-05-25  boots  <jayboots@yahoo.com>

    * NEWS
      libs/Smarty_Compiler.class.php:
      un-hide hidden xml open tags

2006-05-09  boots  <jayboots@yahoo.com>

    * NEWS
      libs/Smarty_Compiler.class.php:
      separate handling of comment blocks from "special blocks"

    * NEWS
      libs/plugins/function.popup_init.php:
      reverted {popup_init} as proposed change to insertion behviour was not BC

2006-05-04  boots  <jayboots@yahoo.com>

    * NEWS
      libs/plugins/function.popup_init.php:
      changed {popup_init} to only emit code once during a request
      
      Thanks to TGKnIght from forums

2006-04-22  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty_Compiler.class.php:
      fix handling of block-methods of registered objects
      thanks to El Hombre Gris

2006-04-04  Monte Ohrt  <monte@ohrt.com>

    * libs/plugins/function.html_select_date.php:
      fix typo

2006-03-09  Monte Ohrt  <monte@ohrt.com>

    * (Smarty_2_6_13)
      NEWS:
      update for release

2006-03-08  Monte Ohrt  <monte@ohrt.com>

    * libs/plugins/modifier.regex_replace.php:
      remove delim quote

    * libs/plugins/modifier.regex_replace.php:
      fix delimiter issue

2006-03-03  Monte Ohrt  <monte@ohrt.com>

    * libs/plugins/modifier.regex_replace.php:
      use preg_replace to cover any space chars

    * libs/plugins/modifier.regex_replace.php:
      fix problem with allowing "e" modifier

2006-01-29  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty_Compiler.class.php:
      removed possiblity for E_NOTICE on an undefined variable in
      Smarty_Compiler::_compile_if_tag() - thanks to sbeh

2006-01-18  Monte Ohrt  <monte@ohrt.com>

    * libs/Config_File.class.php
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      update version numbers

    * (Smarty_2_6_12)
      NEWS:
      commit 2.6.12 release

2006-01-15  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty_Compiler.class.php:
      fixed use of references $cache_attrs and $repeat in Smarty_Compiler.
      
      php does not allow to pass an assigned by reference to a function. since
      php-5.1.2
      the reference to the lval gets lost when passing an assignment.

2005-12-31  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty.class.php:
      fixed incompatible use of fread() in Smarty::_read_file()
      it choke on php-5.1.1 and later.
      thanks to andig for pointing this out.

2005-12-21  boots  <jayboots@yahoo.com>

    * NEWS
      libs/Smarty_Compiler.class.php:
      Fix improper tokenization of certain inline math expressions.
      
      Thanks to gerard at forums for reporting this.

2005-12-19  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/plugins/function.math.php:
      fixed problem with math in certain LC_NUMERIC locales.
      thanks to wiebren for providing problem+solution.

2005-12-14  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS:
      fixed iso-latin1 special chars

2005-12-14  Monte Ohrt  <monte@ohrt.com>

    * libs/Config_File.class.php
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      update version numbers

    * (Smarty_2_6_11)
      NEWS:
      commit NEWS file for 2.6.11

2005-12-08  Messju Mohr  <messju@lammfellpuschen.de>

    * docs/de/getting-started.xml:
      sync with en

2005-11-29  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty_Compiler.class.php:
      fixed code generation of non-cacheable blocks to play well with php's
      "Alternative syntax" used for example in compiled {if}..{else}..{/if}
      blocks.
      
      (see: http://php.net/manual/en/control-structures.alternative-syntax.php
      on "Alternative syntax")
      
      thanks to kihara from the forum.

2005-11-26  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS:
      fixed handling of multiple identical calls to {insert}.
      
      the function was called multiple times, but all inserts where replaced
      by the results of the first call to the insert function.

    * libs/plugins/compiler.assign.php
      libs/plugins/function.config_load.php:
      added credits

    * libs/plugins/function.popup.php:
      added "closeclick" from
      http://www.bosrup.com/web/overlib/?Command_Reference

2005-11-23  boots  <jayboots@yahoo.com>

    * NEWS
      libs/Config_File.class.php
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php
      libs/plugins/modifier.escape.php:
      replace {} string access with equivalent substr() to avoid E_STRICT
      warnings in PHP 5.1

2005-11-09  boots  <jayboots@yahoo.com>

    * NEWS
      libs/Smarty.class.php:
      return valid reference in get_config_vars() when given var is non-existant

2005-10-11  Monte Ohrt  <monte@ohrt.com>

    * libs/plugins/block.textformat.php
      libs/plugins/compiler.assign.php
      libs/plugins/function.assign_debug_info.php
      libs/plugins/function.config_load.php
      libs/plugins/function.counter.php
      libs/plugins/function.eval.php
      libs/plugins/function.fetch.php
      libs/plugins/function.html_options.php
      libs/plugins/function.html_select_date.php
      libs/plugins/function.html_select_time.php
      libs/plugins/function.math.php
      libs/plugins/function.popup.php
      libs/plugins/function.popup_init.php
      libs/plugins/modifier.capitalize.php
      libs/plugins/modifier.count_characters.php
      libs/plugins/modifier.count_paragraphs.php
      libs/plugins/modifier.count_sentences.php
      libs/plugins/modifier.count_words.php
      libs/plugins/modifier.date_format.php
      libs/plugins/modifier.debug_print_var.php
      libs/plugins/modifier.default.php
      libs/plugins/modifier.escape.php
      libs/plugins/modifier.indent.php
      libs/plugins/modifier.lower.php
      libs/plugins/modifier.regex_replace.php
      libs/plugins/modifier.replace.php
      libs/plugins/modifier.spacify.php
      libs/plugins/modifier.string_format.php
      libs/plugins/modifier.strip_tags.php
      libs/plugins/modifier.truncate.php
      libs/plugins/modifier.upper.php
      libs/plugins/modifier.wordwrap.php
      libs/plugins/shared.escape_special_chars.php
      libs/plugins/shared.make_timestamp.php:
      Added author title to plugins where they don't exist. I put my name where I
      was the original or co-author. If there needs to be more credit given
      somewhere, speak up!

2005-10-10  Monte Ohrt  <monte@ohrt.com>

    * NEWS
      libs/plugins/function.html_image.php:
      add path_prefix to html_image, fix incorrect secure_dir error when image
      file is missing

2005-10-04  Monte Ohrt  <monte@ohrt.com>

    * demo/templates/index.tpl:
      remove popup example, update section var syntax

2005-09-16  Nuno Lopes  <nunoplopes@sapo.pt>

    * docs/de/getting-started.xml:
      more fixes

    * docs/de/getting-started.xml:
      fix php bug #34520: broken example display (de only)

2005-08-30  Monte Ohrt  <monte@ohrt.com>

    * libs/plugins/modifier.escape.php:
      change default charset from utf8 to iso-8859-1

    * NEWS
      libs/plugins/modifier.escape.php:
      add char_set param

2005-08-17  Monte Ohrt  <monte@ohrt.com>

    * NEWS:
      fix notice in debug security check

    * libs/Smarty.class.php:
      fix typo

    * NEWS
      libs/Smarty.class.php:
      return valid reference in get_template_vars() when given var is
      non-existant

2005-08-12  Monte Ohrt  <monte@ohrt.com>

    * NEWS
      libs/plugins/modifier.escape.php:
      add "urlpathinfo" escape type to escape modifier. (apache does not like %2F
      in the PATH_INFO)

2005-08-05  Monte Ohrt  <monte@ohrt.com>

    * NEWS
      libs/Config_File.class.php
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      update version numbers

2005-08-04  Monte Ohrt  <monte@ohrt.com>

    * NEWS:
      update secure_dir notes

    * NEWS:
      allow debug.tpl to work from arbitrary dir

2005-08-04  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty_Compiler.class.php:
      fixed proper escaping for literal strings passed to
      Smarty_Compiler::_expand_quoted_text() by
      Smarty_Compiler::_parse_var_props()

2005-07-27  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/plugins/shared.make_timestamp.php:
      removed ambiguity for numeric values passed to smarty_make_timestamp().
      numeric values are *always* treated as timestamps now.

2005-07-18  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Config_File.class.php:
      removed E_NOTICE from Config_File::get()

    * libs/Smarty.class.php:
      removed E_NOTICE

2005-07-10  Yannick Torres  <yannick.torres@keliglia.com>

    * docs/fr/getting-started.xml:
      sync with EN

2005-07-08  Monte Ohrt  <monte@ohrt.com>

    * NEWS:
      correct username in NEWS file

    * NEWS
      libs/plugins/function.html_select_date.php:
      added passthru attribute feature to html_select_date

2005-07-03  Yannick Torres  <yannick.torres@keliglia.com>

    * docs/fr/language-snippets.ent
      docs/fr/preface.xml:
      sync with EN

2005-06-16  Messju Mohr  <messju@lammfellpuschen.de>

    * docs/de/preface.xml
      docs/de/preface.xml:
      sync with en

2005-06-13  Monte Ohrt  <monte@ohrt.com>

    * NEWS
      libs/plugins/modifier.truncate.php:
      add "middle" parameter to truncate modifier

2005-06-10  Messju Mohr  <messju@lammfellpuschen.de>

    * docs/de/livedocs.ent:
      added german livedocs.ent

    * docs/de/language-snippets.ent
      docs/de/preface.xml:
      sync with en

2005-06-09  Messju Mohr  <messju@lammfellpuschen.de>

    * docs/de/bookinfo.xml
      docs/de/getting-started.xml
      docs/de/getting-started.xml:
      sync with en

2005-05-24  Yannick Torres  <yannick.torres@keliglia.com>

    * docs/fr/getting-started.xml
      docs/fr/language-snippets.ent:
      sync with EN

2005-05-20  Monte Ohrt  <monte@ohrt.com>

    * libs/plugins/function.html_radios.php:
      fix allowable label id characters

2005-05-06  Monte Ohrt  <monte@ohrt.com>

    * NEWS
      libs/plugins/function.html_radios.php:
      make form input label ids optional (monte)

2005-05-02  Monte Ohrt  <monte@ohrt.com>

    * NEWS
      libs/Smarty_Compiler.class.php:
      add error message for empty if/elseif statements

2005-04-15  Monte Ohrt  <monte@ohrt.com>

    * NEWS
      libs/plugins/function.html_radios.php:
      cast selected value to string for comparison in html_radios

2005-04-07  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/plugins/function.html_select_date.php:
      added xhtml compliance to html_select_date's year_as_text-feature
      thanks to Mark West

    * NEWS
      libs/plugins/function.html_select_date.php:
      fixed handling of selected month html_select_date
      thanks to Yuri Weseman for providing problem+solution

2005-04-07  Nuno Lopes  <nunoplopes@sapo.pt>

    * docs/configure.in:
      sync configure and file-entities scripts with phpdoc, for better
      windows/cygwin support

2005-03-31  Monte Ohrt  <monte@ohrt.com>

    * libs/Config_File.class.php
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      update version numbers

    * (Smarty_2_6_9)
      NEWS:
      update NEWS file

2005-03-30  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/plugins/function.math.php:
      re-enabled hex-constant. i hope in a sane way this time.

2005-03-30  Monte Ohrt  <monte@ohrt.com>

    * libs/plugins/function.math.php:
      fix function testing logic

    * libs/Smarty_Compiler.class.php:
      disable variable func calls completely

    * libs/Smarty_Compiler.class.php:
      disallow variable func calls when security is enabled

2005-03-22  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Config_File.class.php
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      bumped version-number to 2.6.9-dev
      added headline of 2.6.6 release to NEWS file

2005-03-21  Messju Mohr  <messju@lammfellpuschen.de>

    * (Smarty_2_6_8)
      NEWS:
      maybe even better this way. thanks monte :)

    * NEWS:
      little more clear news-entry

2005-03-21  Monte Ohrt  <monte@ohrt.com>

    * NEWS:
      update NEWS with e-modifier removal

    * (Smarty_2_6_8)
      libs/plugins/modifier.regex_replace.php:
      remove e-modifier

2005-03-19  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty_Compiler.class.php:
      objects don't get casted to arrays anymore in {foreach}

2005-02-26  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty.class.php:
      add "null" as a valid token for {if} when security is enabled

2005-02-25  Monte Ohrt  <monte@ohrt.com>

    * NEWS
      libs/plugins/function.mailto.php:
      add javascript_charcode option to mailto

2005-02-24  Monte Ohrt  <monte@ohrt.com>

    * NEWS:
      update NEWS file

    * QUICK_START
      libs/plugins/function.html_radios.php:
      add label ids to html_radios

2005-02-10  Monte Ohrt  <monte@ohrt.com>

    * QUICK_START:
      update with directory structure

2005-02-10  Nuno Lopes  <nunoplopes@sapo.pt>

    * docs/Makefile.in:
      fix chm generation

2005-02-10  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty_Compiler.class.php:
      fixed too agressive {strip} around delimiters inside strip-blocks

2005-02-10  Monte Ohrt  <monte@ohrt.com>

    * QUICK_START:
      fix a couple errors

2005-02-10  Nuno Lopes  <nunoplopes@sapo.pt>

    * docs/Makefile.in
      docs/README:
      commiting the new tools to make the CHM manual.

2005-02-09  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty_Compiler.class.php:
      fixed handling of strip-tags with non-default delimiters

2005-02-04  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/plugins/function.html_radios.php:
      fixed syntax error. shame on me.

2005-02-03  Monte Ohrt  <monte@ohrt.com>

    * QUICK_START:
      fix example

    * QUICK_START:
      initial commit

    * RELEASE_NOTES
      libs/Config_File.class.php
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      update version numbers in cvs

    * (Smarty_2_6_7)
      NEWS
      libs/Config_File.class.php
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      commit version numbers for new release

2005-02-03  Messju Mohr  <messju@lammfellpuschen.de>

    * (Smarty_2_6_7)
      libs/plugins/function.html_image.php:
      fixed comment (thanks to CirTap)

2005-02-01  Monte Ohrt  <monte@ohrt.com>

    * libs/plugins/function.html_image.php:
      remove border tag

2005-02-01  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty.class.php:
      fixed serialization of values containing newlines (like _cache_attrs)
      in core_write_cache_file()
      
      bumped version to 2.6.6-dev-3 to indicate that the fileformat of cache
      has changed

2005-01-30  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty_Compiler.class.php:
      fixed handling of hashed opening php-tags inside strip-blocks
      (reported by titi_rafa)

2005-01-30  Nuno Lopes  <nunoplopes@sapo.pt>

    * docs/fr/language-snippets.ent:
      fix build

2005-01-28  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/plugins/modifier.escape.php:
      escape:url now uses the (RFC 1738 compliant) rawurlencode()

2005-01-23  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty.class.php:
      replaced ? true : false and removed intermediate $_cookie_var in the
      handling of the SMARTY_DEBUG-cookie

2005-01-22  Yannick Torres  <yannick.torres@keliglia.com>

    * docs/fr/bookinfo.xml:
      update EN-Revision tag

2005-01-21  Monte Ohrt  <monte@ohrt.com>

    * README
      RELEASE_NOTES
      docs/de/bookinfo.xml
      docs/fr/bookinfo.xml
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php
      libs/plugins/function.cycle.php
      libs/plugins/function.debug.php
      libs/plugins/function.html_checkboxes.php
      libs/plugins/function.html_image.php
      libs/plugins/function.html_radios.php
      libs/plugins/function.html_table.php
      libs/plugins/function.mailto.php
      libs/plugins/modifier.cat.php
      libs/plugins/modifier.nl2br.php
      libs/plugins/modifier.strip.php
      libs/plugins/outputfilter.trimwhitespace.php:
      de-spammify e-mails

    * README
      RELEASE_NOTES
      docs/de/bookinfo.xml
      docs/fr/bookinfo.xml
      libs/Config_File.class.php
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php
      libs/plugins/function.cycle.php
      libs/plugins/function.debug.php
      libs/plugins/function.html_checkboxes.php
      libs/plugins/function.html_image.php
      libs/plugins/function.html_radios.php
      libs/plugins/function.html_table.php
      libs/plugins/function.mailto.php
      libs/plugins/modifier.cat.php
      libs/plugins/modifier.nl2br.php
      libs/plugins/modifier.strip.php
      libs/plugins/outputfilter.trimwhitespace.php:
      update copyright notices, e-mail addresses

2005-01-06  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty_Compiler.class.php:
      reduced the code that is generated on a {foreach}-block that has a
      name.
      
      instead of pre-computing all foreach-properties (like first, last,
      show) on each iteration, they are computed on demand as soon as
      {$smarty.foreach.*}-variables are used.

    * NEWS
      libs/Smarty_Compiler.class.php:
      slight optimization in the compilation of $smarty.const.FOO .
      
      more complex consts like $smarty.const.$name still compile to
      constant($this->_tpl_vars['name'])

2005-01-05  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty_Compiler.class.php:
      make block functions and registered objects' block methods use a
      local variable for block_content instead of $this->_block_content
      
      it's not necessary to have $smarty->_block_content accessible.

2005-01-04  Yannick Torres  <yannick.torres@keliglia.com>

    * docs/fr/bookinfo.xml:
      sync with EN

2005-01-01  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Config_File.class.php
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      Happy new year from germany.

2004-12-28  Monte Ohrt  <monte@ispi.net>

    * libs/Smarty.class.php:
      fix _read_file comments

2004-12-26  Yannick Torres  <yannick.torres@keliglia.com>

    * docs/fr/getting-started.xml
      docs/fr/preface.xml:
      typo

    * docs/fr/language-defs.ent
      docs/fr/language-snippets.ent
      docs/fr/livedocs.ent:
      sync with EN & typo

2004-12-21  Yannick Torres  <yannick.torres@keliglia.com>

    * docs/fr/bookinfo.xml
      docs/fr/getting-started.xml
      docs/fr/translation.xml:
      sync with EN

2004-12-17  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty_Compiler.class.php:
      fixed escaping of template-filenames in the generated code that loads
      needed plugins

2004-12-15  Monte Ohrt  <monte@ispi.net>

    * NEWS
      libs/plugins/function.popup.php:
      fix invalid HTML issue with popup

2004-12-06  boots  <jayboots@yahoo.com>

    * NEWS
      libs/plugins/function.popup.php:
      - fixed {popup} to properly handle inarray and function parameters and
      added support for mouseoff and followmouse options

2004-11-21  Mehdi Achour  <didou@keliglia.com>

    * docs/fr/livedocs.ent:
      add livedocs specific entities files

2004-11-16  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/plugins/function.html_checkboxes.php
      libs/plugins/function.html_radios.php:
      cleaned up typecasting

2004-11-15  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/plugins/function.html_options.php:
      fixed semantically misleading check for $options (use isset() instead
      of is_array() because it is always an array).
      
      thanks to albert almeida.

2004-11-08  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty_Compiler.class.php:
      removed unused code

2004-10-25  Mehdi Achour  <didou@keliglia.com>

    * docs/fr/bookinfo.xml
      docs/fr/getting-started.xml:
      sync with en

2004-10-13  Monte Ohrt  <monte@ispi.net>

    * NEWS:
      update header

2004-10-02  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS:
      fixed nocache-handling with nested includes. there was a logical error
      in the replacement of internal nocache-tags to dynamic content that
      lead to false results with deeply nested includes or with
      nocache-blocks inside nocache-blocks.
      
      many thanks to Lars Jankowfsky for providing big help on reproducing
      and tracking down this bug!

2004-10-01  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      - better header for compiled includes (more in line with compiled
      templates)
      
      - reuse cache_serials if a file is compiled more than once in one
        process (force_compile)
      
      - don't print nocache-delimiters wenn already inside
      process_cached_inserts()

2004-09-29  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty.class.php:
      switched from @count() to !empty() . this was pointed out a few times
      by a few people with buggy error-handlers

    * libs/Smarty_Compiler.class.php:
      added some property declarations

2004-09-28  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty.class.php:
      bumped up version number to reflect incompatibility in tempfiles of
      'core' vs. 'internals'

2004-09-24  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/plugins/function.html_select_date.php:
      fixed $start_year when no value for the year in $time is given.

2004-09-21  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/plugins/function.html_table.php:
      fixed handling of "inner"-attribute

    * libs/Smarty_Compiler.class.php:
      fixed handling of object derefence inside backticks

2004-09-20  Monte Ohrt  <monte@ispi.net>

    * libs/debug.tpl:
      add <head></head> tags

2004-09-18  boots  <jayboots@yahoo.com>

    * libs/Smarty.class.php
      libs/Smarty_Compiler.class.php
      libs/plugins/function.config_load.php
      libs/plugins/function.debug.php
      libs/plugins/function.fetch.php
      libs/plugins/function.html_image.php:
      Fixed \\r\\n line endings mistakenly introduced in last commit. d'oh.

2004-09-16  boots  <jayboots@yahoo.com>

    * NEWS
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php
      libs/core/core.assemble_plugin_filepath.php
      libs/core/core.assign_smarty_interface.php
      libs/core/core.create_dir_structure.php
      libs/core/core.display_debug_console.php
      libs/core/core.get_include_path.php
      libs/core/core.get_microtime.php
      libs/core/core.get_php_resource.php
      libs/core/core.is_secure.php
      libs/core/core.is_trusted.php
      libs/core/core.load_plugins.php
      libs/core/core.load_resource_plugin.php
      libs/core/core.process_cached_inserts.php
      libs/core/core.process_compiled_include.php
      libs/core/core.read_cache_file.php
      libs/core/core.rm_auto.php
      libs/core/core.rmdir.php
      libs/core/core.run_insert_handler.php
      libs/core/core.smarty_include_php.php
      libs/core/core.write_cache_file.php
      libs/core/core.write_compiled_include.php
      libs/core/core.write_compiled_resource.php
      libs/core/core.write_file.php
      libs/plugins/function.config_load.php
      libs/plugins/function.debug.php
      libs/plugins/function.fetch.php
      libs/plugins/function.html_image.php:
      Moved /libs/core to /libs/internals and created new constant,
      SMARTY_CORE_DIR which defaults to SMARTY_DIR/internals. This should help
      CVS and rsynch users butupgrades will require changes and this may affect
      3rd party plugins that use the /core dir.

2004-09-15  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty_Compiler.class.php:
      moved $this->_num_const_regexp out of $this->_var_regexp and added it
      to the places that affect $this->_var_regexp
      
      this should fix some problems parsing plugin-names endings with digits

2004-09-14  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Config_File.class.php
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      update files to 2.6.6-dev

2004-09-13  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS:
      fixed typo

2004-09-13  Monte Ohrt  <monte@ispi.net>

    * (Smarty_2_6_5)
      NEWS:
      update NEWS file with parsing correction note

2004-09-11  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/plugins/function.debug.php:
      removed notice from {debug}
      thanks to Peter Billen for pointing this one out!

2004-09-11  Monte Ohrt  <monte@ispi.net>

    * libs/Smarty_Compiler.class.php:
      fix more object calling syntax issues

2004-09-10  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      added $smarty->security_settings['ALLOW_CONSTANTS']
      including test-cases for them

2004-09-09  Monte Ohrt  <monte@ispi.net>

    * libs/Smarty_Compiler.class.php:
      break down regex to digestable chunks, fix multiple param problem with
      method calls,
      add object method testing to unit_test cases

    * libs/Smarty_Compiler.class.php:
      update code comment with more examples

    * libs/Smarty_Compiler.class.php:
      allow objects in arbitrary param positions

    * libs/Smarty_Compiler.class.php:
      fix object parameter regex, allow one level of object indirection

    * libs/Smarty_Compiler.class.php:
      fix compile problem with numeric constants and math operator matching

2004-09-07  Monte Ohrt  <monte@ispi.net>

    * libs/Config_File.class.php
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      update files to 2.6.5-dev

    * (Smarty_2_6_4)
      NEWS:
      update NEWS file with 2.6.4 header

2004-08-31  Monte Ohrt  <monte@ispi.net>

    * libs/Smarty_Compiler.class.php:
      fix preg_quote

    * libs/Smarty_Compiler.class.php:
      fix math in object params, clean up some regex on the way, change
      preg_ delimiters to ~ to avoid character clashes with ! and %

2004-08-30  Monte Ohrt  <monte@ispi.net>

    * NEWS
      libs/Smarty_Compiler.class.php:
      add $smarty.ldelim and $smarty.rdelim to smarty special var

2004-08-29  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/core/core.write_file.php:
      tempnam() seems to be borken on many installation.
      
      now we try tempnam first and if that fails we generate our own
      temp-filename with uniqid()

2004-08-23  Monte Ohrt  <monte@ispi.net>

    * libs/plugins/modifier.capitalize.php:
      dont use constant, use static var instead

    * libs/plugins/modifier.capitalize.php:
      implement optional param to capitalize for digit behavior

    * libs/plugins/modifier.capitalize.php:
      another commit to capitalize, taking special chars into account

2004-08-23  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty_Compiler.class.php:
      cleaned up attribute-handling in Smarty_Compiler::_compile_foreach_start()

2004-08-23  Monte Ohrt  <monte@ispi.net>

    * NEWS
      libs/plugins/function.html_select_date.php
      libs/plugins/modifier.capitalize.php:
      fix capitalize modifier to not rely on buggy ucwords() func

2004-08-20  Monte Ohrt  <monte@ispi.net>

    * libs/plugins/function.html_select_date.php:
      update version

    * NEWS
      libs/plugins/function.html_select_date.php:
      make time param work with negative timestamps, force year range to include
      given date unless explicitly set

2004-08-19  Monte Ohrt  <monte@ispi.net>

    * NEWS
      libs/plugins/function.fetch.php:
      fix bug with fetch, passing user/pass in url did not work

2004-08-13  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty_Compiler.class.php:
      fixed handling of {foreachelse} and {sectionelse} that got borked with
      the latest commit (v 1.330)

2004-08-12  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty_Compiler.class.php:
      fixed occasional wrong error messages on mismatched tags when
      {else}, {elseif}, {foreachelse} or {sectionelse} is involved
      
      thanks to Ooypunk for pointing me on this

2004-08-12  Nuno Lopes  <nunoplopes@sapo.pt>

    * docs/.cvsignore
      docs/Makefile.in
      docs/configure.in:
      enable russian PDF builds

2004-07-30  Nuno Lopes  <nunoplopes@sapo.pt>

    * docs/configure.in:
      typo

    * docs/Makefile.in
      docs/README
      docs/configure.in:
      add make test_xml
      this is usefull to detect XML problems

2004-07-29  Nuno Lopes  <nunoplopes@sapo.pt>

    * docs/configure.in:
      avoid warnings in head

    * docs/.cvsignore
      docs/Makefile.in
      docs/README
      docs/configure.in:
      build pdf files
      just type make pdf

2004-07-27  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty_Compiler.class.php:
      fixed handling of methods arguments.
      
      thanks to Manfred Wischin for finding this one and providing the
      conceptual fix.

2004-07-23  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/plugins/function.html_checkboxes.php
      libs/plugins/function.html_radios.php:
      there was little flaw in smarty_function_html_radios() and
      smarty_function_html_checkboxes():
      
      the newly introduced assign-attribute was still added to the
      tag-output as an extra-attribute.
      
      fixed.

    * NEWS
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php
      libs/core/core.load_plugins.php
      libs/core/core.load_resource_plugin.php
      libs/plugins/function.html_checkboxes.php
      libs/plugins/function.html_image.php
      libs/plugins/function.html_options.php
      libs/plugins/function.html_radios.php
      libs/plugins/function.html_select_date.php
      libs/plugins/function.html_select_time.php
      libs/plugins/modifier.date_format.php:
      backed out renaming of _get_plugin_filepath() to get_plugin_filepath()
      
      we'll stick to _get_plugin_filepath() and look for a more viable
      solution to be exposed to plugin-writers.

2004-07-20  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty_Compiler.class.php
      libs/core/core.is_trusted.php
      libs/plugins/compiler.assign.php:
      Some fixes on PhpDocumentor comments. Thanks go to Ruben Vermeersch.

2004-07-16  andreas halter  <phpcvs@andreashalter.ch>

    * docs/de/bookinfo.xml
      docs/de/getting-started.xml
      docs/de/language-defs.ent
      docs/de/language-snippets.ent
      docs/de/preface.xml:
      - updated for 2.6.3
      - updates for new build system
      - added missing files
      - corrections from users
      - revcheck comments for all files
      - big up to didou and nuno, brilliant work
      - make test: ok
      - make: ok

2004-07-16  Nuno Lopes  <nunoplopes@sapo.pt>

    * docs/de/getting-started.xml:
      fix the revision tracking tag
      the revision number might not be right. just check it, please

2004-07-16  andreas halter  <phpcvs@andreashalter.ch>

    * docs/de/getting-started.xml:
      - updated version (incl revcheck comment) for revcheck testing

2004-07-14  Monte Ohrt  <monte@ispi.net>

    * libs/Smarty.class.php:
      replace " with ' where literal strings are quoted (ever so slight speedup)

2004-07-12  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/plugins/modifier.date_format.php:
      changed call from $smarty->_get_plugin_filepath() to
      $smarty->get_plugin_filepath()

    * libs/plugins/function.html_checkboxes.php
      libs/plugins/function.html_image.php
      libs/plugins/function.html_options.php
      libs/plugins/function.html_radios.php
      libs/plugins/function.html_select_date.php
      libs/plugins/function.html_select_time.php:
      renamed calls to $smarty->_get_plugin_filepath() to
      $smarty->get_plugin_filepath()

    * NEWS
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php
      libs/core/core.load_plugins.php
      libs/core/core.load_resource_plugin.php:
      renamed Smarty::_get_plugin_filepath() to Smarty::get_plugin_filepath()

    * NEWS
      libs/Smarty.class.php
      libs/core/core.write_compiled_include.php
      libs/core/core.write_compiled_resource.php
      libs/core/core.write_file.php:
      removed touch() call. changing the timestamp of the compiled-template
      to the source template's may be irritating for certain
      source-code-caches. now a newly compiled template gets the current
      time as timestamp.

2004-07-02  gerald croes  <gerald@phpside.org>

    * docs/fr/getting-started.xml
      docs/fr/preface.xml:
      Fixed missing tags to be able to make doc again

    * docs/fr/preface.xml:
      added the "is a good thing [TM]" as in en docs

    * docs/fr/getting-started.xml:
      added ctags, updated screen => programm listing.
      added the technical note founded on the en doc

2004-07-02  Monte Ohrt  <monte@ispi.net>

    * NEWS
      libs/plugins/function.html_checkboxes.php
      libs/plugins/function.html_radios.php
      libs/plugins/function.mailto.php:
      add assign attribute to html_checkboxes and html_radios

2004-07-01  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty.class.php:
      removed use of get_include_filepath() inside
      get_auto_filename(). thanks go to c960657

    * NEWS
      libs/Smarty_Compiler.class.php:
      enhanced error-reporting for {foreach}

    * NEWS
      libs/Smarty_Compiler.class.php:
      fixed handling of digits inside tagnames. this problem slipped into
      the regexps by adding support for numeric contants next to string
      constants as variables.

2004-06-27  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty_Compiler.class.php:
      fixed escaping of backslashes in Smarty_Compiler::_quote_replace()

2004-06-23  Monte Ohrt  <monte@ispi.net>

    * libs/plugins/modifier.date_format.php:
      display date_format %e, %T and %D as expected for windows

2004-06-17  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Config_File.class.php
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      changed version-number to 2.6.4-dev

2004-06-16  Monte Ohrt  <monte@ispi.net>

    * (Smarty_2_6_3)
      NEWS:
      update NEWS file with version number

2004-06-09  Monte Ohrt  <monte@ispi.net>

    * NEWS
      libs/plugins/modifier.escape.php:
      added escapement of '</' to javascript escaping

2004-06-08  gerald croes  <gerald@phpside.org>

    * docs/fr/translation.xml:
      Add other translators.

2004-06-08  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty.class.php:
      made the correct value of "use_sub_dirs" available to the compiler.
      (not worth a NEWS-entry, i think)

2004-06-01  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/plugins/function.fetch.php:
      fix: proper initialistaion of $content.
      thanks to Dmitry Koteroff for pointing this out.

2004-05-29  Mehdi Achour  <didou@keliglia.com>

    * docs/fr/translation.xml:
      oups :)

    * docs/fr/translation.xml:
      added translation file

2004-05-28  Nuno Lopes  <nunoplopes@sapo.pt>

    * docs/Makefile.in:
      clean also file-entities.php

2004-05-28  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/plugins/function.mailto.php:
      added obfuscation of protocol-string in {mailto} when using
      hex-encoding (thanks to bharat)

2004-05-26  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty.class.php:
      enhanced auto-generated filenames for templates_c and cache
      
      incremented Smarty::_version because the tempfiles' structure changed
      a little

2004-05-23  Mehdi Achour  <didou@keliglia.com>

    * docs/fr/bookinfo.xml
      docs/fr/getting-started.xml
      docs/fr/preface.xml:
      WS and added revcheck

2004-05-21  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty_Compiler.class.php:
      fixed typo in error-messages

    * docs/de/language-snippets.ent
      docs/fr/language-snippets.ent:
      added empty language-snippets.ent to fix "make web"

2004-05-12  Monte Ohrt  <monte@ispi.net>

    * NEWS
      libs/plugins/modifier.escape.php:
      add 'nonstd' escape modifier

2004-05-07  Monte Ohrt  <monte@ispi.net>

    * NEWS
      libs/plugins/block.textformat.php:
      update textformat to not output wrap chars after last para

2004-05-06  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/core/core.write_file.php:
      use tempnam() instead of unqid() to create better temporary files in
      smarty_core_write_file().
      
      (thanks to xces for finding this race-condition and his work on
      fixing it)

2004-05-04  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty.class.php:
      added check if for file_exists() to Smarty::_read_file()

2004-04-30  Monte Ohrt  <monte@ispi.net>

    * NEWS
      libs/plugins/modifier.escape.php:
      add 'mail' attribute to escape modifier

2004-04-20  Mehdi Achour  <didou@keliglia.com>

    * docs/manual.xml.in:
      added the language-snippets.ent file and started using entities for notes
      under en/programmers/api-functions

2004-04-18  Mehdi Achour  <didou@keliglia.com>

    * docs/de/getting-started.xml
      docs/fr/getting-started.xml:
      new global entity for zend and php-accelerator

    * docs/fr/bookinfo.xml
      docs/fr/getting-started.xml
      docs/fr/preface.xml:
      added myself as translator and added vim comments and xml tags

2004-04-16  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS:
      added entry for numeric constants

    * libs/Smarty_Compiler.class.php:
      removed unused 2nd param in call to _parse_var()

    * libs/Smarty_Compiler.class.php:
      added explanation for $this->_num_const_regexp

    * NEWS
      libs/plugins/modifier.escape.php:
      added escape type "decentity" to smarty_modifier_escape()

    * libs/Smarty_Compiler.class.php:
      enabled numerical constants be parsed as statements.
      (like {10} or {10|@range:12} )

    * libs/Smarty_Compiler.class.php:
      removed unused $smarty_compiler->_dvar_num_var_regexp

    * libs/Smarty.class.php:
      reverted Stuff

    * libs/debug.tpl
      libs/core/core.assemble_plugin_filepath.php
      libs/core/core.read_cache_file.php
      libs/core/core.write_file.php
      libs/plugins/function.eval.php
      libs/plugins/function.popup.php
      libs/plugins/modifier.escape.php
      libs/plugins/shared.make_timestamp.php:
      reverted stuff

    * libs/Smarty.class.php
      libs/Smarty_Compiler.class.php
      libs/debug.tpl
      libs/core/core.assemble_plugin_filepath.php
      libs/core/core.read_cache_file.php
      libs/core/core.write_file.php
      libs/plugins/function.eval.php
      libs/plugins/function.popup.php
      libs/plugins/modifier.escape.php
      libs/plugins/shared.make_timestamp.php:
      Smarty_Compiler.class.php

2004-04-15  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/core/core.write_compiled_include.php:
      made smarty_core_write_compiled_include() php5-aware
      
      if someone knows a better way than patching the source with the
      tokenizer, please stand up!

2004-04-14  Nuno Lopes  <nunoplopes@sapo.pt>

    * docs/Makefile.in:
      remove file-entities.ent also

    * docs/.cvsignore
      docs/Makefile.in
      docs/README:
      allow make revcheck

2004-04-13  Nuno Lopes  <nunoplopes@sapo.pt>

    * docs/configure.in:
      do not need inipath

2004-04-13  Mehdi Achour  <didou@keliglia.com>

    * docs/TODO:
      done

    * docs/configure.in
      docs/manual.xml.in:
      now the files entites are generated dynamically

2004-04-12  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Config_File.class.php
      libs/Smarty.class.php:
      removed unused functionality to load a subset of lines from a file in
      Smarty::_read_file()
      
      additionally removed a warning that is emitted since php-4.3.5 when
      fread() is called on an empty file (with filesize()==0). thanks to
      Andreas Streichardt who pointed this out.

    * NEWS
      libs/core/core.is_secure.php:
      smarty_core_is_secure() only checks the file for readability now, not
      the directory where is in.

    * libs/Smarty.class.php:
      removed unused security_setting 'ALLOW_CONSTANTS'

2004-04-07  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/plugins/function.assign_debug_info.php
      libs/plugins/function.cycle.php
      libs/plugins/function.mailto.php:
      removed trailing spaces

    * libs/Smarty.class.php:
      removed unused $smarty->_error_msg

2004-04-04  Nuno Lopes  <nunoplopes@sapo.pt>

    * docs/configure.in:
      fixing my crap
      put build_date back on-line

2004-04-03  Nuno Lopes  <nunoplopes@sapo.pt>

    * docs/Makefile.in
      docs/configure.in
      docs/manual.xml.in:
      trying to fix ru problems

2004-03-30  Monte Ohrt  <monte@ispi.net>

    * libs/core/core.display_debug_console.php:
      fix problem with debug_tpl path and security

    * NEWS
      libs/core/core.display_debug_console.php:
      fix problem displaying debug console when $default_resource_type is not
      "file:"

2004-03-29  Mehdi Achour  <didou@keliglia.com>

    * docs/TODO:
      and finally, add a TODO here

    * docs/de/bookinfo.xml
      docs/de/manual.sgml
      docs/fr/bookinfo.xml
      docs/fr/manual.xml:
      translate bookinfo.xml and put back the translators

2004-03-28  Mehdi Achour  <didou@keliglia.com>

    * docs/manual.xml.in:
      add global.ent and define some general entities

    * docs/de/bookinfo.xml
      docs/de/getting-started.xml
      docs/de/language-defs.ent
      docs/de/preface.xml:
      add new de files

    * docs/de/appendixes.sgml
      docs/de/designers.sgml
      docs/de/getting-started.sgml
      docs/de/html-common.dsl
      docs/de/preface.sgml
      docs/de/programmers.sgml:
      drop old de files

    * docs/fr/bookinfo.xml
      docs/fr/getting-started.xml
      docs/fr/manual.xml
      docs/fr/preface.xml:
      add ommited files

    * docs/fr/language-defs.ent:
      split the french dir

    * docs/fr/appendixes.sgml
      docs/fr/designers.sgml
      docs/fr/getting-started.sgml
      docs/fr/html-common.dsl
      docs/fr/manual.sgml
      docs/fr/preface.sgml
      docs/fr/programmers.sgml:
      drop old french files

    * docs/manual.xml.in:
      let's put the new build system

2004-03-26  Mehdi Achour  <didou@keliglia.com>

    * docs/de/common.dsl
      docs/de/html.dsl
      docs/fr/common.dsl
      docs/fr/html.dsl
      docs/fr/php.dsl:
      not needed anymore

2004-03-24  Nuno Lopes  <nunoplopes@sapo.pt>

    * docs/Makefile.in:
      updated stylesheets
      highlight PHP automatically

    * docs/Makefile.in
      docs/html.dsl:
      remove unneeded file

2004-03-23  Nuno Lopes  <nunoplopes@sapo.pt>

    * docs/version.ent.in:
      remove this also

    * docs/getting-started.sgml:
      remove this one too

    * docs/appendixes.sgml
      docs/common.dsl
      docs/designers.sgml
      docs/html-common.dsl
      docs/manual.sgml
      docs/php.dsl
      docs/preface.sgml
      docs/programmers.sgml:
      removing uneeded files

    * docs/.cvsignore:
      commiting missing files for docbook

    * docs/.cvsignore
      docs/Makefile.in
      docs/configure.in
      docs/manual.xml.in:
      bundling docbook 4
      now make and make web works

2004-03-23  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/plugins/function.config_load.php:
      unrolled call to the is_compiled()-check to be able to supply the
      correct resource_base_path for config_load. this avoids errors when
      config-files are accessed where security is enabled.
      
      thanks to shuther for pointing out this bug.

2004-03-20  Nuno Lopes  <nunoplopes@sapo.pt>

    * docs/manual.xml.in:
      fix build date

2004-03-18  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/core/core.is_secure.php:
      removed merging of $smarty->template_dir into $smarty->secure_dir
      
      the resource_base_path is considerd secure instead. this change should
      have absolutely no impact on smarty's security's behaviour

2004-03-18  Nuno Lopes  <nunoplopes@sapo.pt>

    * docs/configure.in:
      correcting non-existent var

    * docs/.cvsignore
      docs/Makefile.in
      docs/configure.in
      docs/manual.xml.in
      docs/version.ent.in:
      generate build date

    * docs/.cvsignore
      docs/Makefile.in
      docs/README
      docs/configure.in
      docs/manual.xml.in:
      new build/test system

2004-03-18  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty.class.php:
      moved setting of a default resource_base_path from
      Smarty::_parse_resource_name() to Smarty::_fetch_resource_info()
      
      this shouldn't affect anything, since all calls to
      _parse_resource_name() that are not done from within
      _fetch_resource_info() all pass their own resource_base_path

2004-03-17  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty.class.php:
      removed '.' from the list of default resource_base_paths in
      _parse_resource_name()
      
      this should only affect _parse_resource_name() for templates, not for
      php-resources and not for config_files. the latter pass two their own
      resource_base_path.

2004-03-16  Mehdi Achour  <didou@keliglia.com>

    * docs/appendixes.sgml
      docs/getting-started.sgml
      docs/preface.sgml:
      adding editor comments

    * docs/appendixes.sgml
      docs/getting-started.sgml:
      cleaning words spacing, killing tabulations, using roles for
      programlisting..

2004-03-15  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty.class.php:
      simplified Smarty::clear_all_cache();

2004-03-12  boots  <jayboots@yahoo.com>

    * docs/programmers.sgml:
      Updated is_cached prototype to indicate proper return type. (thanks to
      Geoffrey Hoffman)

2004-03-11  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/core/core.assemble_plugin_filepath.php:
      fixed little bug that prevented plugins filepaths that are found in
      php's include_path (and not in one of the plugins_dirs) from being
      cached in the internal plugins-filepath-cache

2004-03-01  Monte Ohrt  <monte@ispi.net>

    * docs/designers.sgml:
      update include_php docs:wq
      :q

    * docs/appendixes.sgml:
      update componentized template example to something useful

2004-02-24  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty.class.php:
      _parse_resource_name() returned true on non-existant absolute
      paths. This caused a warning on _fetch_resource_info() when used in
      conjunction with template_exists(). It should be fixed now without
      negative effects.

2004-02-24  Monte Ohrt  <monte@ispi.net>

    * docs/designers.sgml:
      one more typo

    * docs/designers.sgml:
      fix typo

2004-02-24  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/core/core.is_secure.php:
      smarty_resource_*_secure got &$smarty passed errornously as 3rd
      parameter and not as 2nd. this is fixed.

2004-02-23  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS:
      fix handling of integer values like width and delay im
      smarty_function_popup()

    * libs/plugins/function.popup.php:
      fixed handling of integer-attributes

    * libs/Config_File.class.php
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      updated version to 2.6.3-dev

2004-02-22  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/plugins/function.html_select_date.php:
      removed notice on html_select_date with the month_empty-attribute

    * libs/plugins/function.mailto.php:
      removed 2 notices of undefined vars (thanks Cit)

2004-02-17  Monte Ohrt  <monte@ispi.net>

    * NEWS:
      add header

    * (Smarty_2_6_2)
      libs/Config_File.class.php
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      change some info in headers, remove fluff

2004-02-13  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/plugins/function.html_select_date.php:
      correctly handle partially empty dates (like "2004--" or "-12-").

    * docs/programmers.sgml:
      learned something about <note> and sgml and applied this to the
      use.sub.dirs-section :)

    * docs/designers.sgml:
      changed attribute-name "checked" to "selected" in the docs for
      html_radios and html_checkboxes. "checked" is deprecated for ages
      AFAIK and selected is recommended for consistency with {html_options}

    * docs/programmers.sgml:
      added note about use_sub_dirs and Smarty-2.6.2 .
      fixed markup for section about clear_compiled_tpl() .

2004-02-12  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Config_File.class.php:
      YES and NO should not be booleanized inside triple-quotes in a
      config-file. this behaviour changed by accident in 2.6.1 and is now
      reverted to pre-2.6.1 behaviour

2004-02-10  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Config_File.class.php:
      fixed slurping of a the next line following a triple-quoted value in a
      config-file

2004-02-07  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Config_File.class.php:
      avoid @-operator for handling empty lines in Config_File.class.php

    * libs/Smarty_Compiler.class.php:
      removed two notices from Smarty_Compiler::_parse_is_expr()
      (thanks shuther!)

    * NEWS
      libs/Smarty.class.php:
      changed default for use_sub_dirs to false

    * libs/plugins/function.mailto.php:
      removed notice of undefined variable. (thanks shuther!)

2004-01-29  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty_Compiler.class.php:
      added file and line-number-information to error-messages regarding
      assigned objects an an error messages regarding modifiers with
      security.

2004-01-27  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty_Compiler.class.php:
      removed use of temporary var $_params in compiled code of block-plugins

    * NEWS
      libs/plugins/function.popup.php:
      fixed quoting of values in smarty_function_popup()

2004-01-25  Messju Mohr  <messju@lammfellpuschen.de>

    * docs/programmers.sgml:
      documented parameters of Smarty::clear_compiled_tpl()

    * libs/Smarty_Compiler.class.php:
      Smarty_Compiler::_syntax_error() uses Smarty::_trigger_fatal_error() now
      instead of the trigger_error()-function

    * libs/Smarty.class.php:
      Smarty::_trigger_fatal_error() uses Smarty::trigger_error() now,
      instead of the native trigger_error()-function

    * libs/Smarty_Compiler.class.php:
      unrecognized custom-functions trigger an error at compile now, not at
      display-time.

2004-01-23  Monte Ohrt  <monte@ispi.net>

    * docs/getting-started.sgml:
      reword a paragraph

2004-01-22  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/plugins/function.config_load.php:
      removed emission of unnecessary notices for unavailable config-files
      in config_load()

    * NEWS
      libs/Config_File.class.php:
      fixed handling of hidden sections in Config_File

2004-01-21  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/plugins/function.config_load.php:
      added handling of resources for {config_load}

2004-01-19  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/plugins/function.html_table.php:
      fixed bug when using arrays with tr_attr and td_attr in {html_table}

2004-01-16  Monte Ohrt  <monte@ispi.net>

    * NEWS:
      add unit testing

    * NEWS
      libs/Config_File.class.php
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      update version numbers, add initial unit test directory

    * (Smarty_2_6_1)
      libs/Config_File.class.php
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      update version numbers for 2.6.1 release

2004-01-16  Messju Mohr  <messju@lammfellpuschen.de>

    * (Smarty_2_6_1)
      NEWS
      docs/programmers.sgml
      libs/Smarty.class.php:
      renamed $smarty->tpl_rror_reporting to $smarty->error_reporting
      "tpl_" is a bit redundant here (it's a TemPLate-engine overall :)

2004-01-15  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/plugins/function.html_image.php:
      forgot to remove duplicate is_secure()-check

    * NEWS
      libs/plugins/function.html_image.php:
      fix: $smarty->security is now correctly handled
      
      minor optimizations:
         core/core.is_secure.php is only included when needed
         $dpi_default is only determined when needed

2004-01-14  Messju Mohr  <messju@lammfellpuschen.de>

    * docs/appendixes.sgml
      docs/programmers.sgml:
      removed suggestions to use extract() from the manual

    * docs/designers.sgml:
      fixed typo

2004-01-12  Messju Mohr  <messju@lammfellpuschen.de>

    * docs/designers.sgml:
      mention SCRIPT_NAME below {$smarty} reserved variable because it got
      lost in the docs for $smarty->global_assign

    * docs/designers.sgml:
      added docs for {$smarty.version} special variable

    * docs/programmers.sgml:
      removed docs for $global_assign

    * docs/programmers.sgml:
      added docs for tpl_error_reporting

    * docs/designers.sgml:
      added docs for year_empty-, month_empty- and day_emtpy-attributes of
      html_select_date. maybe an example is needed to better explain empty
      values in YYY-MM-DD.

2004-01-10  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty_Compiler.class.php:
      fixed handling of {php}-tags

2004-01-10  Monte Ohrt  <monte@ispi.net>

    * docs/designers.sgml:
      fix html_checkboxes examples

2004-01-08  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/core/core.assemble_plugin_filepath.php:
      added caching of requested paths to smarty_core_assemble_plugin_filepath()

    * NEWS:
      fix handling of comments inside {php}- and {literal}-blocks

    * libs/Smarty_Compiler.class.php:
      fixed handling of comments inside {php} and {literal}

2004-01-06  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Config_File.class.php:
      fixed bug handling triple-quotes in config-files

    * libs/Config_File.class.php:
      fixed bugs with triple-quotes in config-files
      thanks BRDude for finding them testing!

2004-01-02  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty.class.php:
      removed unnecessary param in call to _fetch_resource_info()

2003-12-30  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty.class.php:
      oops! removed tabs.

2003-12-27  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty.class.php:
      made $SCRIPT_NAME available again
      changes default for request_use_auto_global to prefer autoglobals

    * libs/Smarty.class.php:
      removed tabs and trailing spaces

    * NEWS
      libs/Smarty_Compiler.class.php:
      readded default_modifiers. who removed that?

2003-12-23  Monte Ohrt  <monte@ispi.net>

    * NEWS:
      add portuguese docs

2003-12-22  Monte Ohrt  <monte@ispi.net>

    * docs/designers.sgml:
      fix counter example

2003-12-19  Monte Ohrt  <monte@ispi.net>

    * libs/Smarty.class.php:
      add debug console persistance feature

2003-12-19  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/plugins/block.textformat.php
      libs/plugins/function.html_table.php
      libs/plugins/function.popup.php:
      removed extract(). enhanced parameter parsing.

    * libs/plugins/function.counter.php
      libs/plugins/function.fetch.php
      libs/plugins/function.popup_init.php
      libs/plugins/modifier.capitalize.php
      libs/plugins/modifier.cat.php
      libs/plugins/modifier.date_format.php
      libs/plugins/modifier.debug_print_var.php
      libs/plugins/modifier.escape.php
      libs/plugins/modifier.indent.php
      libs/plugins/modifier.lower.php
      libs/plugins/modifier.nl2br.php
      libs/plugins/modifier.strip.php
      libs/plugins/modifier.upper.php
      libs/plugins/modifier.wordwrap.php
      libs/plugins/outputfilter.trimwhitespace.php
      libs/plugins/shared.escape_special_chars.php:
      removed tabs. fixed indentiation.

    * libs/plugins/modifier.truncate.php:
      removed tabs

    * libs/plugins/function.counter.php
      libs/plugins/function.cycle.php:
      removed extract() from parameter-parsing

2003-12-17  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/plugins/function.html_select_date.php:
      fix plugin-name in error message

    * libs/plugins/function.html_select_time.php:
      remove extract-call from {html_select_time}

    * NEWS
      libs/plugins/function.html_select_date.php:
      allow single-digit days and months without smarty_make_timestamp()
      this makes dates like "1968-11-6" work correctly since no strtotime()
      is involved
      
      add warning when unknown parameter is passed

2003-12-16  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty.class.php:
      fix headers sent erroneously with cache_modified_check and fetch()

2003-12-12  Monte Ohrt  <monte@ispi.net>

    * libs/plugins/function.config_load.php:
      move set_path() call below the conditional bracket

    * NEWS
      libs/plugins/function.config_load.php:
      fix config_load filepath bug

2003-12-12  boots  <jayboots@yahoo.com>

    * docs/designers.sgml:
      Updated language.function.if with additional annotation and to fix error
      that broke docs build process

2003-12-11  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty_Compiler.class.php:
      little optimization for "is odd" and "is even"

2003-12-11  Monte Ohrt  <monte@ispi.net>

    * NEWS
      libs/Smarty_Compiler.class.php:
      fix 'is even by' and 'is odd by' logic

2003-12-11  Messju Mohr  <messju@lammfellpuschen.de>

    * docs/designers.sgml:
      update example-output of {mailto}

    * libs/plugins/function.mailto.php:
      removed extract-call -> cleaner parameter-handling

    * libs/plugins/function.mailto.php:
      fixed indentiation

    * TODO:
      removed two done topics

2003-12-11  boots  <jayboots@yahoo.com>

    * docs/designers.sgml:
      Updated language.function.if to describe qualifiers (thanks andre)

2003-12-10  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/plugins/function.html_select_date.php:
      added day_empty, month_empty, year_empty and all_empty attributes
      to pass an undefined date use {html_select_date time="--" ...}

    * libs/plugins/function.html_select_date.php:
      removed extract()-call

    * libs/plugins/function.html_select_date.php:
      fixed indetiation

2003-12-10  boots  <jayboots@yahoo.com>

    * NEWS
      docs/designers.sgml:
      Added table to language.function.if to describe qualifiers

2003-12-09  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/plugins/function.html_checkboxes.php
      libs/plugins/function.html_options.php:
      strict comparason didn't work in all cases. use type-casting now.

    * NEWS
      libs/plugins/function.html_checkboxes.php
      libs/plugins/function.html_options.php:
      fix bug when comparing array-keys to "selected" in html_options and
      html_checkboxes
      
      in_array() uses "strict" comparason now.

    * libs/plugins/function.html_checkboxes.php
      libs/plugins/function.html_options.php
      libs/plugins/function.html_radios.php:
      removed tabs, fixed indentiation

2003-12-08  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty_Compiler.class.php:
      add better checks for correctly nested tags when compiling

2003-12-04  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty.class.php
      libs/plugins/function.html_image.php:
      fix: check $smarty->request_use_auto_globals at the last occurences of
           HTTP_*_VARS

2003-12-03  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty.class.php:
      remove $global_assign property from Smarty and $global_assign-handling
      from the constructor. the only visible change is, that $SCRIPT_NAME is
      not available in the tempates anymore. $smarty.server.SCRIPT_NAME has
      to be used from now.

2003-12-03  boots  <jayboots@yahoo.com>

    * docs/designers.sgml:
      Fixed example for count_characters

2003-12-01  boots  <jayboots@yahoo.com>

    * docs/designers.sgml:
      Added section "Escaping Smarty Parsing" under Basic Syntax.

2003-12-01  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/core/core.create_dir_structure.php:
      thought again about my latest commit and backed it out.

    * libs/core/core.create_dir_structure.php:
      fix root-dir-handling on windows filepath

2003-11-29  boots  <jayboots@yahoo.com>

    * libs/plugins/function.config_load.php:
      really make the fixes the last patch was supposed to do

    * libs/plugins/function.config_load.php:
      removed tabs and killed trailing white-space

    * libs/plugins/function.config_load.php:
      changed $smarty->_syntax_error to $smarty->trigger_error

2003-11-27  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/plugins/modifier.debug_print_var.php:
      remove warning in debug_print_var on php-resources

    * README:
      fix version number

2003-11-26  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty_Compiler.class.php:
      raise max_level for $smarty.config... to 3 to allow arrays of config-vars

2003-11-25  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty.class.php:
      changed version-tag to indicate incompatibility to older compiled
      templates

2003-11-24  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/plugins/compiler.assign.php
      libs/plugins/function.assign.php:
      move function.assign.php to compiler.assign.php

    * libs/core/core.get_include_path.php:
      silence occasional warnings of open_basedir- and
      safe_mode-restrictions in core.get_include_path.php

2003-11-23  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/core/core.write_compiled_resource.php
      libs/core/core.write_file.php:
      avoid touch()-ing of recently unlinked files by touch()-ing the
      tempfile before rename instead of touch()-ing the resulting file after
      rename.

    * NEWS
      libs/Smarty.class.php:
      add property $tpl_error_reporting

2003-11-22  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/plugins/function.assign.php:
      remove use of extract() in smarty_function_assign()

    * NEWS
      libs/Smarty.class.php:
      remove property $undefined. "null" is used literally instead

2003-11-21  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty_Compiler.class.php:
      remove two E_NOTICES

2003-11-20  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Config_File.class.php
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      change version to 2.6.1-dev

2003-11-19  Monte Ohrt  <monte@ispi.net>

    * (Smarty_2_6_0)
      NEWS:
      update NEWS file

    * (Smarty_2_6_0)
      docs/designers.sgml
      libs/Config_File.class.php
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      change version numbers to 2.6.0

2003-11-19  Messju Mohr  <messju@lammfellpuschen.de>

    * docs/designers.sgml
      docs/de/designers.sgml
      docs/fr/designers.sgml:
      fix examples of escape-modifier (in docs, docs/de and docs/fr !)

2003-11-18  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      move Smarty::quote_replace() to Smarty_Compiler::_quote_replace()

    * libs/Smarty.class.php:
      removed extract-calls from _include()- and _eval()-wrappers
      variables passed with {include_php} have to accessed as members of $params
      now

2003-11-17  Messju Mohr  <messju@lammfellpuschen.de>

    * docs/designers.sgml:
      fixed typo

2003-11-13  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Config_File.class.php:
      fix occasional notice

2003-11-13  andreas halter  <phpcvs@andreashalter.ch>

    * docs/de/designers.sgml:
      - added cat modifier, thanks messju :-)

2003-11-13  Monte Ohrt  <monte@ispi.net>

    * (Smarty_2_6_0-RC3)
      NEWS
      libs/Config_File.class.php
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      commit RC3 tags

2003-11-13  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty_Compiler.class.php:
      fix handling of $var.key inside []

    * libs/Smarty.class.php:
      fix unnecessary loading of core.load_resource_plugin.php

    * (Smarty_2_6_0-RC3)
      docs/fr/designers.sgml:
      fixed example of html_table

2003-11-11  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/core/core.process_cached_inserts.php:
      fix handling of assign inside {insert}-tags

2003-11-06  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/core/core.read_cache_file.php:
      added $exp_time-parameter

    * docs/programmers.sgml:
      added $exp_time to cache_handler_func-example

    * libs/Smarty.class.php
      libs/core/core.write_cache_file.php:
      added $exp_time-parameter of clear_cache() and clear_all_cache() to
      cache_handler_func.

2003-11-05  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Config_File.class.php:
      fix handling if [...] inside triple-quotes in config-files

2003-11-04  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty.class.php:
      fixed little bug in _parse_resource_name() (jlgunter, messju)

2003-11-03  andreas halter  <phpcvs@andreashalter.ch>

    * docs/designers.sgml
      docs/de/designers.sgml
      docs/fr/designers.sgml:
      - changed Smarty.php.class occurences to Smarty.class.php

2003-10-29  boots  <jayboots@yahoo.com>

    * docs/appendixes.sgml
      docs/designers.sgml
      docs/manual.sgml
      docs/programmers.sgml
      docs/de/appendixes.sgml
      docs/de/designers.sgml
      docs/de/programmers.sgml
      docs/fr/appendixes.sgml
      docs/fr/designers.sgml
      docs/fr/getting-started.sgml
      docs/fr/manual.sgml
      docs/fr/preface.sgml
      docs/fr/programmers.sgml:
      Fixes to documentation syntax so that all content can be processed used
      xsltproc docbook-xsl tools. In particular, fixes unescaped entities,
      broken tags, unquoted attributes.

2003-10-27  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty_Compiler.class.php:
      fix handling of simple-math-operators inside modifiers

2003-10-25  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty_Compiler.class.php:
      removed unused property _output_type
      removed unused param $tag_attrs of _parse_var_props()
      cleaned up alignment of class-properties

2003-10-23  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty_Compiler.class.php:
      removed notice in php-tag handling in Smarty_Compiler::_compile_file()

    * libs/Smarty_Compiler.class.php:
      removed two occasional E_NOTICES from
      Smarty_Compiler::_compile_include_php_tag()

    * NEWS
      libs/core/core.create_dir_structure.php:
      fix handling of trailing-slashes in open_basedir in
      smarty_core_create_dir_structure()

2003-10-20  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty_Compiler.class.php:
      elements inside `` are bracketed now inside the compiled-tpl. this
      fixes some issues with simple-math inside backticks.

2003-10-16  Monte Ohrt  <monte@ispi.net>

    * docs/designers.sgml:
      update overlib docs, no working examples

2003-10-12  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty.class.php
      libs/core/core.is_secure.php:
      move check for template_dir in secure_dir-array into core.is_secure.php
      
      this makes template_exists() work correctly with security=true even if
      template_dir is not inside the secure_dir-array

2003-10-11  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/plugins/shared.make_timestamp.php:
      tightened check for YYYYMMDDHHMMSS-format. thanks konstantin for
      pointing this out.
      
      removed a few tabs.

    * libs/Smarty_Compiler.class.php:
      fix precedence of simple-math-operators before modifiers.
      thanks dominik!

    * libs/Config_File.class.php
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php
      libs/core/core.assemble_plugin_filepath.php
      libs/core/core.assign_smarty_interface.php
      libs/core/core.create_dir_structure.php
      libs/core/core.display_debug_console.php
      libs/core/core.get_include_path.php
      libs/core/core.get_microtime.php
      libs/core/core.get_php_resource.php
      libs/core/core.is_secure.php
      libs/core/core.is_trusted.php
      libs/core/core.load_plugins.php
      libs/core/core.load_resource_plugin.php
      libs/core/core.process_cached_inserts.php
      libs/core/core.process_compiled_include.php
      libs/core/core.read_cache_file.php
      libs/core/core.rm_auto.php
      libs/core/core.rmdir.php
      libs/core/core.run_insert_handler.php
      libs/core/core.smarty_include_php.php
      libs/core/core.write_compiled_include.php
      libs/core/core.write_compiled_resource.php
      libs/core/core.write_file.php:
      removed tabs from the main and the core/*.php files

2003-10-08  Monte Ohrt  <monte@ispi.net>

    * (Smarty_2_6_0-RC2)
      NEWS
      libs/Config_File.class.php
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      update version numbers to RC2

2003-09-18  Messju Mohr  <messju@lammfellpuschen.de>

    * docs/designers.sgml
      docs/de/designers.sgml:
      fixed description of cycle's advance-attribute

2003-09-16  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty_Compiler.class.php:
      apply modifiers only once to section-loop and foreach-from attributes

2003-09-15  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty.class.php
      libs/Smarty_Compiler.class.php
      libs/core/core.write_cache_paths_file.php:
      backed out _smarty_cached_paths-file-handling

    * libs/Smarty.class.php
      libs/core/core.rm_auto.php:
      fixed clear_compiled_tpl with explicit $tpl_file given
      fixed return value of smarty_core_rm_auto() + Smarty::_unlink()

    * libs/Smarty.class.php:
      little fix in _get_auto_filename()

2003-09-14  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty.class.php
      libs/core/core.assemble_auto_filename.php:
      removed auto-filenames from path-cache. merged assemble_auto_filename
      back into Smarty::_get_auto_filename()

2003-09-12  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty_Compiler.class.php:
      fixed quoting of modifier parameters

    * NEWS
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php
      libs/core/core.get_php_resource.php
      libs/core/core.load_plugins.php
      libs/core/core.load_resource_plugin.php:
      remove Smarty::_plugin_implementation_exists() - use php's native
      is_callable()

2003-09-11  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty.class.php:
      silenced two notices acces HTTP_SERVER_VARS

2003-09-10  andreas halter  <phpcvs@andreashalter.ch>

    * docs/de/designers.sgml
      docs/de/getting-started.sgml
      docs/de/programmers.sgml:
      - minor fixes (2 rep), slight wording changes
      - jade transform problem fixed

2003-09-08  andreas halter  <phpcvs@andreashalter.ch>

    * docs/de/designers.sgml
      docs/de/getting-started.sgml
      docs/de/manual.sgml
      docs/de/preface.sgml
      docs/de/programmers.sgml:
      all updated for 2.6.0 release, translated everything from 2_5_0 branch to
      20030908

2003-09-04  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty.class.php:
      proper checking for files in  _fetch_resource_info()

2003-09-02  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty_Compiler.class.php:
      ignore {strip}/{/strip) inside {strip}-blocks

    * libs/plugins/function.mailto.php:
      fixed 2 notices in smarty_function_mailto()

2003-09-01  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty.class.php:
      re-include cache_paths on multiple calls to fetch() to avoid
      inconsistencies
      at multiple calls to fetch() in one script

    * libs/Smarty_Compiler.class.php:
      fixed handling of \r in {strip}
      renamed $_trailing_lf to $_additional_newline

    * libs/Smarty_Compiler.class.php:
      the weekly fix for {strip} :)

    * docs/designers.sgml:
      fixed example for simple math.

2003-08-29  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/core/core.assign_smarty_interface.php
      libs/core/core.display_debug_console.php
      libs/plugins/function.assign.php
      libs/plugins/function.html_options.php
      libs/plugins/function.html_table.php:
      fixed PHPDocumentor-comments (thanks Konstantin)

    * libs/core/core.rmdir.php:
      made rmdir a bit more optimistic. especially it now removes
      directories correctly that where created accidently by "safe_mode=On
      && $use_sub_dirs=true"

2003-08-27  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty_Compiler.class.php:
      fixed removal of leading/trailing newlines in {strip}-blocks

2003-08-25  Messju Mohr  <messju@lammfellpuschen.de>

    * INSTALL:
      added note emphasizing the introduction of "libs/" with 2.5.0

    * NEWS
      libs/plugins/modifier.escape.php:
      fixed proper escaping of " and ' with escape:javascript

2003-08-22  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/core/core.assemble_plugin_filepath.php:
      fixed bug in traversal of $smarty->plugins_dir-array in
      smarty_core_assemble_plugin_filepath(). the first matching plugin in
      the path should be used, not the last one.

    * libs/core/core.read_cache_file.php:
      discard $_cache_info when the cache should be regenerated

2003-08-20  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty_Compiler.class.php
      libs/plugins/block.strip.php:
      reverted {strip} from a block-plugin back into the compiler

    * docs/programmers.sgml:
      fixed examples for register_function() and register_block()

    * libs/Smarty.class.php:
      made template_exists() quiet when the template does not exist (thanks
      to konstatin for pointing this out)

2003-08-18  Monte Ohrt  <monte@ispi.net>

    * docs/getting-started.sgml:
      fix example title

    * docs/README
      docs/getting-started.sgml:
      change installation wording confusion

2003-08-18  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty.class.php
      libs/core/core.read_cache_file.php:
      fixed unnecessary load of source in template_exists() and the
      compile-check of smarty_core_read_cache_file()

    * libs/Smarty_Compiler.class.php:
      allow section-, array- and object-dereference in $smarty-references

2003-08-15  Messju Mohr  <messju@lammfellpuschen.de>

    * docs/designers.sgml:
      added parameter-descriptions for count_characters (thanks Konstantin
      A. Pelepelin)
      
      fixed docs for {html_checkboxes}

2003-08-14  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty.class.php
      libs/core/core.read_cache_file.php:
      fixed timestamp-check of config-files in smarty_core_read_cache_file()

    * libs/Smarty.class.php:
      fixed typecasting for arrays in _parse_resource_name()

    * NEWS
      libs/plugins/function.config_load.php:
      fixes in config_load:
      - handling of section-attribute
      - reusing the same config-file multiple times
      - serialization of config-data for php<4.2.0 (no var_export)
      
      many thanks to atu for pointing this out and for testing

2003-08-13  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty.class.php
      libs/core/core.smarty_include_php.php:
      fixed problem with vars as attributes in {include_php}

2003-08-13  Monte Ohrt  <monte@ispi.net>

    * docs/README:
      commit README file for documentation compiling

2003-08-13  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/debug.tpl
      libs/plugins/modifier.debug_print_var.php:
      removed '\r' from debug_print_vars' output
      properly escape vars in javascript-version of debug.tpl

2003-08-11  Monte Ohrt  <monte@ispi.net>

    * (Smarty_2_6_0_RC1)
      NEWS
      docs/designers.sgml
      docs/html.dsl
      docs/php.dsl
      libs/Config_File.class.php
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      get ready for 2.6.0-RC1 release

2003-08-10  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty.class.php:
      fixed status-header for cache_modified_check under cgi-sapi

2003-08-09  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/core/core.is_secure.php
      libs/core/core.is_trusted.php:
      synced secure_dir-checking with trusted_dir-checking

    * libs/core/core.is_secure.php:
      tightenend path checking in smarty_core_is_secure()

2003-08-08  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty.class.php:
      fix: proper nesting of $smarty->_cache_including flag in cascaded
      cached/not-cached/fetched/inserted/foo-templates

    * libs/debug.tpl:
      better escaping for $_debug_tpls[templates].filenames

    * libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      removed redundant $smarty from Smarty::_smarty_include()

    * libs/debug.tpl:
      proper escaping of filenames in debug-console (thanks to prossel).

2003-08-07  Messju Mohr  <messju@lammfellpuschen.de>

    * docs/programmers.sgml:
      added docs for block-methods of registered objects

    * docs/programmers.sgml:
      fixed typo in example for registered objects

    * docs/designers.sgml:
      fixed exampls of html_image and html_checkboxes

    * libs/plugins/function.debug.php:
      fixed {debug} and removed tabs in function.debug.php

    * docs/programmers.sgml:
      fixed example for register_object

    * docs/designers.sgml
      docs/programmers.sgml:
      updated docs for capture, html_table, html_image and register_object

2003-08-07  Monte Ohrt  <monte@ispi.net>

    * docs/designers.sgml
      docs/programmers.sgml:
      add math and default_resource_type to docs

    * docs/getting-started.sgml:
      add core to example, add tech note

2003-08-07  Messju Mohr  <messju@lammfellpuschen.de>

    * docs/manual.sgml
      docs/fr/manual.sgml:
      upd copyright in the docs

2003-08-07  Monte Ohrt  <monte@ispi.net>

    * docs/getting-started.sgml:
      added core directory to install instructions

2003-08-07  Messju Mohr  <messju@lammfellpuschen.de>

    * docs/designers.sgml
      docs/programmers.sgml:
      added docs for php-functions as modifiers

    * libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      better caching of attributes for $cacheable=false-plugins

    * docs/programmers.sgml:
      added section "caching.cacheable" to the docs, explaining the usage of
      the $cacheable-flag of the register_(block|compiler|function)-functions

    * libs/Smarty_Compiler.class.php:
      fixed output of custom-functions with cached attributes

    * docs/programmers.sgml:
      docs update on callbacks to the register_*-functions

2003-08-06  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php
      libs/core/core.process_compiled_include.php:
      added optional parameter $cache_attrs to register_function() and
      register_block(). $cache_attrs is an array containing attribute- names
      that should be cached on calls to functions that have $cacheable set
      to false.

    * libs/Smarty.class.php:
      fixed bug in _run_mod_handler

    * libs/Smarty_Compiler.class.php:
      fixed bug with autoload-handling of modifiers. thanks �ndre.

2003-08-05  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Config_File.class.php
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      updated copyright notice

    * libs/Smarty.class.php
      libs/core/core.load_plugins.php:
      fixed bug that occurred when using the same not-cacheable plugin in
      multiple includes

    * docs/programmers.sgml:
      docs-update for plugins.writing

2003-08-04  Messju Mohr  <messju@lammfellpuschen.de>

    * docs/designers.sgml
      docs/programmers.sgml:
      updated docs for register_block_function(), block-functions,
      $request_use_auto_globals and html_checkboxes

2003-07-31  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      enabled registration of class-methods as callbacks for the
      register_*-functions
      
      use: array('classname', 'method_name')) as callback

2003-07-29  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      modifiers are resolved at compile-time now. _run_mod_handler() is
      still used for modifiers with map_array=true (== no preceeding '@')

    * libs/Smarty.class.php
      libs/Smarty_Compiler.class.php
      libs/core/core.smarty_include.php:
      moved _smarty_include() back into Smarty.class.php

    * libs/Smarty.class.php
      libs/core/core.load_plugins.php:
      prevent unnecessary calls to _read_file() in _is_compiled()
      converted method-call to internal function-call in
      smarty_core_load_plugins()

2003-07-28  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty_Compiler.class.php:
      quote smarty-header properly to prevent resource-names from escaping from
      the comment

2003-07-25  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/core/core.create_dir_structure.php:
      weakend race-condition and removed bogus error-message caused by that
      in smarty_core_create_dir_structure().

2003-07-23  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty.class.php
      libs/core/core.display_debug_console.php
      libs/core/core.fetch_resource_info.php
      libs/core/core.get_php_resource.php
      libs/core/core.parse_resource_name.php
      libs/core/core.process_cached_inserts.php
      libs/core/core.read_cache_file.php
      libs/core/core.run_insert_handler.php
      libs/core/core.smarty_include.php
      libs/core/core.smarty_include_php.php
      libs/plugins/function.eval.php:
      moved  _fetch_resource_info and _parse_resource_name back into
      Smarty.class.php
      renamed smarty_include and smarty_eval wrappers to _include and _eval

2003-07-17  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/core/core.process_compiled_include.php
      libs/core/core.read_cache_file.php:
      improved checking of compiled_include against cached-template with
      non-cached-chunks

    * libs/core/core.write_compiled_include.php:
      fixed too short open-tag

    * libs/plugins/function.eval.php:
      fixed assign parameter for eval (must have gotton lost on its way to 2.5.0)
      cleaned up indentiation

2003-07-03  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty_Compiler.class.php:
      resurrected $foo->$bar syntax

    * libs/Smarty_Compiler.class.php:
      i'm so stupid. kick me.

    * libs/Smarty_Compiler.class.php:
      fixed initialisation of $this->_plugins in compile_block_tag()

2003-07-03  Monte Ohrt  <monte@ispi.net>

    * libs/Config_File.class.php:
      add preg_quote delimiter

2003-07-03  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty_Compiler.class.php:
      applied fix for {$var1->p1|modifier:$var2->p2}-syntax - thanks Dominik

2003-07-02  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty_Compiler.class.php:
      fixed duplicate generation of arg-list in _compile_block_tag()

    * libs/Smarty_Compiler.class.php:
      fixed off-by-one-error in nocache-tag-handling

2003-06-30  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty_Compiler.class.php:
      backed out errornously committed support for $foo->$bar

    * libs/core/core.write_file.php:
      fixed indentiation, silenced occasional warning

    * libs/plugins/function.html_image.php:
      match first character of file-attribute against "/" instead of
      DIRECTORY_SEPARATOR since it is a url-path and not a file-path.

    * libs/Smarty_Compiler.class.php
      libs/core/core.write_file.php
      libs/plugins/function.html_image.php:
      libs/plugins/function.html_image.php

    * libs/Smarty_Compiler.class.php:
      re-fixed cacheable_state-handling

    * libs/core/core.display_debug_console.php
      libs/core/core.process_cached_inserts.php
      libs/core/core.process_compiled_include.php
      libs/core/core.run_insert_handler.php:
      extincting $this out of smarty_core_*-functions

    * libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      fixed handling of nocache-state

2003-06-29  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty.class.php
      libs/core/core.smarty_include.php
      libs/core/core.smarty_include_php.php
      libs/plugins/function.eval.php:
      removed $this from smarty_include and smarty_include_php
      added cleaner handling of $this to {eval}

    * libs/core/core.load_resource_plugin.php:
      fixed inlude_once-call

    * docs/de/designers.sgml
      docs/fr/designers.sgml:
      fixed examples of html_radios and html_checkboxes in german and french docs

2003-06-25  Monte Ohrt  <monte@ispi.net>

    * libs/core/core.assemble_auto_filename.php
      libs/core/core.write_cache_paths_file.php:
      fix typo, fix write_cache_paths logic

    * libs/Smarty.class.php
      libs/core/core.assemble_auto_filename.php:
      fix SMARTY_COMPILE_DIR_SEP problem, make local var

2003-06-24  Monte Ohrt  <monte@ispi.net>

    * libs/Smarty.class.php
      libs/core/core.assemble_auto_filename.php
      libs/core/core.write_cache_paths_file.php:
      fixed cache_paths bug, simplified filename assembly logic

2003-06-24  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/plugins/function.html_image.php:
      added parsing of forgotton param "basedir"

    * libs/Smarty_Compiler.class.php:
      fixed $smarty.get-reference

    * libs/plugins/block.textformat.php:
      removed warning

    * libs/Smarty_Compiler.class.php:
      fixed value of _cacheable_state on compiler-startup

2003-06-23  Monte Ohrt  <monte@ispi.net>

    * libs/Smarty.class.php
      libs/Smarty_Compiler.class.php
      libs/core/core.write_cache_paths_file.php:
      make cache_path per resource, fix a couple directory path issues

2003-06-23  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty_Compiler.class.php:
      removed warning when compiling empty template

    * libs/core/core.write_compiled_include.php:
      fixed bug in write_compiled_include

    * libs/core/core.assemble_plugin_filepath.php:
      fixed warning

2003-06-22  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/plugins/function.eval.php:
      fixed propagation of $this into evald code in smarty_function_eval()

    * libs/core/core.write_cache_paths_file.php
      libs/core/core.write_compiled_include.php:
      fix in compiled-include-handling

    * libs/core/core.assemble_auto_filename.php
      libs/core/core.assemble_plugin_filepath.php
      libs/core/core.assign_smarty_interface.php
      libs/core/core.create_dir_structure.php
      libs/core/core.fetch_resource_info.php
      libs/core/core.get_include_path.php
      libs/core/core.get_microtime.php
      libs/core/core.get_php_resource.php
      libs/core/core.is_secure.php
      libs/core/core.is_trusted.php
      libs/core/core.load_plugins.php
      libs/core/core.load_resource_plugin.php
      libs/core/core.parse_resource_name.php
      libs/core/core.read_cache_file.php
      libs/core/core.rm_auto.php
      libs/core/core.rmdir.php
      libs/core/core.write_cache_file.php
      libs/core/core.write_cache_paths_file.php
      libs/core/core.write_compiled_include.php
      libs/core/core.write_compiled_resource.php
      libs/core/core.write_file.php
      libs/plugins/modifier.date_format.php:
      started moving from $this to $smarty in core.*.php

2003-06-21  Monte Ohrt  <monte@ispi.net>

    * libs/core/core.create_dir_structure.php
      libs/core/core.write_file.php
      libs/plugins/function.config_load.php:
      fix more dir paths

    * NEWS
      libs/Smarty.class.php
      libs/core/core.assemble_auto_filename.php
      libs/core/core.assemble_plugin_filepath.php
      libs/core/core.fetch_resource_info.php
      libs/core/core.get_php_resource.php
      libs/core/core.parse_resource_name.php
      libs/core/core.process_cached_inserts.php
      libs/core/core.read_cache_file.php
      libs/core/core.rm_auto.php
      libs/core/core.rmdir.php
      libs/core/core.run_insert_handler.php
      libs/core/core.smarty_include.php
      libs/core/core.smarty_include_php.php
      libs/core/core.write_cache_file.php
      libs/core/core.write_cache_paths_file.php
      libs/core/core.write_compiled_include.php
      libs/core/core.write_compiled_resource.php
      libs/core/core.write_file.php
      libs/plugins/function.config_load.php
      libs/plugins/function.fetch.php
      libs/plugins/function.html_image.php:
      fix filepaths to core files to use DIRECTORY_SEPARATOR

2003-06-21  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty_Compiler.class.php:
      fixed {plugin|modifier} syntax

    * libs/Smarty.class.php
      libs/core/core.write_compiled_include.php:
      fixed compiled include handling

2003-06-21  Monte Ohrt  <monte@ispi.net>

    * libs/Smarty.class.php
      libs/Smarty_Compiler.class.php
      libs/core/core.assemble_auto_filename.php
      libs/core/core.assemble_plugin_filepath.php
      libs/core/core.write_cache_paths_file.php:
      added filepath caching

2003-06-20  Monte Ohrt  <monte@ispi.net>

    * libs/Smarty_Compiler.class.php:
      update more varnames

    * libs/Smarty.class.php
      libs/core/core.display_debug_console.php
      libs/core/core.fetch_file_info.php
      libs/core/core.fetch_resource_info.php
      libs/core/core.get_php_resource.php
      libs/core/core.parse_file_path.php
      libs/core/core.parse_resource_name.php
      libs/core/core.process_cached_inserts.php
      libs/core/core.read_cache_file.php
      libs/core/core.run_insert_handler.php
      libs/core/core.smarty_include.php
      libs/core/core.smarty_include_php.php
      libs/core/core.write_compiled_resource.php
      libs/core/core.write_compiled_template.php
      libs/plugins/function.config_load.php:
      refactored var naming to better reflect "resource" instead of "file" where
      appropriate

2003-06-19  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty.class.php:
      updated version-number to 2.5.0-cvs

    * libs/core/core.write_cache_file.php:
      omit is-cache_dir-writable-check if a cache_handler_function is in use

    * libs/core/core.smarty_include_php.php:
      fixed comments in smarty_include_php

2003-06-19  Monte Ohrt  <monte@ispi.net>

    * libs/Smarty.class.php
      libs/Smarty_Compiler.class.php
      libs/core/core.display_debug_console.php
      libs/core/core.smarty_include.php
      libs/plugins/function.eval.php:
      split up _compile_template to _compile_file and _compile_source, fix eval
      function
      VS: ----------------------------------------------------------------------

    * libs/plugins/function.config_load.php:
      fix logic for _is_compiled()

2003-06-19  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty_Compiler.class.php:
      added optional assign-attribute to {capture}-tag

    * NEWS
      libs/Smarty.class.php:
      added $cacheable-parameter to register_compiler_function()

2003-06-18  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php
      libs/core/core.load_plugins.php
      libs/core/core.process_compiled_include.php
      libs/core/core.read_cache_file.php
      libs/core/core.write_cache_file.php
      libs/core/core.write_compiled_include.php:
      added $cacheable-parameter to register_function() and register_block()

    * libs/Smarty.class.php:
      append '.php' to all compiled templates regardless of the settings of
      $use_sub_dirs

    * libs/Smarty.class.php
      libs/core/core.read_cache_file.php:
      fixed $file_path-parameters  passed to smarty_core_fetch_file_info()

2003-06-17  Monte Ohrt  <monte@ispi.net>

    * NEWS:
      fix name

    * libs/Smarty_Compiler.class.php:
      change varnames to follow coding methods

    * NEWS
      libs/Smarty_Compiler.class.php:
      add math patch to core

2003-06-17  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/core/core.smarty_include.php:
      switched _process_template() to _is_compiled()-logic

2003-06-17  Monte Ohrt  <monte@ispi.net>

    * libs/Smarty.class.php:
      fix _is_compiled logic

    * NEWS:
      update news file

    * libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      fix _run_mod_handler routine

    * libs/Smarty.class.php
      libs/Smarty_Compiler.class.php
      libs/core/core.display_debug_console.php
      libs/core/core.fetch_file_info.php
      libs/core/core.parse_file_path.php
      libs/core/core.write_compiled_template.php
      libs/plugins/function.config_load.php:
      fix path problems, rename some varibles from "template" to "file"

2003-06-16  Monte Ohrt  <monte@ispi.net>

    * libs/core/core.fetch_file_info.php
      libs/core/core.fetch_template_info.php:
      rename file, commit

    * libs/Smarty.class.php
      libs/Smarty_Compiler.class.php
      libs/core/core.parse_file_path.php
      libs/core/core.read_cache_file.php
      libs/plugins/block.strip.php
      libs/plugins/block.textformat.php
      libs/plugins/compiler.config_load.php
      libs/plugins/function.config_load.php
      libs/plugins/function.eval.php
      libs/plugins/function.fetch.php
      libs/plugins/function.html_image.php:
      fix config_load, compile fetched arrays to compile_dir, switch display
      back to runtime. clean up var names and function names,  split up compile
      testing and compiling to separate funcs, rename some template_* functions
      to
      file_* functions and update logic so they can be used for file resources
      other than templates.

2003-06-16  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty_Compiler.class.php:
      fixed little bug in _compile_custom_tag()

2003-06-16  Monte Ohrt  <monte@ispi.net>

    * NEWS
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php
      libs/core/core.assign_smarty_interface.php
      libs/core/core.create_dir_structure.php
      libs/core/core.display_debug_console.php
      libs/core/core.fetch_template_info.php
      libs/core/core.get_include_path.php
      libs/core/core.get_microtime.php
      libs/core/core.get_php_resource.php
      libs/core/core.is_secure.php
      libs/core/core.is_trusted.php
      libs/core/core.load_plugins.php
      libs/core/core.load_resource_plugin.php
      libs/core/core.parse_file_path.php
      libs/core/core.process_cached_inserts.php
      libs/core/core.read_cache_file.php
      libs/core/core.rm_auto.php
      libs/core/core.rmdir.php
      libs/core/core.run_insert_handler.php
      libs/core/core.smarty_include.php
      libs/core/core.smarty_include_php.php
      libs/core/core.write_cache_file.php
      libs/core/core.write_compiled_template.php
      libs/core/core.write_file.php
      libs/plugins/core.assign_smarty_interface.php
      libs/plugins/core.create_dir_structure.php
      libs/plugins/core.display_debug_console.php
      libs/plugins/core.fetch_template_info.php
      libs/plugins/core.get_include_path.php
      libs/plugins/core.get_microtime.php
      libs/plugins/core.get_php_resource.php
      libs/plugins/core.is_secure.php
      libs/plugins/core.is_trusted.php
      libs/plugins/core.load_plugins.php
      libs/plugins/core.load_resource_plugin.php
      libs/plugins/core.parse_file_path.php
      libs/plugins/core.process_cached_inserts.php
      libs/plugins/core.read_cache_file.php
      libs/plugins/core.rm_auto.php
      libs/plugins/core.rmdir.php
      libs/plugins/core.run_insert_handler.php
      libs/plugins/core.smarty_include.php
      libs/plugins/core.smarty_include_php.php
      libs/plugins/core.write_cache_file.php
      libs/plugins/core.write_compiled_template.php
      libs/plugins/core.write_file.php:
      move core files into their own directory under SMARTY_DIR,
      remove abstraction function _execute_core_function

    * libs/Smarty_Compiler.class.php:
      fix newline handling for template for all template tags

2003-06-11  Monte Ohrt  <monte@ispi.net>

    * libs/plugins/compiler.config_load.php:
      add compiler function to cvs repository

2003-06-11  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      added config-option "request_use_auto_globals" to make auto-globals be
      used as request vars instead of HTTP_*_VARS

2003-06-11  Monte Ohrt  <monte@ispi.net>

    * NEWS
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php
      libs/plugins/function.config_load.php:
      make config vars compile statically

2003-06-11  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty_Compiler.class.php:
      backed out newlines patch

    * NEWS
      libs/Smarty_Compiler.class.php:
      removed newlines in compiled templates after closing tags

2003-06-10  Messju Mohr  <messju@lammfellpuschen.de>

    * docs/de/designers.sgml:
      fixed german note on html_image and disk-access

2003-06-10  Monte Ohrt  <monte@ispi.net>

    * libs/plugins/core.parse_file_path.php:
      fix bug with resource_type resolving

2003-06-09  Monte Ohrt  <monte@ispi.net>

    * docs/designers.sgml:
      replace example with more practical one

2003-06-08  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      added block-methods for registered objects

2003-06-07  Messju Mohr  <messju@lammfellpuschen.de>

    * docs/programmers.sgml:
      fixed bug in documentation for $smarty->default_modifiers

2003-06-06  Monte Ohrt  <monte@ispi.net>

    * libs/plugins/core.parse_file_path.php:
      fix problem with new default_resource_type changes

    * NEWS:
      update NEWS file info

    * NEWS
      libs/Smarty.class.php
      libs/plugins/core.parse_file_path.php:
      add default_resource_type, ignore 1 char resource names

    * NEWS
      libs/Config_File.class.php:
      fix bug where config file starts with hidden section

2003-06-04  Monte Ohrt  <monte@ispi.net>

    * NEWS
      libs/Smarty.class.php:
      -** empty log message ***

2003-06-03  Monte Ohrt  <monte@ispi.net>

    * libs/plugins/function.html_image.php:
      fix example in code comments

2003-06-03  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/plugins/function.counter.php:
      fixed behaviour of start=... for {counter}

2003-06-02  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/plugins/function.counter.php:
      fixed assign for {counter}

2003-05-30  Monte Ohrt  <monte@ispi.net>

    * libs/plugins/core.write_cache_file.php
      libs/plugins/core.write_compiled_template.php:
      add discrete error checking pertaining to $cache_dir
      and $compile_dir, their existance and writability

2003-05-28  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/plugins/function.html_table.php:
      added params vdir, hdir and inner to html_table to allow looping over
      the data in various directions

2003-05-28  Monte Ohrt  <monte@ispi.net>

    * libs/plugins/core.compile_template.php
      libs/plugins/core.display_debug_console.php:
      fix problem with security and debug.tpl file

2003-05-23  Monte Ohrt  <monte@ispi.net>

    * NEWS:
      upd NEWS file

    * libs/Smarty_Compiler.class.php:
      allow spaces in literal tags

2003-05-22  Monte Ohrt  <monte@ispi.net>

    * docs/fr/programmers.sgml:
      fix special chars

2003-05-19  Monte Ohrt  <monte@ispi.net>

    * NEWS
      libs/Smarty_Compiler.class.php:
      speed up compiled templates, hardcode plugin filepaths instead of
      recalculate at runtime

2003-05-19  Messju Mohr  <messju@lammfellpuschen.de>

    * docs/designers.sgml:
      fixed example of {html_image}

    * docs/designers.sgml:
      fixed typo

2003-05-12  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty.class.php
      libs/plugins/core.read_cache_file.php
      libs/plugins/core.smarty_include.php
      libs/plugins/function.config_load.php:
      fixed multiple redundant occurrences for 'config' and 'template' in
      $smarty->_cache_info

2003-05-10  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/plugins/core.create_dir_structure.php:
      refurbished create_dir_structure to use '/' internally

    * libs/plugins/core.create_dir_structure.php:
      fixed windows absolute-paths in smarty_core_create_dir_structure()

    * libs/plugins/core.create_dir_structure.php:
      fixed error-message

2003-05-09  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty_Compiler.class.php:
      fixed warning due to missing param to _execute_core_function()

    * libs/Smarty_Compiler.class.php:
      fixed quoting in _compile_include_php

    * libs/Smarty_Compiler.class.php:
      fixed quoting of "file"-parameter in _compile_include_tag()

2003-05-08  Monte Ohrt  <monte@ispi.net>

    * docs/programmers.sgml:
      fix typo

    * libs/Smarty.class.php
      libs/Smarty_Compiler.class.php
      libs/plugins/core.compile_template.php
      libs/plugins/core.create_dir_structure.php
      libs/plugins/core.fetch_template_info.php
      libs/plugins/core.get_include_path.php
      libs/plugins/core.get_microtime.php
      libs/plugins/core.get_php_resource.php
      libs/plugins/core.is_secure.php
      libs/plugins/core.is_trusted.php
      libs/plugins/core.load_plugins.php
      libs/plugins/core.load_resource_plugin.php
      libs/plugins/core.parse_file_path.php
      libs/plugins/core.process_cached_inserts.php
      libs/plugins/core.read_cache_file.php
      libs/plugins/core.rm_auto.php
      libs/plugins/core.rmdir.php
      libs/plugins/core.run_insert_handler.php
      libs/plugins/core.smarty_include.php
      libs/plugins/core.smarty_include_php.php
      libs/plugins/core.write_cache_file.php
      libs/plugins/core.write_compiled_template.php
      libs/plugins/core.write_file.php
      libs/plugins/function.config_load.php
      libs/plugins/function.fetch.php
      libs/plugins/function.html_image.php:
      abstract more private functions to plugin directory

    * libs/Config_File.class.php:
      only add DIRECTORY_SEPARATOR if it isn't already present

    * libs/Config_File.class.php:
      fix directory separator code, use DIRECTORY_SEPARATOR

2003-05-08  Messju Mohr  <messju@lammfellpuschen.de>

    * docs/designers.sgml:
      fixed example of html_checkboxes

    * NEWS
      libs/Smarty.class.php:
      fixed bug in _create_dir_structure() when used with
      open_basedir-restriction and relative paths

    * docs/designers.sgml:
      fixed example for html_radios

2003-05-07  Monte Ohrt  <monte@ispi.net>

    * libs/Smarty.class.php
      libs/Smarty_Compiler.class.php
      libs/plugins/core.assign_smarty_interface.php
      libs/plugins/core.display_debug_console.php
      libs/plugins/function.display_debug_console.php:
      abstracted display_debug_console and assign_smarty_interface to plugin dir
      as a test

    * libs/Smarty.class.php
      libs/plugins/function.display_debug_console.php:
      correct misc varnames, abstract debug console display to plugin function

    * libs/plugins/modifier.escape.php:
      fix typo

2003-05-05  Monte Ohrt  <monte@ispi.net>

    * libs/Smarty_Compiler.class.php:
      add % to math

    * libs/Smarty.class.php:
      clean up comments, formatting

    * NEWS
      libs/Smarty.class.php:
      keep DIR_SEP for 3rd party compatability

    * NEWS
      libs/Smarty.class.php:
      remove DIR_SEP, use DIRECTORY_SEPARATOR exclusively

    * libs/Smarty_Compiler.class.php:
      remove ++ and -- math operators on template vars

2003-05-04  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty_Compiler.class.php:
      removed unused parameter $quote from Smarty_Compiler::_parse_attrs()

    * libs/plugins/function.html_image.php:
      fixed DIR_SEP in html_image-plugin

2003-05-04  Monte Ohrt  <monte@ispi.net>

    * NEWS
      libs/Smarty.class.php:
      rename DIR_SEP to SMARTY_DIR_SEP to avoid varname collisions

2003-05-04  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/plugins/function.html_image.php:
      changed "link" to "href" in html_image. "link" is still working but
      deprecated
      html_image always renders an alt-tag now (default alt="")
      cleaned up indentiation of function.html_image.php

2003-05-03  Monte Ohrt  <monte@ispi.net>

    * libs/debug.tpl:
      fix typo

2003-05-02  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/plugins/function.counter.php:
      fixed assign attribute for multiple counters

2003-05-02  Monte Ohrt  <monte@ispi.net>

    * libs/Smarty_Compiler.class.php:
      allow math on negative number

    * NEWS
      libs/Smarty_Compiler.class.php:
      added simple math operators to variables

2003-05-02  Messju Mohr  <messju@lammfellpuschen.de>

    * docs/designers.sgml:
      fixed typos

2003-04-30  Monte Ohrt  <monte@ispi.net>

    * docs/fr/appendixes.sgml
      docs/fr/common.dsl
      docs/fr/designers.sgml
      docs/fr/getting-started.sgml
      docs/fr/html-common.dsl
      docs/fr/html.dsl
      docs/fr/manual.sgml
      docs/fr/php.dsl
      docs/fr/preface.sgml
      docs/fr/programmers.sgml:
      add frech docs to cvs repository

2003-04-29  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      reverted patch for case-insensitive tag-names

2003-04-28  Messju Mohr  <messju@lammfellpuschen.de>

    * docs/programmers.sgml:
      reverted back to humerous redundancy in the docs :). although we all
      know we are here to generate template-based output, and not to have
      fun ;-)

    * docs/getting-started.sgml:
      fixed default user and group for max os x installation

    * libs/Smarty.class.php:
      made $function[2] and $function[3] options for register_resource

    * libs/Smarty.class.php:
      fixed issue with object-callback when fetching a php-resource

    * NEWS
      libs/Smarty.class.php:
      enabled array(&$obj. 'source', 'timestamp', 'secure', 'trusted') as
      callback for register_resource()
      
      enabled array(&$obj, 'method') as callback for
      $default_template_handler_func

2003-04-27  Messju Mohr  <messju@lammfellpuschen.de>

    * docs/designers.sgml
      docs/programmers.sgml:
      fixed some typos, thank to mehdi

    * libs/plugins/function.counter.php:
      prevent assign from overruling print-attribute in function.counter.php

    * libs/plugins/function.counter.php:
      fixed problem with counter and assign

    * libs/Smarty.class.php:
      fixed notice in  _load_plugins()

    * NEWS
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      made plugin-names case-insensitive. this affects
      compiler/block/custom-functions and modifers.

2003-04-26  Monte Ohrt  <monte@ispi.net>

    * NEWS
      libs/Smarty_Compiler.class.php:
      remove unnecessary close/open tags from compiled templates

2003-04-26  Messju Mohr  <messju@lammfellpuschen.de>

    * docs/designers.sgml:
      added documentation for foreach.property.*

2003-04-24  Messju Mohr  <messju@lammfellpuschen.de>

    * docs/designers.sgml:
      fixed example table_attr and tr_attr in html_table-example

2003-04-21  Greg Beaver  <greg@chiaraquartet.net>

    * libs/Smarty.class.php:
      fixed small bug in doc comments

2003-04-21  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/plugins/function.html_image.php:
      fixed errornous creation of '//' in image_path in html_image

2003-04-21  Monte Ohrt  <monte@ispi.net>

    * libs/plugins/modifier.debug_print_var.php:
      fix htmlspecialchars() conflict

    * NEWS
      libs/plugins/modifier.debug_print_var.php:
      fix escapement of special chars in key values of debug console

    * NEWS
      libs/plugins/function.config_load.php:
      fixed debug timing logic for config_load

    * docs/designers.sgml:
      fix example text


2003-04-20  Greg Beaver <cellog@users.sourceforge.net>
    * plugins/*
      Smarty.class.php
      Smarty_Compiler.class.php
      Config_File.class.php:
      updated all doc comments to phpDocumentor format (whew!)

2003-04-06  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/plugins/function.math.php:
      allowed "_" in the name of variable-parameters to {math}-function

2003-04-04  Monte Ohrt  <monte@ispi.net>

    * NEWS
      docs/designers.sgml
      libs/Smarty_Compiler.class.php:
      change backtic syntax from $`foo` to `$foo`

    * NEWS
      libs/Smarty_Compiler.class.php:
      recognize $foo[][] syntax in embedded quotes without backticks

2003-04-03  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty_Compiler.class.php:
      name=123 is passed as an integer (not a string) to plugins now

2003-04-01  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      added CVS $Id$

2003-03-31  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty.class.php:
      added missing compile_id inside Smarty_Compiler

    * libs/Smarty_Compiler.class.php:
      fixed flaw when generating an error for missing postfilter

2003-03-31  Monte Ohrt  <monte@ispi.net>

    * docs/getting-started.sgml
      docs/programmers.sgml:
      fix typos

2003-03-27  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/plugins/modifier.debug_print_var.php:
      $length is now propagated to sub-values in debug_print_var

2003-03-26  Monte Ohrt  <monte@ispi.net>

    * NEWS:
      update header

    * RELEASE_NOTES:
      commit changes to release notes

    * (Smarty_2_5_0_RC2)
      libs/Config_File.class.php
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      committing RC2

2003-03-24  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty.class.php:
      made clear_cache() ignore compile_id when clearing cache_groups

    * libs/plugins/function.popup.php:
      made onmouseout XHTML-compatible in function.popup.php

2003-03-21  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty.class.php:
      applied new var-names to fetch()

    * NEWS
      libs/Smarty.class.php:
      renamed $localvars to $_localvars in cache-file-handling-functions,
      added _get_auto_id()-function

2003-03-21  Monte Ohrt  <monte@ispi.net>

    * libs/plugins/function.mailto.php
      libs/plugins/function.popup.php:
      update functions for XHTML compatability

2003-03-21  Messju Mohr  <messju@lammfellpuschen.de>

    * libs/Smarty.class.php:
      fixed wrong $auto_id in _read_cache_file()

    * NEWS
      libs/Smarty.class.php:
      swapped compile_id and cache_id in read_cache_file and write_cache_file

    * libs/Smarty.class.php:
      reverted patch for ignoring compile-id back to -r1.364, due to problems

    * NEWS
      libs/plugins/function.html_checkboxes.php
      libs/plugins/function.html_radios.php:
      html_radios and html_checkboxes accept "selected" instead of "checked"
      optionally now

    * NEWS
      libs/Smarty.class.php:
      swapped compile_id and cache_id for cache-file-handling again

2003-03-20  Monte Ohrt  <monte@ispi.net>

    * libs/Smarty_Compiler.class.php:
      fix notice when no parameter is passed to default

2003-03-20  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty.class.php:
      removed notice of undefined var in _rm_auto()

2003-03-19  Monte Ohrt  <monte@ispi.net>

    * libs/plugins/function.html_checkboxes.php
      libs/plugins/function.html_radios.php
      libs/plugins/function.html_table.php:
      fix a few error messages, follow consistancy format plugin_name: errormsg

    * libs/plugins/function.html_radios.php:
      update error messages

    * NEWS
      libs/plugins/function.html_radios.php:
      add a warning when an array is passed as the 'checked' value of html_radios

2003-03-19  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty_Compiler.class.php:
      fixed errormessage in _compile_smarty_ref()

    * NEWS
      docs/designers.sgml:
      updated docs for html_image

2003-03-18  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/Smarty.class.php:
      cleaned up calls to readdir()

    * libs/plugins/function.html_options.php:
      fixed label for optgroup in html_options

2003-03-18  Monte Ohrt  <monte@ispi.net>

    * NEWS
      libs/Smarty_Compiler.class.php:
      fix (newly introduced) bug with passing multiple modifiers to a parameter

2003-03-18  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      docs/designers.sgml:
      updated docs for html_checkboxes, html_options and html_radios

    * libs/plugins/function.html_options.php:
      fixed wrong default-"name" in function.html_options.php

    * NEWS
      libs/plugins/function.html_checkboxes.php
      libs/plugins/function.html_radios.php:
      renamed "checkbox" and "radios" to "options" in {html_checkboxes} and
      {html_radios}

    * libs/plugins/outputfilter.trimwhitespace.php:
      tried to optimize re-replacement in outputfilter.trimwhitespace.php a
      little

    * libs/plugins/outputfilter.trimwhitespace.php:
      fixed greedy str_replace in outputfilter.trimwhitespace.php

    * NEWS
      libs/plugins/function.html_checkboxes.php
      libs/plugins/function.html_options.php
      libs/plugins/function.html_radios.php:
      html_options, html_checkboxes and html_radios now pass-thru all unknown
      paramters

2003-03-17  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/plugins/function.html_options.php:
      html_options passthru all unknown paramters now

2003-03-17  Monte Ohrt  <monte@ispi.net>

    * NEWS
      libs/plugins/function.html_image.php:
      Fix link bug in html_image function, also make output XHTML compatible

    * libs/Smarty_Compiler.class.php:
      fix issue of embedded var and escaped double quotes

2003-03-15  Monte Ohrt  <monte@ispi.net>

    * NEWS
      libs/Smarty_Compiler.class.php:
      back out "@" logic, apply only to default modifier special case

    * libs/Smarty_Compiler.class.php:
      fix @ logic, only use upon an echo

    * NEWS
      libs/Smarty_Compiler.class.php:
      append "@" to template var echoes to supress possible notices

    * NEWS
      libs/Smarty_Compiler.class.php:
      append "@" to _run_mod_handler to supress warnings

2003-03-14  Monte Ohrt  <monte@ispi.net>

    * NEWS
      libs/Smarty_Compiler.class.php:
      fix problem with escaped double quotes

    * NEWS
      libs/plugins/function.html_radios.php:
      fixed html_options to not return an array

2003-03-12  Messju Mohr  <messju@lammfellpuschen.de>

    * NEWS
      libs/plugins/modifier.truncate.php:
      fixed length in modifier.truncate.php

    * NEWS
      libs/plugins/outputfilter.trimwhitespace.php:
      fixed handling of '$'-signs in trimwhitespace outputfilter (messju)

2003-03-12  Monte Ohrt  <monte@ispi.net>

    * docs/programmers.sgml:
      update technical explanation of assign_by_ref and append_by_ref

2003-03-11  Monte Ohrt  <monte@ispi.net>

    * NEWS
      libs/Smarty.class.php:
      fix config file recompiling code

2003-03-07  Monte Ohrt  <monte@ispi.net>

    * libs/plugins/function.html_image.php:
      change E_USER_ERROR to E_USER_NOTICE

    * libs/plugins/function.html_image.php:
      suppress warning in html_image

    * NEWS
      libs/plugins/function.html_image.php:
      update changes to html_image

2003-03-06  Monte Ohrt  <monte@ispi.net>

    * docs/designers.sgml
      docs/de/appendixes.sgml
      docs/de/common.dsl
      docs/de/designers.sgml
      docs/de/getting-started.sgml
      docs/de/html-common.dsl
      docs/de/html.dsl
      docs/de/manual.sgml
      docs/de/preface.sgml
      docs/de/programmers.sgml:
      add german docs to dist

    * NEWS:
      update news file

    * libs/plugins/function.html_image.php:
      fix width/height parameter index

    * NEWS
      libs/Smarty.class.php:
      get rid of unsetting name and script attributes to insert tags

2003-03-05  Monte Ohrt  <monte@ispi.net>

    * NEWS
      RELEASE_NOTES:
      update NEWS file

    * libs/plugins/modifier.string_format.php:
      fix argument order, erroneously swapped a while back

    * (Smarty_2_5_0_RC1)
      NEWS
      README
      RELEASE_NOTES
      libs/Config_File.class.php
      libs/Smarty.class.php
      libs/Smarty_Compiler.class.php:
      commit final changes for 2.5.0-RC1

2003-03-04  Monte Ohrt  <monte@ispi.net>

    * docs/programmers.sgml:
      remove $show_info_header and $show_info_include property vars from docs

2003-03-03  Monte Ohrt  <monte@ispi.net>

    * NEWS
      libs/plugins/function.popup.php:
      fixed PHP notice

2003-02-28  Monte Ohrt  <monte@ispi.net>

    * libs/Smarty_Compiler.class.php:
      simplify smarty.const.foo and smarty.const.$foo logic

    * libs/Smarty_Compiler.class.php:
      only allow $foo syntax in embedded quotes, unless escaped with backticks
      then allow any dollar var

    * NEWS
      libs/Smarty_Compiler.class.php:
      fix "once" var compiling to work with new attr compiling methods for
      include_php

    * FAQ
      NEWS
      README
      docs/designers.sgml
      docs/getting-started.sgml
      libs/Smarty_Compiler.class.php
      libs/plugins/function.html_checkboxes.php
      libs/plugins/function.html_image.php
      libs/plugins/function.html_options.php
      libs/plugins/function.html_radios.php
      libs/plugins/function.html_select_date.php
      libs/plugins/function.html_select_time.php
      libs/plugins/function.html_table.php:
      fix $smarty.const.foo compiling, clean up double quoted strings,
      allow full dollar var syntax in quotes again

2003-02-27  Monte Ohrt  <monte@ispi.net>

    * docs/designers.sgml
      docs/programmers.sgml
      libs/Smarty_Compiler.class.php:
      update docs, fix smarty var compiling, allow any $smarty.*.$foo syntax,
      add $`foobar` for embedded variables

    * libs/plugins/function.html_image.php:
      update functionality

2003-02-26  Monte Ohrt  <monte@ispi.net>

    * NEWS
      libs/plugins/modifier.nl2br.php:
      add nl2br modifier

    * libs/plugins/function.html_image.php:
      add link parameter

2003-02-24  Monte Ohrt  <monte@ispi.net>

    * libs/Smarty.class.php
      libs/plugins/function.html_image.php:
      fix rename problem in windows, unlink first

    * libs/plugins/function.html_checkboxes.php
      libs/plugins/function.html_image.php
      libs/plugins/function.html_options.php
      libs/plugins/function.html_radios.php
      libs/plugins/shared.escape_special_chars.php:
      update functions with separate escape_special_chars routine

    * NEWS
      libs/plugins/function.html_checkboxes.php
      libs/plugins/function.html_radios.php:
      commit checkboxes, update radios

    * NEWS
      libs/Smarty.class.php
      libs/plugins/function.html_image.php:
      fix bug with get_registered_object

    * NEWS
      libs/plugins/modifier.cat.php:
      added cat modifier to distribution

    * NEWS
      libs/Smarty_Compiler.class.php:
      added << >> <> support to IF statements

    * libs/plugins/function.html_radios.php:
      apply patch to initial html_radios function

    * NEWS
      libs/Smarty.class.php:
      fix _assign_smarty_interface to not overwrite keys other than 'request'

    * NEWS
      libs/plugins/function.html_radios.php:
      added html_radios to distribution

    * NEWS
      libs/plugins/modifier.string_format.php:
      fixed arg order of string_format

    * NEWS
      libs/Smarty.class.php:
      use tmp file for file writes, avoid race condition

    * NEWS
      libs/Smarty_Compiler.class.php:
      add $smarty.config.foo var, handle embedded smarty var correctly

    * NEWS
      libs/plugins/function.fetch.php:
      silence warnings in fetch plugin

2003-02-21  Monte Ohrt  <monte@ispi.net>

    * INSTALL:
      update wording

    * INSTALL:
      update install instructions

    * AUTHORS
      BUGS
      CREDITS
      QUICKSTART
      README
      RESOURCES
      TESTIMONIALS:
      remove some files already in docs or elsewhere

    * demo/index.php:
      add templates_c to repository

    * index.php:
      move demo files to demo directory

    * Config_File.class.php
      Smarty.class.php
      Smarty_Compiler.class.php
      debug.tpl:
      moved lib files under libs directory

2003-02-20  Monte Ohrt  <monte@ispi.net>

    * NEWS
      Smarty.class.php:
      add get_config_vars() method, update get_template_vars() functionality

    * NEWS
      Smarty.class.php:
      fix minor logic in _fetch_template_info()

    * NEWS
      Smarty.class.php:
      support merging appended vars

    * NEWS
      Smarty.class.php:
      fix cache groups behavior with compile_id set

2003-02-19  Monte Ohrt  <monte@ispi.net>

    * Smarty.class.php:
      back out third parameter, extend functionality of append

    * NEWS
      Smarty_Compiler.class.php:
      update imbedded vars, allow special $smarty vars

    * plugins/function.html_table.php:
      add plugin html_table

    * NEWS
      Smarty.class.php:
      support appending key=>val pairs

    * NEWS
      Smarty_Compiler.class.php:
      change embedded variable logic to only recognize $foo and $foo[0][bar]
      syntax

    * NEWS
      Smarty_Compiler.class.php:
      allow null as function attribute value

2003-02-18  Monte Ohrt  <monte@ispi.net>

    * NEWS
      Smarty.class.php
      Smarty_Compiler.class.php:
      support foo->bar[index] syntax

    * Smarty_Compiler.class.php:
      allow $foo->bar[0] syntax

2003-02-17  Monte Ohrt  <monte@ispi.net>

    * plugins/modifier.escape.php:
      fix syntax error from previous commit

    * NEWS
      Smarty.class.php:
      add error msgs to get_registered_object

    * Smarty.class.php:
      add function for getting reference to registered object

    * Smarty_Compiler.class.php:
      back out patches for object and objref calls on $smarty var

    * NEWS
      Smarty_Compiler.class.php:
      treat unrecognized param attribute syntax as a string

    * NEWS
      Smarty_Compiler.class.php:
      support $smarty.const.$foo syntax

    * NEWS
      debug.tpl
      plugins/modifier.count_words.php
      plugins/modifier.escape.php:
      fix E_NOTICE messages

    * NEWS
      Smarty.class.php
      Smarty_Compiler.class.php:
      add @ and === to if tokens, few param cleanups

2003-02-16  Greg Beaver  <greg@chiaraquartet.net>

    * ChangeLog
      Smarty.class.php
      Smarty_Compiler.class.php:
      many more phpdoc comment upgrades

2003-02-15  Greg Beaver <cellog@sourceforge.net>
    * Smarty.class.php
      Smarty_Compiler.class.php
      continue cleaning of phpdoc comments.  All that is needed is the
      addition of @return tags and perhaps a bit more verbose comments
      and they are finished.

2003-02-14  Monte Ohrt  <monte@ispi.net>

    * NEWS
      Smarty.class.php:
      enable config_load error messages

    * NEWS
      plugins/function.html_options.php:
      fix html_options to not escape already escaped entities

    * NEWS
      Smarty.class.php:
      send Last-Modified header on cache creation, misc tab/spacing cleanup

2003-02-13  Monte Ohrt  <monte@ispi.net>

    * Smarty_Compiler.class.php
      docs/designers.sgml:
      allow dash in plain text

    * NEWS
      Smarty_Compiler.class.php:
      check strict syntax of function attributes

2003-02-12  Monte Ohrt  <monte@ispi.net>

    * NEWS
      Smarty_Compiler.class.php:
      dropped support for modifiers on object parameters,
      added support for objects as modifier parameters

    * NEWS
      Smarty_Compiler.class.php
      docs/designers.sgml:
      fix bug with decimal numbers in if statements, misc doc updates

2003-02-11  Monte Ohrt  <monte@ispi.net>

    * (Smarty_2_4_2)
      Config_File.class.php
      NEWS
      README
      RELEASE_NOTES
      Smarty.class.php
      Smarty_Compiler.class.php:
      update version numbers

2003-02-10  Monte Ohrt  <monte@ispi.net>

    * NEWS
      Smarty_Compiler.class.php:
      add support for $foo->$bar syntax

    * NEWS:
      update NEWS file

    * NEWS
      Smarty_Compiler.class.php:
      support full var syntax in quoted text, fix problem with const var access,
      clean up some more regex code, fix object problem with no properties

2003-02-06  Monte Ohrt  <monte@ispi.net>

    * (Smarty_2_4_1)
      Config_File.class.php
      NEWS
      README
      RELEASE_NOTES
      Smarty.class.php
      Smarty_Compiler.class.php:
      committed 2.4.1 changes

    * NEWS
      Smarty_Compiler.class.php:
      ignore case in IF statements

2003-02-05  Monte Ohrt  <monte@ispi.net>

    * NEWS
      Smarty_Compiler.class.php:
      treat undefined constants as null

    * NEWS
      Smarty.class.php:
      fix problem with inserts and nested fetches

    * Smarty_Compiler.class.php:
      fix "if" regex for math tokens

    * NEWS
      Smarty.class.php
      Smarty_Compiler.class.php
      docs/getting-started.sgml:
      added support for extracting params to include_php

2003-02-04  Monte Ohrt  <monte@ispi.net>

    * RELEASE_NOTES:
      reformat text

2003-02-03  Monte Ohrt  <monte@ispi.net>

    * NEWS:
      update news file

2003-02-03  Greg Beaver  <greg@chiaraquartet.net>

    * ChangeLog
      Smarty.class.php:
      begin fixing phpdoc comments in Smarty.class.php

    * ChangeLog
      Config_File.class.php:
      fixed phpdoc comments

2003-02-03  Monte Ohrt  <monte@ispi.net>

    * Smarty_Compiler.class.php:
      allow $foo->bar[$x].foo syntax

    * Smarty_Compiler.class.php
      index.php
      configs/test.conf
      templates/index.tpl:
      fix accidental commit

    * index.php
      configs/test.conf
      templates/index.tpl:
      allow $foo->bar[$j].blah type of syntax

2003-02-02  Greg Beaver  <cellog@php.net>

    * Smarty.class.php
      begin fixing of phpdoc comments

    * Config_File.class.php
      fix phpdoc comments, add phpDocumentor docblock templates

2003-02-02  Monte Ohrt  <monte@ispi.net>

    * Smarty.class.php
      docs/html.dsl
      docs/php.dsl:
      fix version number

    * (Smarty_2_4_0)
      Config_File.class.php
      NEWS
      README
      RELEASE_NOTES
      Smarty.class.php
      Smarty_Compiler.class.php
      docs/appendixes.sgml
      docs/designers.sgml
      docs/programmers.sgml:
      update Smarty version numbers

2003-01-30  Monte Ohrt  <monte@ispi.net>

    * NEWS
      Smarty_Compiler.class.php
      TODO:
      fix order of php tag comparisons

    * NEWS
      Smarty_Compiler.class.php:
      fix known php tag handling problems

2003-01-29  Monte Ohrt  <monte@ispi.net>

    * Smarty.class.php
      Smarty_Compiler.class.php:
      change comments to phpdoc style

2003-01-28  Monte Ohrt  <monte@ispi.net>

    * Smarty.class.php
      docs/programmers.sgml:
      make separate var for compiler file

    * plugins/function.fetch.php:
      fix error call

2003-01-25  Monte Ohrt  <monte@ispi.net>

    * Smarty.class.php
      Smarty_Compiler.class.php:
      add support for restriction to registered methods

    * plugins/outputfilter.trimwhitespace.php:
      update with textarea support

2003-01-24  Monte Ohrt  <monte@ispi.net>

    * Smarty_Compiler.class.php:
      fix compiling problem with {foreach} tags

    * Smarty.class.php
      Smarty_Compiler.class.php:
      put objects in own array, add object param format support, change
      object syntax from foo.bar to foo->bar

2003-01-23  Monte Ohrt  <monte@ispi.net>

    * NEWS
      Smarty.class.php
      Smarty_Compiler.class.php:
      add support for object registration

2003-01-22  Monte Ohrt  <monte@ispi.net>

    * Smarty.class.php:
      add file & line number of calling error to error message

2003-01-21  Monte Ohrt  <monte@ispi.net>

    * Smarty_Compiler.class.php:
      put php style object syntax back in

2003-01-20  Monte Ohrt  <monte@ispi.net>

    * Smarty.class.php:
      move security settings to fetch function for template_dir

    * NEWS
      Smarty.class.php:
      fix debug template and security, add template_dir to secure_dir at runtime

2003-01-17  Monte Ohrt  <monte@ispi.net>

    * NEWS
      Smarty.class.php
      Smarty_Compiler.class.php:
      added new object support without new template syntax

2003-01-15  Monte Ohrt  <monte@ispi.net>

    * NEWS
      Smarty.class.php
      Smarty_Compiler.class.php:
      fix if statement syntax for negative integers, fix issue with directories
      named '0'

2003-01-08  Monte Ohrt  <monte@ispi.net>

    * Smarty.class.php
      plugins/function.counter.php
      plugins/function.cycle.php
      plugins/function.debug.php
      plugins/function.eval.php
      plugins/function.fetch.php
      plugins/function.html_options.php
      plugins/function.html_select_date.php
      plugins/function.html_select_time.php
      plugins/function.mailto.php
      plugins/function.math.php
      plugins/function.popup.php
      plugins/function.popup_init.php:
      update plugins to return values instead of echo, fix config file cache
      to include global config variables in cache file

    * Smarty_Compiler.class.php:
      fix bug with >= tests in if statements, comment out full object support

2003-01-06  Monte Ohrt  <monte@ispi.net>

    * NEWS
      docs/html.dsl
      plugins/modifier.escape.php:
      add javascript escape parameter to escape modifier

2003-01-02  Monte Ohrt  <monte@ispi.net>

    * templates/header.tpl:
      move the title into head where it should be

2002-12-24  Monte Ohrt  <monte@ispi.net>

    * Smarty_Compiler.class.php:
      added correct line numbers to smarty syntax error messages

    * docs/programmers.sgml:
      update append documentation, make more clear on its function

    * Smarty_Compiler.class.php:
      fix modifier matching regexp

2002-12-23  Monte Ohrt  <monte@ispi.net>

    * Smarty_Compiler.class.php:
      support nested function calls in IF statements

2002-12-20  Monte Ohrt  <monte@ispi.net>

    * Smarty_Compiler.class.php:
      few more fixes, spaces around function parameters

    * Smarty_Compiler.class.php:
      fix misc syntax issues with {if} tags

2002-12-20  Monte Ohrt  <monte@ispi.net>

    * Smarty_Compiler.class.php:
      fix misc syntax issues with {if} tags

2002-12-19  Monte Ohrt  <monte@ispi.net>

    * Smarty_Compiler.class.php:
      commit updates, passes all smoke tests

    * NEWS:
      update NEWS file

    * Smarty_Compiler.class.php:
      fixed literal string not in quotes as parameters

    * NEWS
      Smarty_Compiler.class.php:
      fix misc syntax issues, add ability to pass modifiers to functions

2002-12-18  Monte Ohrt  <monte@ispi.net>

    * NEWS:
      update NEWS

    * NEWS
      Smarty.class.php
      Smarty_Compiler.class.php:
      update compiler code, clean up regex, add new syntax features

2002-12-16  Monte Ohrt  <monte@ispi.net>

    * NEWS:
      update NEWS file

    * Smarty_Compiler.class.php:
      commit updates for objects

2002-12-14  Monte Ohrt  <monte@ispi.net>

    * Smarty.class.php
      Smarty_Compiler.class.php:
      fix bug with compiling config files with caching on

2002-12-13  Monte Ohrt  <monte@ispi.net>

    * Smarty_Compiler.class.php:
      fix problem with matching single quoted strings

    * Smarty_Compiler.class.php:
      update embedded variable logic, get rid of ."" at end of output

    * NEWS
      docs/designers.sgml
      plugins/function.html_select_date.php:
      add day_value_format to html_select_date

2002-12-12  Monte Ohrt  <monte@ispi.net>

    * plugins/modifier.debug_print_var.php:
      fix bug, double escaped values in display

    * Smarty.class.php:
      move debug test back into fetch()

    * NEWS
      Smarty.class.php
      Smarty_Compiler.class.php
      plugins/outputfilter.trimwhitespace.php:
      assigned vars are no longer in global name space, few debug cleanups

2002-12-11  Monte Ohrt  <monte@ispi.net>

    * plugins/function.popup.php:
      fix error in newline code

    * plugins/function.popup.php:
      fix popup to allow newlines in text data

2002-12-10  Monte Ohrt  <monte@ispi.net>

    * Smarty.class.php:
      fix plugin error logic

    * docs/designers.sgml
      docs/programmers.sgml:
      edit examples, make more verbose

    * NEWS
      plugins/function.html_options.php:
      escape html entities in the option values and output

    * NEWS
      plugins/function.html_options.php:
      fixed bug with label of html_options

2002-12-09  Monte Ohrt  <monte@ispi.net>

    * Smarty.class.php:
      add support for var_export()

    * Config_File.class.php
      Smarty.class.php:
      clean up code, respect force_compile and compile_check flags

    * NEWS
      Smarty.class.php
      Smarty_Compiler.class.php
      docs/designers.sgml
      plugins/function.mailto.php:
      add caching feature to config loading, document update, add mailto plugin

2002-12-08  Monte Ohrt  <monte@ispi.net>

    * plugins/function.fetch.php:
      fix query part of URL

2002-12-05  Monte Ohrt  <monte@ispi.net>

    * docs/designers.sgml:
      fix typos

2002-11-22  Monte Ohrt  <monte@ispi.net>

    * Smarty_Compiler.class.php:
      patch for warning message

2002-11-21  Monte Ohrt  <monte@ispi.net>

    * RELEASE_NOTES
      Smarty.class.php:
      get rid of testing for a set value with assign function, just set to
      whatever is passed into the template

    * docs/programmers.sgml:
      fix typo

2002-11-19  Monte Ohrt  <monte@ispi.net>

    * Config_File.class.php
      NEWS
      README
      RELEASE_NOTES
      Smarty.class.php
      Smarty_Compiler.class.php:
      commit changes, ready for 2.3.1 release

2002-11-01  Monte Ohrt  <monte@ispi.net>

    * plugins/function.html_options.php:
    added label attribute to all option outputs, cover w3c spec.

    * NEWS: update NEWS file

    * docs/designers.sgml: update docs for optgroup output

    * plugins/function.html_options.php:
    make html_options work with optgroup, make func modular and recursive.

2002-10-29  Monte Ohrt  <monte@ispi.net>

    * NEWS
      Smarty.class.php: set mtime on compile files so they match source files

2002-10-18  Monte Ohrt  <monte@ispi.net>

    * NEWS
      Smarty.class.php: added proper support for open_basedir setting

    * docs/designers.sgml: clear up docs on index, iteration and rownum

2002-10-16  Monte Ohrt  <monte@ispi.net>

    * plugins/modifier.default.php: fix warning message in default modifier

2002-09-25  Monte Ohrt  <monte@ispi.net>

    * docs/designers.sgml
      plugins/modifier.strip.php
      NEWS: added strip variable modifier

2002-09-24  Andrei Zmievski  <andrei@php.net>

    * NEWS: *** empty log message ***

    * Smarty_Compiler.class.php:
    Fix to be able to use $smarty.x variables as arrays.

2002-09-23  Monte Ohrt  <monte@ispi.net>

    * Config_File.class.php:
    add support for mac/dos formatted config files (fix newlines)

    * docs/programmers.sgml: add optional tags to clear_cache parameters

    * docs/designers.sgml:
    fix error with include_php description, add $this to description

2002-09-20  Monte Ohrt  <monte@ispi.net>

    * NEWS
      docs/getting-started.sgml: fixed errors with example setup docs

2002-09-16  Monte Ohrt  <monte@ispi.net>

    * plugins/block.textformat.php
      docs/designers.sgml
      NEWS: add textformat block function

2002-09-10  Monte Ohrt  <monte@ispi.net>

    * docs/designers.sgml:
    add assign attribute to cycle function documentation

    * docs/designers.sgml
      docs/programmers.sgml: fix typos

2002-09-09  Monte Ohrt  <monte@ispi.net>

    * plugins/function.debug.php
      templates/header.tpl:
    fix header in debug template, fix typo in header.tpl example

2002-08-15  mohrt  <mohrt@pb1.pair.com>

    * docs/programmers.sgml: fix typos

2002-08-08  mohrt  <mohrt@pb1.pair.com>

    * RELEASE_NOTES
      Smarty.class.php:
    supress warnings from unlink() and is_dir(), let error handler deal with it

2002-08-07  mohrt  <mohrt@pb1.pair.com>

    * docs/appendixes.sgml
      docs/designers.sgml
      docs/programmers.sgml
      Config_File.class.php
      NEWS
      README
      RELEASE_NOTES
      Smarty.class.php
      Smarty_Compiler.class.php: update files with new version numbers

2002-08-02  mohrt  <mohrt@pb1.pair.com>

    * NEWS: update NEWS file with credits

    * NEWS
      Smarty.class.php: added assign_by_ref() and append_by_ref() functions

2002-08-01  mohrt  <mohrt@pb1.pair.com>

    * TODO
      NEWS
      Smarty.class.php:
    changed default warning type for plugin errors from E_USER_WARNING to E_USER_ERROR

2002-07-29  mohrt  <mohrt@pb1.pair.com>

    * plugins/function.html_select_time.php
      docs/designers.sgml
      NEWS: added paramters to html_select_time plugin

2002-07-25  Andrei Zmievski  <andrei@pb1.pair.com>

    * TODO: *** empty log message ***

2002-07-24  mohrt  <mohrt@pb1.pair.com>

    * QUICKSTART: update QUICKSTART guide

    * NEWS
      debug.tpl
      plugins/modifier.debug_print_var.php:
    update debug console to show objects, fix warning in debug.tpl

2002-07-23  mohrt  <mohrt@pb1.pair.com>

    * docs/programmers.sgml: fix load_filter examples

    * Config_File.class.php
      NEWS: fix error when there are no sections in config file

2002-07-19  mohrt  <mohrt@pb1.pair.com>

    * docs/getting-started.sgml: fix error in install guide

2002-07-18  mohrt  <mohrt@pb1.pair.com>

    * Smarty_Compiler.class.php:
    correct the expression match for smarty:nodefaults

2002-07-17  mohrt  <mohrt@pb1.pair.com>

    * Smarty_Compiler.class.php: fix default modifier to work with config vars

    * Smarty_Compiler.class.php: got args to strstr backwards...

    * NEWS
      Smarty.class.php
      Smarty_Compiler.class.php:
    change default modifiers to array instead of string

    * Smarty_Compiler.class.php
      docs/designers.sgml
      Smarty.class.php: add default modifier logic, minor doc updates

    * NEWS
      Smarty.class.php
      plugins/function.popup_init.php:
    make popup_init xhtml compliant, minor variable name changes for consistancy

2002-07-16  mohrt  <mohrt@pb1.pair.com>

    * NEWS: update NEWS file

    * plugins/function.debug.php
      Smarty.class.php
      debug.tpl
      NEWS:
    fix problem with filenames on windows, add ability to supply expire time in seconds when clearing cache or compiled files

2002-07-15  mohrt  <mohrt@pb1.pair.com>

    * Smarty.class.php:
    fixed problem with insert tags when loading function from script attribute
    and caching enabled (Monte)

2002-07-14  mohrt  <mohrt@pb1.pair.com>

    * NEWS
      Smarty.class.php: fix bug with debug_tpl file path for Windows

2002-07-12  Monte Ohrt  <monte@ispi.net>

    * Smarty.class.php: fix append function with array/string issue

2002-07-11  Monte Ohrt  <monte@ispi.net>

    * RELEASE_NOTES: update release notes

    * NEWS
      README
      RELEASE_NOTES
      Smarty.class.php
      Smarty_Compiler.class.php
      Config_File.class.php: update files to 2.2.0 tags, get ready for release

2002-07-09  Monte Ohrt  <monte@ispi.net>

    * NEWS
      Smarty.class.php: make debug.tpl work with any delimiter

    * NEWS
      Smarty.class.php:
    change tests in append and assign to != '' instead of empty(), which is more accurate

2002-07-08  Monte Ohrt  <monte@ispi.net>

    * docs/designers.sgml: minor doc update

    * Smarty.class.php:
    cast var as an array, simplify and get rid of PHP warning messages

2002-07-03  Monte Ohrt  <monte@ispi.net>

    * Smarty.class.php: one more N

    * Smarty.class.php:
    prepend "N" to filenames to avoid possible OS issues with dir names starting with "-"

    * Smarty.class.php: only set $debug_tpl in constructor if empty

    * Smarty.class.php
      docs/designers.sgml
      docs/getting-started.sgml
      docs/programmers.sgml:
    make use_sub_dirs go back to crc32 for subdir separation

2002-06-29  Monte Ohrt  <monte@ispi.net>

    * plugins/function.eval.php: do nothing if $val is empty

    * TODO
      plugins/function.eval.php
      plugins/function.popup_init.php:
    add zindex to popup init, fix error message for eval.

2002-06-27  Monte Ohrt  <monte@ispi.net>

    * Smarty.class.php:
    only loop through relative paths for PHP include_path, remove $_relative variable

    * Smarty_Compiler.class.php: added {$smarty.version} variable

2002-06-26  Monte Ohrt  <monte@ispi.net>

    * docs/appendixes.sgml
      docs/designers.sgml
      docs/getting-started.sgml
      docs/programmers.sgml
      Smarty.class.php:
    update plugin loading logic, look in SMARTY_DIR, then cwd. If all fail, then retry all with include_path

    * templates/header.tpl
      Smarty.class.php: update get_include_path, get _path_array only once

    * Smarty.class.php: fix get_include_path function for windows

    * Smarty.class.php: update plugin search logic

    * Smarty.class.php: only search include_path if relative path

    * plugins/function.html_select_date.php
      plugins/function.html_select_time.php
      plugins/modifier.date_format.php
      Smarty_Compiler.class.php
      NEWS
      Smarty.class.php: allow plugins_dir to be an array of directories

2002-06-25  Monte Ohrt  <monte@ispi.net>

    * docs/programmers.sgml
      docs/getting-started.sgml: update installation docs

    * debug.tpl
      docs/getting-started.sgml
      templates/debug.tpl
      NEWS
      Smarty.class.php: move debug.tpl to SMARTY_DIR, add to constructor

2002-06-24  Monte Ohrt  <monte@ispi.net>

    * plugins/function.assign_debug_info.php
      NEWS: fixed warning message in function.assign_debug_info

    * Smarty.class.php: update include_path fixes

    * NEWS:
    fixed $template_dir, $compile_dir, $cache_dir, $config_dir to respect include_path

2002-06-23  Monte Ohrt  <monte@ispi.net>

    * plugins/shared.make_timestamp.php:
    update timestamp plugin to work when passed a timestamp

2002-06-19  Monte Ohrt  <monte@ispi.net>

    * NEWS: update NEWS file

    * plugins/modifier.date_format.php
      docs/designers.sgml:
    update date_format, allow optional 2nd paramater as default date if passed date is empty. update docs.

    * plugins/modifier.date_format.php:
    fix date_format modifier, return nothing if given empty string

2002-06-18  Monte Ohrt  <monte@ispi.net>

    * NEWS
      plugins/function.cycle.php:
    gave $reset a default value in cycle function

    * plugins/function.html_select_date.php
      plugins/shared.make_timestamp.php
      NEWS:
    corrected warnings in html_select_time function, made make timestamp always return a timestamp

2002-06-17  Monte Ohrt  <monte@ispi.net>

    * Smarty.class.php: swapped around cache_id and compile_id order

2002-06-14  Monte Ohrt  <monte@ispi.net>

    * docs/programmers.sgml
      plugins/function.popup_init.php
      Smarty.class.php:
    change directory delimiter to "^" for cache and compile files

2002-06-13  Andrei Zmievski  <andrei@php.net>

    * TODO: done.

    * Smarty_Compiler.class.php:
    Optimize the calculation of section 'total' property.

2002-06-11  Monte Ohrt  <monte@ispi.net>

    * NEWS
      Smarty.class.php:
    added support for subdir exclusion, deletion by full or partial cache_id and compile_id, change file format to urlencoded values instead of crc32

2002-06-07  Monte Ohrt  <monte@ispi.net>

    * Smarty.class.php: fix bug with last_modified_check code

    * NEWS
      Smarty.class.php:
    updated $GLOBALS refererence for HTTP_IF_MODIFIED_SINCE

2002-06-06  Monte Ohrt  <monte@ispi.net>

    * docs/designers.sgml
      overlib.js:
    remove overlib.js file from distribution, update plugin and docs

2002-06-05  Monte Ohrt  <monte@ispi.net>

    * docs/designers.sgml
      NEWS
      Smarty.class.php: fix 304 Not Modified, don't send content

2002-06-03  Monte Ohrt  <monte@ispi.net>

    * plugins/function.cycle.php: update version number

    * plugins/function.cycle.php
      NEWS:
    fixed cycle function to respect delimiter setting after initial setting

    * Smarty.class.php
      NEWS:
    update $GLOBALS references to work properly with track_globals settings

    * plugins/function.math.php: fixed bug with call $assign

    * docs/appendixes.sgml
      docs/designers.sgml
      plugins/function.html_options.php
      plugins/function.html_select_time.php
      NEWS
      Smarty.class.php
      Smarty_Compiler.class.php:
    optimized for loops with count() function calls

2002-06-01  Andrei Zmievski  <andrei@php.net>

    * TODO: *** empty log message ***

2002-05-21  Monte Ohrt  <monte@ispi.net>

    * NEWS: update NEWS file

    * plugins/function.html_select_date.php
      RESOURCES
      docs/designers.sgml
      Config_File.class.php:
    update html_select_date with month_value_format attribute for controlling the format of the month values.

2002-05-17  Andrei Zmievski  <andrei@php.net>

    * NEWS
      Smarty_Compiler.class.php:
    Made it possible to use simple variables inside [] for indexing.

2002-05-16  Monte Ohrt  <monte@ispi.net>

    * docs/designers.sgml
      docs/getting-started.sgml
      NEWS
      Smarty.class.php
      Smarty_Compiler.class.php
      TESTIMONIALS: add "once" attribute to php_include, update docs

2002-05-09  Andrei Zmievski  <andrei@ispi.net>

    * NEWS
      TODO: *** empty log message ***

2002-05-07  Monte Ohrt  <monte@ispi.net>

    * plugins/function.cycle.php: remove \n from cycle function

    * docs/designers.sgml
      plugins/function.cycle.php
      README
      RELEASE_NOTES
      Smarty.class.php
      Smarty_Compiler.class.php
      NEWS:
    update cycle function to handle array as input, update files to 2.1.1

2002-05-06  Monte Ohrt  <monte@ispi.net>

    * plugins/function.fetch.php:
    update fetch function with more error checking

2002-05-03  Monte Ohrt  <monte@ispi.net>

    * docs/designers.sgml
      plugins/function.counter.php:
    update counter to use name instead of id (id still works though)

    * plugins/function.cycle.php
      docs/designers.sgml: rename id to name for cycle function

    * plugins/function.cycle.php:
    update cycle function to allow blank values parameter after initialized

    * plugins/function.cycle.php: fix syntax error

2002-05-02  Monte Ohrt  <monte@ispi.net>

    * plugins/function.cycle.php: ugh, another typo

    * plugins/function.cycle.php: update comments

    * docs/designers.sgml
      plugins/function.cycle.php
      NEWS: added function cycle

    * FAQ
      Smarty.class.php: fix register_outputfilter function

2002-05-01  Monte Ohrt  <monte@ispi.net>

    * docs/designers.sgml
      NEWS
      Smarty.class.php: fixed bug with resource testing and include_path

2002-04-30  Monte Ohrt  <monte@ispi.net>

    * NEWS
      README
      RELEASE_NOTES
      Smarty.class.php
      Smarty_Compiler.class.php: update files for 2.1.0 release

2002-04-30  Andrei Zmievski  <andrei@ispi.net>

    * plugins/function.fetch.php
      docs/programmers.sgml
      Smarty.class.php: Fix.

2002-04-29  Andrei Zmievski  <andrei@ispi.net>

    * docs/programmers.sgml
      docs/designers.sgml: A whole bunch of docs.

2002-04-26  Monte Ohrt  <monte@ispi.net>

    * FAQ
      QUICKSTART
      docs/programmers.sgml: update FAQ, QUICKSTART, small doc syntax fix

2002-04-24  Monte Ohrt  <monte@ispi.net>

    * docs/programmers.sgml
      templates/debug.tpl
      Smarty.class.php: changed doc structure a bit

2002-04-16  Andrei Zmievski  <andrei@php.net>

    * Smarty.class.php: Add register/unregister API for output filters.

    * NEWS
      Smarty.class.php
      Smarty_Compiler.class.php
      TODO:
    Changed the way filters are loaded, which now has to be done explicitly,
    either through load_filter() API or by filling in $autoload_filters variable.
    Also renamed internal variable to avoid namespace pollution.

2002-04-15  Andrei Zmievski  <andrei@php.net>

    * Smarty.class.php:
    Fixed _get_php_resource() to take include_path into account.

2002-04-15  Monte Ohrt  <monte@ispi.net>

    * docs/designers.sgml:
    update docs, get modifiers and functions into index for easy access

    * docs/programmers.sgml
      NEWS
      Smarty.class.php: update caching documentation

2002-04-15  Andrei Zmievski  <andrei@php.net>

    * NEWS: *** empty log message ***

    * Smarty.class.php: Only turn down error notices if $debugging is false.

2002-04-15  Monte Ohrt  <monte@ispi.net>

    * NEWS: update NEWS file

    * plugins/function.html_select_date.php:
    fixed logic so this works right when field_separator = "/"

    * plugins/function.html_select_date.php:
    fix regular expression for matching date

2002-04-13  Monte Ohrt  <monte@ispi.net>

    * docs/designers.sgml: updated html_select_date docs to reflect changes

    * NEWS
      plugins/function.html_select_date.php:
    added YYYY-MM-DD support to html_select_date

2002-04-12  Andrei Zmievski  <andrei@php.net>

    * TESTIMONIALS: New entry.

2002-04-12  Monte Ohrt  <monte@ispi.net>

    * plugins/modifier.strip_tags.php: back out changes to strip_tags

    * docs/programmers.sgml: update docs regarding cache_lifetime

    * plugins/modifier.strip_tags.php
      Smarty.class.php:
    update cache_lifetime logic: -1 = never expire, 0 = always expire

2002-04-11  Andrei Zmievski  <andrei@php.net>

    * BUGS
      FAQ
      INSTALL
      NEWS
      Smarty.class.php
      Smarty_Compiler.class.php
      docs/getting-started.sgml:
    Fixed directory separtor issue. Requiring PHP 4.0.6 now.

    * NEWS
      Smarty_Compiler.class.php:
    Added ability to use simple variables for array indices or object properties.

    * TESTIMONIALS: Another one.

    * TESTIMONIALS: Adding one from Mark P.

2002-04-05  Andrei Zmievski  <andrei@php.net>

    * Smarty_Compiler.class.php
      NEWS
      Smarty.class.php: Make it possible to unregister pre/postfilter plugins.

2002-04-05  Monte Ohrt  <monte@ispi.net>

    * INSTALL: Remove addons file from INSTALL instructions

2002-04-04  Monte Ohrt  <monte@ispi.net>

    * docs/designers.sgml: update doc error

    * docs/designers.sgml
      plugins/modifier.escape.php
      NEWS
      Smarty.class.php: added htmlall attribute to escape modifier

2002-04-03  Andrei Zmievski  <andrei@php.net>

    * Smarty_Compiler.class.php: Fixed undefined offset warning in {if} tag.

    * Smarty.class.php
      NEWS: Added template_exists() API.

    * Smarty.class.php
      Smarty_Compiler.class.php
      NEWS:
    - Added $smarty.template variable.
    - Fixed {include_php} tag when dynamic values were used for 'file' attribute.

    * Config_File.class.php: Separator setting fix.

2002-03-28  Monte Ohrt  <monte@ispi.net>

    * FAQ
      README: add digest address

    * FAQ
      README
      Smarty.class.php: update mailing list addresses

2002-03-28  Andrei Zmievski  <andrei@php.net>

    * NEWS: *** empty log message ***

    * plugins/function.html_select_date.php
      plugins/function.html_select_time.php
      plugins/modifier.date_format.php:
    Fix for when plugins directory is not the default one.

2002-03-28  Andrei Zmievski  <andrei@ispi.net>

    * NEWS: *** empty log message ***

    * plugins/function.html_select_date.php
      plugins/function.html_select_time.php
      plugins/modifier.date_format.php:
    Fix for when plugins directory is not the default one.

2002-03-27  Monte Ohrt  <monte@ispi.net>

    * FAQ: update FAQ page

2002-03-26  Andrei Zmievski  <andrei@ispi.net>

    * CREDITS
      NEWS
      Smarty.class.php
      Smarty_Compiler.class.php
      TODO: Block functions changes.

    * Config_File.class.php: *** empty log message ***

2002-03-25  Andrei Zmievski  <andrei@php.net>

    * Smarty.class.php
      Smarty_Compiler.class.php: Initial implementation of block functions.

2002-03-22  Monte Ohrt  <monte@ispi.net>

    * docs/designers.sgml: fix documentation error in capture

2002-03-22  Andrei Zmievski  <andrei@php.net>

    * Smarty.class.php: *** empty log message ***

    * Smarty.class.php: Turn off notices.

2002-03-21  Andrei Zmievski  <andrei@php.net>

    * Smarty_Compiler.class.php: Make _current_file available to prefilters.

    * NEWS
      Smarty.class.php:
    Made is possible to assign variables in pre/postfilters.

2002-03-20  Andrei Zmievski  <andrei@php.net>

    * plugins/function.html_select_date.php: Fixed +/- functionality.

    * NEWS: *** empty log message ***

2002-03-20  Monte Ohrt  <monte@ispi.net>

    * Config_File.class.php
      NEWS
      README
      RELEASE_NOTES
      Smarty.class.php
      Smarty_Compiler.class.php: update version numbers

    * plugins/function.html_select_date.php
      plugins/function.html_select_time.php
      plugins/modifier.date_format.php:
    move .make_timestamp.php to shared.make_timestamp.php

    * NEWS
      Smarty.class.php
      docs/designers.sgml
      plugins/function.fetch.php
      plugins/function.html_select_date.php:
    update file generation, replace crc32() '-' with 'N'

2002-03-20  Andrei Zmievski  <andrei@php.net>

    * Smarty_Compiler.class.php: *** empty log message ***

2002-03-19  Andrei Zmievski  <andrei@php.net>

    * NEWS: *** empty log message ***

    * Smarty.class.php
      Smarty_Compiler.class.php:
    Fix plugin behavior for inserts with script attribute.

    * NEWS: *** empty log message ***

    * Smarty_Compiler.class.php: Fix bug with $smarty.cookies.

    * TESTIMONIALS: *** empty log message ***

2002-03-15  Monte Ohrt  <monte@ispi.net>

    * NEWS
      docs/designers.sgml: update Changelog

    * plugins/modifier.indent.php
      plugins/modifier.wordwrap.php: add wordwrap and indent to repository

2002-03-14  Monte Ohrt  <monte@ispi.net>

    * Smarty.class.php:
    remove show_info_include and show_info_header functions

2002-03-13  Monte Ohrt  <monte@ispi.net>

    * plugins/function.fetch.php: update fetch function

    * plugins/function.fetch.php: update fetch function with new parameters

2002-03-12  Monte Ohrt  <monte@ispi.net>

    * docs/designers.sgml: update doc tables

    * docs/designers.sgml: update docs columns

    * docs/getting-started.sgml
      docs/appendixes.sgml: update docs

    * TESTIMONIALS
      docs/appendixes.sgml: update syntax error in docs, add to testimonials

2002-03-04  Monte Ohrt  <monte@ispi.net>

    * FAQ
      README: update FAQ, README with digest mode info

2002-03-02  Monte Ohrt  <monte@ispi.net>

    * QUICKSTART: update quickstart

    * Smarty.class.php:
    change behavior so cache_lifetime = 0 never expires (instead of always regenerate)

2002-03-01  Monte Ohrt  <monte@ispi.net>

    * docs/designers.sgml: update doc example

2002-03-01  Andrei Zmievski  <andrei@php.net>

    * CREDITS
      RELEASE_NOTES
      TODO
      NEWS: *** empty log message ***

2002-03-01  Monte Ohrt  <monte@ispi.net>

    * docs/appendixes.sgml
      docs/designers.sgml
      docs/getting-started.sgml
      docs/programmers.sgml: update document id tags

    * docs.sgml: remove docs.sgml

    * RESOURCES
      Smarty.class.php: update resources

2002-02-28  Andrei Zmievski  <andrei@php.net>

    * TESTIMONIALS
      docs/appendixes.sgml
      docs/designers.sgml
      docs/programmers.sgml: *** empty log message ***

2002-02-27  Andrei Zmievski  <andrei@php.net>

    * plugins/function.eval.php
      docs/designers.sgml: *** empty log message ***

2002-02-27  Monte Ohrt  <monte@ispi.net>

    * plugins/function.eval.php: added eval function to plugin dir

2002-02-27  Andrei Zmievski  <andrei@php.net>

    * NEWS: *** empty log message ***

2002-02-27  Monte Ohrt  <monte@ispi.net>

    * docs/designers.sgml: fix syntax error

    * docs/appendixes.sgml
      docs/designers.sgml
      docs/getting-started.sgml
      docs/programmers.sgml: convert technical notes to docbook format

    * NEWS
      docs/designers.sgml: added "eval" plugin docs

2002-02-26  Andrei Zmievski  <andrei@php.net>

    * docs/programmers.sgml
      docs/designers.sgml
      docs/appendixes.sgml
      docs/getting-started.sgml
      docs/html-common.dsl
      docs/.cvsignore: *** empty log message ***

    * docs/appendixes.sgml
      docs/common.dsl
      docs/designers.sgml
      docs/getting-started.sgml
      docs/html-common.dsl
      docs/html.dsl
      docs/manual.sgml
      docs/preface.sgml
      docs/programmers.sgml: Split up docs.

2002-02-25  Andrei Zmievski  <andrei@php.net>

    * docs.sgml: *** empty log message ***

2002-02-22  Monte Ohrt  <monte@ispi.net>

    * docs.sgml: update docs

2002-02-22  Andrei Zmievski  <andrei@php.net>

    * docs.sgml
      AUTHORS
      NEWS: *** empty log message ***

2002-02-21  Monte Ohrt  <monte@ispi.net>

    * Config_File.class.php
      NEWS
      Smarty.class.php
      Smarty_Compiler.class.php
      docs.sgml: update misc changes

2002-02-21  Andrei Zmievski  <andrei@php.net>

    * docs.sgml: *** empty log message ***

2002-02-20  Monte Ohrt  <monte@ispi.net>

    * docs.sgml: misc updates

2002-02-20  Andrei Zmievski  <andrei@php.net>

    * docs.sgml: *** empty log message ***

    * Smarty.class.php
      plugins/function.assign.php
      plugins/function.assign_debug_info.php
      plugins/function.counter.php
      plugins/function.fetch.php
      plugins/function.math.php
      plugins/function.popup.php
      plugins/function.popup_init.php
      plugins/modifier.escape.php: Fixup some naming.

2002-02-20  Monte Ohrt  <monte@ispi.net>

    * docs.sgml: update docs

2002-02-20  Andrei Zmievski  <andrei@php.net>

    * docs.sgml: *** empty log message ***

2002-02-20  Monte Ohrt  <monte@ispi.net>

    * NEWS
      docs.sgml
      plugins/modifier.escape.php:
    removed global vars from fetch function, added attrs to escape modifier

    * docs.sgml: add plugin chapter outline

2002-02-19  Monte Ohrt  <monte@ispi.net>

    * README
      RELEASE_NOTES
      RESOURCES
      Smarty.class.php
      docs.sgml
      BUGS
      FAQ
      INSTALL
      QUICKSTART: update docs

2002-02-19  Andrei Zmievski  <andrei@php.net>

    * docs.sgml: Updated resources docs.

    * README: *** empty log message ***

    * docs.sgml: Updated description of {$smarty} variable.

    * BUGS
      FAQ
      INSTALL
      QUICKSTART
      RELEASE_NOTES
      docs.sgml: Remove PEAR notes.

2002-02-18  Andrei Zmievski  <andrei@php.net>

    * Config_File.class.php
      NEWS: Removed dependency on PEAR.

2002-02-18  Monte Ohrt  <monte@ispi.net>

    * NEWS
      docs.sgml
      plugins/function.popup_init.php: add src attribute to popup_init

2002-02-15  Andrei Zmievski  <andrei@php.net>

    * Smarty_Compiler.class.php
      plugins/modifier.debug_print_var.php
      NEWS
      Smarty.class.php: Performance enhancements.

2002-02-06  Andrei Zmievski  <andrei@php.net>

    * plugins/function.html_options.php:
    Fix html_options output to be XHTML compatible.

2002-02-05  Andrei Zmievski  <andrei@php.net>

    * Smarty.class.php
      Smarty_Compiler.class.php: Fix up plugin inclusion.

    * Smarty.class.php
      Smarty_Compiler.class.php
      TODO
      plugins/function.html_select_date.php
      plugins/function.html_select_time.php
      plugins/modifier.date_format.php: Fix plugin directory access.

2002-02-04  Andrei Zmievski  <andrei@php.net>

    * .cvsignore
      Smarty_Compiler.class.php: *** empty log message ***

2002-01-31  Andrei Zmievski  <andrei@php.net>

    * NEWS: *** empty log message ***

    * Smarty.addons.php
      Smarty.class.php
      Smarty_Compiler.class.php
      TODO
      plugins/function.assign.php
      plugins/function.assign_debug_info.php
      plugins/function.counter.php
      plugins/function.fetch.php
      plugins/function.html_options.php
      plugins/function.html_select_date.php
      plugins/function.html_select_time.php
      plugins/function.math.php
      plugins/function.popup.php
      plugins/function.popup_init.php
      plugins/modifier.capitalize.php
      plugins/modifier.count_characters.php
      plugins/modifier.count_paragraphs.php
      plugins/modifier.count_sentences.php
      plugins/modifier.count_words.php
      plugins/modifier.date_format.php
      plugins/modifier.debug_print_var.php
      plugins/modifier.default.php
      plugins/modifier.escape.php
      plugins/modifier.lower.php
      plugins/modifier.regex_replace.php
      plugins/modifier.replace.php
      plugins/modifier.spacify.php
      plugins/modifier.string_format.php
      plugins/modifier.strip_tags.php
      plugins/modifier.truncate.php
      plugins/modifier.upper.php
      plugins/shared.make_timestamp.php
      templates/index.tpl
      AUTHORS
      CREDITS
      Config_File.class.php
      README: Implemented plugin architecture.

    * NEWS: *** empty log message ***

2002-01-30  Monte Ohrt  <monte@ispi.net>

    * NEWS
      Smarty.addons.php
      Smarty.class.php
      docs.sgml: added modifiers wordwrap and indent

2002-01-28  Monte Ohrt  <monte@ispi.net>

    * Smarty.class.php
      docs.sgml:
    add support for is-modified-since headers, adjust a doc example

2002-01-24  Monte Ohrt  <monte@ispi.net>

    * Smarty.class.php: cleanup formatting

    * NEWS
      Smarty.class.php
      docs.sgml: update ChangeLog, remove insert_tag_check parameter

2002-01-24  Andrei Zmievski  <andrei@php.net>

    * plugins/standard.plugin.php: *** empty log message ***

2002-01-24  Monte Ohrt  <monte@ispi.net>

    * Smarty.class.php: fix syntax error

    * Smarty.class.php: removed unneccesary test from fetch()

2002-01-23  Monte Ohrt  <monte@ispi.net>

    * Smarty.addons.php: update overlib fixes

    * NEWS: update changelog

    * FAQ
      NEWS
      RESOURCES
      Smarty.addons.php: updated overlib fixes

2001-12-31  Andrei Zmievski  <andrei@php.net>

    * NEWS
      Smarty.class.php: Fixed compile_id problem.

2001-12-28  Monte Ohrt  <monte@ispi.net>

    * NEWS
      Smarty.class.php
      Smarty_Compiler.class.php:
    fixed problem with using assigned var with include_php filepath

2001-12-21  Monte Ohrt  <monte@ispi.net>

    * RESOURCES: update RESOURCES

2001-12-20  Monte Ohrt  <monte@ispi.net>

    * FAQ
      README: update FAQ

2001-12-18  Monte Ohrt  <monte@ispi.net>

    * Smarty_Compiler.class.php
      docs.sgml
      Config_File.class.php
      NEWS
      README
      RELEASE_NOTES
      Smarty.addons.php
      Smarty.class.php: update version numbers

2001-12-18  Andrei Zmievski  <andrei@php.net>

    * NEWS
      Smarty.class.php: Fixed clear_cache().

2001-12-14  Monte Ohrt  <monte@ispi.net>

    * NEWS
      Smarty.addons.php:
    fixed bug in smarty_make_timestamp introduced in PHP 4.1.0

2001-12-13  Monte Ohrt  <monte@ispi.net>

    * NEWS
      Smarty.class.php
      docs.sgml: update default function args, fix cached insert debug timing

2001-12-12  Monte Ohrt  <monte@ispi.net>

    * docs.sgml: fix syntax error in documentation

    * Smarty.class.php: update default template handling functionality

2001-12-11  Monte Ohrt  <monte@ispi.net>

    * Smarty.class.php
      Smarty_Compiler.class.php: update file fetching logic

2001-12-11  Andrei Zmievski  <andrei@php.net>

    * NEWS
      Smarty.class.php: Added 'script' attribute to {insert..}.

2001-12-10  Monte Ohrt  <monte@ispi.net>

    * NEWS
      Smarty.class.php: added default template function handler

    * Config_File.class.php
      NEWS
      README
      RELEASE_NOTES
      Smarty.addons.php
      Smarty.class.php
      Smarty_Compiler.class.php: update version numbers in files to 1.5.1

2001-12-10  Andrei Zmievski  <andrei@php.net>

    * NEWS
      Smarty.class.php: Removed error message from the _read_file() method.

    * Smarty.class.php: Fix check for compile and cache IDs.

2001-12-06  Monte Ohrt  <monte@ispi.net>

    * QUICKSTART: fix spelling error in QUICKSTART

    * docs.sgml: fixed spelling errors in documenation

    * Smarty_Compiler.class.php
      docs.sgml
      Config_File.class.php
      NEWS
      README
      RELEASE_NOTES
      Smarty.addons.php
      Smarty.class.php: commit 1.5.0 release

    * RESOURCES
      docs.sgml: added RESOURCES file

2001-12-05  Andrei Zmievski  <andrei@php.net>

    * Smarty_Compiler.class.php: Refactor.

2001-12-05  Monte Ohrt  <monte@ispi.net>

    * NEWS
      Smarty_Compiler.class.php
      docs.sgml: added assign to include and php_include

    * Smarty.class.php
      Smarty_Compiler.class.php
      docs.sgml: *** empty log message ***

2001-12-04  Andrei Zmievski  <andrei@php.net>

    * NEWS
      Smarty_Compiler.class.php: Formatting.

2001-12-04  Monte Ohrt  <monte@ispi.net>

    * Smarty_Compiler.class.php
      NEWS
      Smarty.class.php: update ChangeLog

2001-12-04  Andrei Zmievski  <andrei@php.net>

    * NEWS
      Smarty.class.php: Formatting.

2001-12-04  Monte Ohrt  <monte@ispi.net>

    * Smarty.class.php: removed SMARTY_DIR setting in constructor

    * Smarty.class.php: fix Smarty.class.php indention error

    * Smarty.class.php: update trusted logic

2001-12-03  Monte Ohrt  <monte@ispi.net>

    * Smarty.class.php:
    fix up is_secure, is_trusted, make _parse_tpl_path function

    * Smarty.class.php: fix problem with testing SMARTY_DIR as empty

    * NEWS
      docs.sgml: update documentation, change log

    * Smarty.class.php:
    update constructor to check for SMARTY_DIR before assigning

2001-12-03  Andrei Zmievski  <andrei@php.net>

    * NEWS
      Smarty.class.php: *** empty log message ***

2001-12-03  Monte Ohrt  <monte@ispi.net>

    * FAQ
      INSTALL
      RELEASE_NOTES: update a few files

    * NEWS
      QUICKSTART
      Smarty.class.php
      docs.sgml: added trusted_dir functionality, cleaned up secure_dir logic

2001-12-03  Andrei Zmievski  <andrei@php.net>

    * NEWS: *** empty log message ***

    * NEWS
      Smarty.class.php: - Introduced $compile_id class variable.
    - Fixed a situation where if $cache_id and $compile_id were both null
      they were passed to auto functions as empty string instead of null.

2001-11-30  Monte Ohrt  <monte@ispi.net>

    * NEWS
      Smarty.class.php:
    change variable names in fetch() fuction to smarty_* to avoid namespace conflicts

    * NEWS
      Smarty.class.php: fixed bug in _rm_auto with catenated null values

2001-11-29  Andrei Zmievski  <andrei@php.net>

    * NEWS
      Smarty_Compiler.class.php: Added $smarty.section.* syntax.

    * Smarty_Compiler.class.php: Made 'name' attribute optional for {foreach}.

2001-11-29  Monte Ohrt  <monte@ispi.net>

    * Smarty.class.php
      index.php: remove assign "now" in index.tpl

2001-11-29  Andrei Zmievski  <andrei@php.net>

    * NEWS
      Smarty.addons.php
      Smarty.class.php: Fix formatting.

2001-11-28  Monte Ohrt  <monte@ispi.net>

    * NEWS
      Smarty.class.php
      docs.sgml:
    removed return statements from _read_cache_file (how did they get in there?)

2001-11-27  Monte Ohrt  <monte@ispi.net>

    * docs.sgml
      NEWS
      Smarty.addons.php
      Smarty.class.php:
    fixed bugs and added assign attribute to several functions

2001-11-27  Andrei Zmievski  <andrei@php.net>

    * NEWS: Some rewording.

    * Smarty_Compiler.class.php: Fix $smarty.capture access.

    * TODO: *** empty log message ***

    * NEWS
      Smarty.class.php
      Smarty_Compiler.class.php:
    Made {config_load ..} merge globals from each config file only once per scope.

    * NEWS
      Smarty.class.php
      Smarty_Compiler.class.php: - Added {foreach ...}.
    - Made certain $smarty.* references handled at compilation time.

2001-11-26  Monte Ohrt  <monte@ispi.net>

    * Config_File.class.php
      NEWS
      Smarty.class.php
      Smarty_Compiler.class.php
      docs.sgml: commit cache handler functionality

2001-11-20  Andrei Zmievski  <andrei@php.net>

    * NEWS
      Smarty.addons.php
      Smarty_Compiler.class.php: Various fixes and additions.

    * NEWS
      index.php: *** empty log message ***

2001-11-05  Monte Ohrt  <monte@ispi.net>

    * Smarty.class.php: changed _read_file parameter from $end to $lines

    * NEWS
      Smarty.class.php: fixed is_cache, make cache reading more efficient

2001-11-02  Monte Ohrt  <monte@ispi.net>

    * FAQ
      NEWS: update FAQ with mailing list Reply-To header FAQ

    * NEWS
      Smarty.class.php
      index.php: supress fopen errors, return false if cache file won't load

2001-11-01  Monte Ohrt  <monte@ispi.net>

    * QUICKSTART
      docs.sgml
      index.php: update QUICKSTART guide with index key example

    * Config_File.class.php
      NEWS
      README
      RELEASE_NOTES
      Smarty.addons.php
      Smarty.class.php
      Smarty_Compiler.class.php
      docs.sgml: commit all updates for 1.4.6

2001-11-01  Andrei Zmievski  <andrei@php.net>

    * NEWS: *** empty log message ***

2001-10-30  Monte Ohrt  <monte@ispi.net>

    * Smarty.addons.php: fix assign function problem with empty value passed

    * NEWS
      Smarty.addons.php
      Smarty.class.php
      Smarty_Compiler.class.php
      templates/debug.tpl:
    fixed bug in assign function when passing an empty value

2001-10-26  Monte Ohrt  <monte@ispi.net>

    * Smarty.addons.php
      Smarty.class.php
      index.php: fix minor typo in debug code

2001-10-26  Andrei Zmievski  <andrei@php.net>

    * Smarty.class.php: Typo.

2001-10-26  Monte Ohrt  <monte@ispi.net>

    * Smarty.addons.php:
    update debug console output, handle html encoding correctly

2001-10-26  Andrei Zmievski  <andrei@php.net>

    * Smarty.addons.php
      templates/debug.tpl: Debug formatting.

    * Smarty.class.php: Disable rmdir warning.

2001-10-26  Monte Ohrt  <monte@ispi.net>

    * Smarty.addons.php
      Smarty.class.php
      templates/debug.tpl: update debugging to expand array variables

    * Smarty.class.php
      docs.sgml:
    update docs for fetching only timestamp with custom template source functions

    * Smarty.addons.php: fix debug console error

2001-10-26  Andrei Zmievski  <andrei@php.net>

    * docs.sgml: Typos.

    * Smarty.addons.php: Cleanup whitespace.

    * Smarty_Compiler.class.php: Clean up whitespace.

    * Smarty.class.php: Cleaning up code, formatting mostly.

    * NEWS: *** empty log message ***

2001-10-25  Monte Ohrt  <monte@ispi.net>

    * NEWS
      docs.sgml: update documentation to current version

    * NEWS
      Smarty.addons.php:
    updated fetch to give proper warning when fetching unreadable or nonexistant files

    * NEWS
      Smarty.class.php
      Smarty_Compiler.class.php:
    fixed problem with newline at the end of compiled templates

    * NEWS
      Smarty.class.php: recompile cache if config file gets modified too.

    * NEWS
      Smarty.class.php:
    added feature to regenerate cache if compile_check is enabled and an
    involved template is modified

2001-10-23  Monte Ohrt  <monte@ispi.net>

    * Smarty.class.php: fix indent for insert tags in debug console

    * templates/debug.tpl: update debug.tpl file format

    * NEWS
      Smarty.addons.php
      Smarty.class.php
      templates/debug.tpl:
    update execution time debugging, move into include list

2001-10-10  Monte Ohrt  <monte@ispi.net>

    * NEWS
      Smarty.addons.php
      Smarty.class.php
      Smarty_Compiler.class.php:
    fixed up execution time output in debug console

2001-10-09  Andrei Zmievski  <andrei@php.net>

    * Config_File.class.php
      NEWS
      Smarty.class.php
      TODO: Added support for hidden config vars.

2001-10-04  Monte Ohrt  <monte@ispi.net>

    * NEWS
      Smarty.addons.php
      Smarty.class.php
      templates/debug.tpl: added execution times to debug console

2001-10-02  Andrei Zmievski  <andrei@php.net>

    * Smarty_Compiler.class.php: Add space.

2001-10-01  Andrei Zmievski  <andrei@php.net>

    * Smarty.class.php: Fix reference to compile_id.

2001-09-28  Andrei Zmievski  <andrei@php.net>

    * NEWS
      Smarty.class.php
      Smarty_Compiler.class.php: Added postfilter functions.

2001-09-26  Andrei Zmievski  <andrei@php.net>

    * NEWS
      Smarty.class.php
      docs.sgml: Rename to clear_compiled_tpl().

2001-09-25  Andrei Zmievski  <andrei@php.net>

    * NEWS
      Smarty_Compiler.class.php:
    Fixed line number reporting when removing comments.

2001-09-20  Monte Ohrt  <monte@ispi.net>

    * NEWS
      RELEASE_NOTES
      Smarty.addons.php: made html_options output xhtml compatible

2001-09-19  Monte Ohrt  <monte@ispi.net>

    * Config_File.class.php
      NEWS
      README
      RELEASE_NOTES
      Smarty.addons.php
      Smarty.class.php
      Smarty_Compiler.class.php
      templates/debug.tpl: updated version numbers

2001-09-16  Monte Ohrt  <monte@ispi.net>

    * FAQ
      NEWS
      docs.sgml: fix doc error with insert function

2001-09-06  Andrei Zmievski  <andrei@php.net>

    * NEWS: *** empty log message ***

2001-08-31  Monte Ohrt  <monte@ispi.net>

    * NEWS: update ChangeLog

    * overlib.js
      Smarty.addons.php
      Smarty.class.php
      docs.sgml:
    update overlib to 3.50, adjust addon code so that the overlib.js file isn't modified

2001-08-31  Andrei Zmievski  <andrei@php.net>

    * Smarty.class.php: - compile_id changes

    * NEWS
      Smarty.addons.php: - compile_id support
    - new options for html_select_date

2001-08-23  Andrei Zmievski  <andrei@php.net>

    * TODO: *** empty log message ***

2001-08-10  Andrei Zmievski  <andrei@php.net>

    * NEWS
      Smarty.addons.php
      Smarty.class.php
      Smarty_Compiler.class.php:
    Modified to pass Smarty object as second parameter to insert functions.
    Also moved _smarty_mod_handler() and _smarty_insert_handler() into the class.

    * NEWS
      Smarty_Compiler.class.php:
    Passing Smarty as second parameter to prefilter functions.

2001-08-09  Andrei Zmievski  <andrei@php.net>

    * NEWS: *** empty log message ***

2001-08-09  Monte Ohrt  <monte@ispi.net>

    * templates/index.tpl
      Smarty.class.php: add smarty.now variable to template

2001-08-06  Monte Ohrt  <monte@ispi.net>

    * templates/index.tpl: change config_load section back to setup

2001-08-06  Andrei Zmievski  <andrei@php.net>

    * Smarty.addons.php: Optimize a bit.

2001-08-04  Monte Ohrt  <monte@ispi.net>

    * docs.sgml: update capture documentation

2001-08-03  Monte Ohrt  <monte@ispi.net>

    * FAQ
      NEWS
      Smarty.class.php:
    fix bug with URL controlled debugging, works now (Monte)

2001-08-01  Andrei Zmievski  <andrei@php.net>

    * Config_File.class.php: *** empty log message ***

    * Smarty_Compiler.class.php
      Smarty.class.php: - Fixed some E_NOTICE stuff in compiler.
    - Generalized assign_smarty_interface() a bit.

2001-07-24  Andrei Zmievski  <andrei@php.net>

    * NEWS
      Smarty_Compiler.class.php
      TODO: See ChangeLog for details.

2001-07-20  Andrei Zmievski  <andrei@php.net>

    * Config_File.class.php: Booleanize case-insensitively.

2001-07-17  Monte Ohrt  <monte@ispi.net>

    * NEWS: update ChangeLog

    * Smarty.class.php
      docs.sgml: put SMARTY_DIR on Config_File require

2001-07-11  Monte Ohrt  <monte@ispi.net>

    * docs.sgml
      FAQ
      NEWS
      Smarty.class.php:
    updated security to not include insecure docs, only warning

2001-07-10  Andrei Zmievski  <andrei@php.net>

    * Smarty.class.php: Adding 'sizeof' as an allowed {if} function.

2001-07-06  Andrei Zmievski  <andrei@php.net>

    * NEWS: *** empty log message ***

2001-07-06  Monte Ohrt  <monte@ispi.net>

    * Config_File.class.php
      NEWS
      README
      RELEASE_NOTES
      Smarty.addons.php
      Smarty.class.php
      Smarty_Compiler.class.php: update version number to 1.4.4

    * NEWS
      Smarty.addons.php
      Smarty_Compiler.class.php
      docs.sgml
      templates/header.tpl
      templates/index.tpl: update documenatation, template examples

2001-07-03  Andrei Zmievski  <andrei@php.net>

    * NEWS
      Smarty.class.php: Implemented access to request vars via $smarty var.

    * NEWS
      Smarty_Compiler.class.php:
    Fixed a bug with parsing function arguments in {if} tags.

2001-06-30  Monte Ohrt  <monte@ispi.net>

    * NEWS: update ChangeLog

2001-06-29  Monte Ohrt  <monte@ispi.net>

    * Smarty.addons.php
      Smarty.class.php
      docs.sgml
      overlib.js:
    moved overlib to separate file, added SMARTY_DIR, documented. added much documentation

2001-06-29  Andrei Zmievski  <andrei@php.net>

    * NEWS
      RELEASE_NOTES
      TODO: *** empty log message ***

2001-06-29  Monte Ohrt  <monte@ispi.net>

    * NEWS
      README
      RELEASE_NOTES
      Smarty.addons.php
      Smarty.class.php
      docs.sgml
      index.php
      templates/debug.tpl
      templates/header.tpl
      templates/index.tpl: update release notes

2001-06-27  Andrei Zmievski  <andrei@php.net>

    * Smarty_Compiler.class.php: *** empty log message ***

    * NEWS
      Smarty_Compiler.class.php: Implemented 'step' section attribute.

    * Smarty_Compiler.class.php: Negative values of 'max' will mean no max.

    * AUTHORS
      NEWS: *** empty log message ***

2001-06-26  Andrei Zmievski  <andrei@php.net>

    * NEWS
      Smarty.class.php
      Smarty_Compiler.class.php
      index.php: Added 'max' and 'start' section attributes.
    Added 'total' and 'iteration' section properties.

2001-06-25  Andrei Zmievski  <andrei@php.net>

    * Config_File.class.php
      RELEASE_NOTES
      Smarty.addons.php
      Smarty.class.php
      Smarty_Compiler.class.php: Update version numbers.

2001-06-23  Andrei Zmievski  <andrei@php.net>

    * TODO: *** empty log message ***

2001-06-21  Andrei Zmievski  <andrei@php.net>

    * Config_File.class.php
      NEWS: Fixed booleanization bug.

2001-06-20  Monte Ohrt  <monte@ispi.net>

    * docs.sgml:
    update documents to reflect changes to cached content & debugging

2001-06-20  Andrei Zmievski  <andrei@php.net>

    * Smarty.addons.php
      Smarty.class.php: Remove debug output for cached and fetched cases.

2001-06-20  Monte Ohrt  <monte@ispi.net>

    * Smarty.class.php: update include_info to false

    * Smarty.class.php
      docs.sgml
      index.php
      templates/footer.tpl:
    moved debug logic into Smarty completely, created flags for it

2001-06-19  Andrei Zmievski  <andrei@php.net>

    * Smarty.addons.php
      Smarty.class.php
      templates/debug.tpl: *** empty log message ***

    * NEWS
      Smarty.class.php: Remove unneeded debug functions.

2001-06-19  Monte Ohrt  <monte@ispi.net>

    * NEWS
      Smarty.addons.php
      Smarty.class.php
      docs.sgml
      templates/debug.tpl
      templates/footer.tpl: commit updates, add debug template

2001-06-19  Andrei Zmievski  <andrei@php.net>

    * Smarty.class.php
      Smarty_Compiler.class.php
      TODO:
    Moved config loading code inside main class, the compiled template now
    simply calls that method.

2001-06-15  Andrei Zmievski  <andrei@php.net>

    * NEWS
      Smarty.class.php
      Smarty_Compiler.class.php
      templates/index.tpl: * moved config array into class itself
    * added 'scope' attribute for config_load

    * Smarty_Compiler.class.php
      Smarty.addons.php
      Smarty.class.php: Finishing up secure mode.

2001-06-15  Monte Ohrt  <monte@ispi.net>

    * NEWS: update ChangeLog

    * Smarty_Compiler.class.php: cleaned up logic of if statement security

    * Smarty_Compiler.class.php: update if logic to cover more situations

    * Smarty_Compiler.class.php
      docs.sgml: update if statement security feature

2001-06-14  Andrei Zmievski  <andrei@php.net>

    * Smarty.addons.php
      Smarty.class.php: *** empty log message ***

    * NEWS
      Smarty_Compiler.class.php:
    Fixed a bug with quoted strings inside if statements.

2001-06-13  Monte Ohrt  <monte@ispi.net>

    * Smarty.addons.php
      Smarty.class.php: added secure_dir array for multiple secure directories

    * Smarty.addons.php: update fetch funtion to respect security setting

    * NEWS
      Smarty.addons.php
      Smarty.class.php
      docs.sgml: update documentation, changelog

    * Smarty.addons.php
      Smarty.class.php: moved _extract setting to assign functions

    * Smarty.addons.php
      Smarty.class.php
      Smarty_Compiler.class.php:
    added assign/unassign custom functions, ability to re-extract tpl_vars

    * Smarty.class.php
      Smarty_Compiler.class.php
      docs.sgml
      index.php: commit security features

2001-06-11  Andrei Zmievski  <andrei@php.net>

    * Smarty.class.php: Version variable typo.

2001-06-05  Andrei Zmievski  <andrei@php.net>

    * Smarty.class.php:
    Create config object in fetch() or just set the config path if it already
    exists.

2001-06-04  Andrei Zmievski  <andrei@php.net>

    * Smarty.class.php: *** empty log message ***

    * NEWS
      Smarty_Compiler.class.php:
    Fixed a problem with $<number> inside strip tags.

2001-05-31  Andrei Zmievski  <andrei@php.net>

    * NEWS: *** empty log message ***

    * Config_File.class.php: Allow empty config_path.

2001-05-29  Monte Ohrt  <monte@ispi.net>

    * Smarty_Compiler.class.php
      docs.sgml
      NEWS
      README
      RELEASE_NOTES
      Smarty.addons.php
      Smarty.class.php: update version numbers

    * NEWS
      Smarty.class.php
      Smarty_Compiler.class.php
      docs.sgml: moved version variable to internal variable

2001-05-22  Andrei Zmievski  <andrei@php.net>

    * NEWS
      Smarty.class.php
      Smarty_Compiler.class.php:
    Moved $_smarty_sections and $_smarty_conf_obj into Smarty class.

2001-05-18  Monte Ohrt  <monte@ispi.net>

    * NEWS: update ChangeLog

    * FAQ
      QUICKSTART: update FAQ, QUICKSTART for windows include_path setup

    * configs/test.conf: added configs directory to cvs

2001-05-18  Andrei Zmievski  <andrei@php.net>

    * Smarty.class.php: Use compiler_class for including the file.

2001-05-18  Monte Ohrt  <monte@ispi.net>

    * docs.sgml: fix typo

2001-05-16  Monte Ohrt  <monte@ispi.net>

    * README
      RELEASE_NOTES
      Smarty.addons.php
      Smarty.class.php
      Smarty_Compiler.class.php: update files to version 1.4.1

    * NEWS: update ChangeLog

2001-05-15  Andrei Zmievski  <andrei@php.net>

    * NEWS: *** empty log message ***

    * index.php: forget that!

    * NEWS
      Smarty_Compiler.class.php
      index.php: Fixed a few E_NOTICE warnings.

2001-05-09  Monte Ohrt  <monte@ispi.net>

    * NEWS
      RELEASE_NOTES
      Smarty.addons.php
      Smarty.class.php
      docs.sgml: update dates versions

2001-05-09  Andrei Zmievski  <andrei@php.net>

    * NEWS: *** empty log message ***

    * Smarty.class.php:
    Use absolute paths when requiring/including Smart components.

    * NEWS: *** empty log message ***

    * Smarty.class.php: Use write mode instead of append.

2001-05-02  Andrei Zmievski  <andrei@php.net>

    * NEWS
      Smarty_Compiler.class.php: Fix indexing by section properties.

2001-05-02  Monte Ohrt  <monte@ispi.net>

    * NEWS: update changelog

    * Smarty.class.php: remove period from syntax error

2001-05-02  Andrei Zmievski  <andrei@php.net>

    * Smarty_Compiler.class.php: Double-quote the attribute values by default.

2001-04-30  Monte Ohrt  <monte@ispi.net>

    * Smarty_Compiler.class.php
      NEWS: added simple {capture} logic

2001-04-30  Andrei Zmievski  <andrei@php.net>

    * TODO: *** empty log message ***

    * Smarty_Compiler.class.php
      Smarty.class.php: Fix passing config vars to included files.

    * Smarty.class.php
      Smarty_Compiler.class.php: Fix inclusion again.

2001-04-30  Monte Ohrt  <monte@ispi.net>

    * FAQ
      RELEASE_NOTES
      Smarty.class.php
      misc/fix_vars.php
      NEWS: update paths for windows (c:)

2001-04-28  Andrei Zmievski  <andrei@php.net>

    * Smarty.class.php
      Smarty_Compiler.class.php: Fix passing variables to included files.

    * templates/index.tpl: *** empty log message ***

2001-04-27  Andrei Zmievski  <andrei@php.net>

    * Smarty_Compiler.class.php: Fix includes.

2001-04-26  Andrei Zmievski  <andrei@php.net>

    * Smarty_Compiler.class.php
      docs.sgml
      Smarty.class.php: Formatting mostly.

    * Smarty_Compiler.class.php
      Config_File.class.php: *** empty log message ***

2001-04-26  Monte Ohrt  <monte@ispi.net>

    * Smarty_Compiler.class.php
      docs.sgml
      FAQ
      NEWS
      QUICKSTART
      RELEASE_NOTES
      Smarty.class.php: update docs with new changes

2001-04-26  Andrei Zmievski  <andrei@php.net>

    * RELEASE_NOTES: *** empty log message ***

    * docs.sgml
      templates/index.tpl
      NEWS
      Smarty_Compiler.class.php: Added ability to reference object properties.

2001-04-25  Andrei Zmievski  <andrei@php.net>

    * README
      Smarty.addons.php
      Smarty.class.php
      Smarty_Compiler.class.php
      docs.sgml
      AUTHORS
      Config_File.class.php
      CREDITS
      RELEASE_NOTES
      NEWS: *** empty log message ***

    * docs.sgml: Docs on new parameter to custom functions.

    * NEWS: *** empty log message ***

    * Smarty_Compiler.class.php:
    Changing the way tpl vars are referenced and passing smarty object
    to custom functions.

    * RELEASE_NOTES
      docs.sgml: Fixing docs a bit.

2001-04-24  Andrei Zmievski  <andrei@php.net>

    * docs.sgml: Docs for $compiler_class and compiler functions.

    * templates/index.tpl: *** empty log message ***

    * Smarty_Compiler.class.php: Remove debugging.

2001-04-24  Monte Ohrt  <monte@ispi.net>

    * docs.sgml: update compiler function docs

2001-04-24  Andrei Zmievski  <andrei@php.net>

    * NEWS
      Smarty.class.php
      Smarty_Compiler.class.php
      templates/index.tpl: Added compiler function support.

2001-04-24  Monte Ohrt  <monte@ispi.net>

    * RELEASE_NOTES
      Smarty.class.php:
    update notes, change show_info_header to false by default

    * Smarty.class.php
      Smarty_Compiler.class.php
      docs.sgml
      CREDITS
      FAQ
      NEWS
      README
      RELEASE_NOTES: update documenation, bug fixes

2001-04-24  Andrei Zmievski  <andrei@php.net>

    * misc/fix_vars.php: Hopefully fix for sure.

2001-04-23  Monte Ohrt  <monte@ispi.net>

    * misc/fix_vars.php: uncomment copy/unlink

2001-04-23  Andrei Zmievski  <andrei@php.net>

    * misc/fix_vars.php: Do it more thoroughly.

    * misc/fix_vars.php: check for }

2001-04-22  Andrei Zmievski  <andrei@php.net>

    * misc/fix_vars.php: Fix variable parsing.

2001-04-20  Monte Ohrt  <monte@ispi.net>

    * misc/fix_vars.php: fix problem with 4.0.5-dev and preg_replace_callback

2001-04-19  Monte Ohrt  <monte@ispi.net>

    * Smarty_Compiler.class.php
      docs.sgml
      misc/fix_vars.php
      NEWS
      RELEASE_NOTES
      Smarty.class.php: update notes/documentation

    * NEWS
      README
      RELEASE_NOTES
      Smarty.addons.php
      Smarty.class.php
      Smarty_Compiler.class.php
      docs.sgml: update files for 1.4.0 release

2001-04-16  Andrei Zmievski  <andrei@php.net>

    * misc/fix_vars.php: Added fix_vars.php script.

2001-04-16  Monte Ohrt  <monte@ispi.net>

    * QUICKSTART
      RELEASE_NOTES
      docs.sgml
      templates/index.tpl:
    update RELEASE_NOTES & scripts with new section var syntax

2001-04-13  Andrei Zmievski  <andrei@php.net>

    * Smarty_Compiler.class.php: * Implement new variable format parser.
    * Optimizing config load a bit.

2001-04-13  Monte Ohrt  <monte@ispi.net>

    * FAQ
      NEWS
      RELEASE_NOTES
      Smarty.class.php:
    added $check_cached_insert_tags to speed up cached pages if
          {insert ...} is not used (Monte)

2001-04-12  Andrei Zmievski  <andrei@php.net>

    * NEWS
      Smarty.class.php
      RELEASE_NOTES: *** empty log message ***

    * Smarty_Compiler.class.php: Remove redundant functions.

    * Smarty.class.php: Formatting.

2001-04-12  Monte Ohrt  <monte@ispi.net>

    * Smarty.class.php: update file: parsing

    * Smarty.class.php
      docs.sgml: update documentation

2001-04-12  Andrei Zmievski  <andrei@php.net>

    * Smarty.class.php
      Smarty_Compiler.class.php
      TODO: *** empty log message ***

2001-04-11  Monte Ohrt  <monte@ispi.net>

    * FAQ
      QUICKSTART
      RELEASE_NOTES: added RELEASE_NOTES file to cvs

    * NEWS
      docs.sgml: update ChangeLog, update documentation

    * Smarty.class.php
      Smarty_Compiler.class.php
      templates/index.tpl:
    update Smarty to compile at run-time. added ability to get files from
    absolute paths, added work around for LOCK_EX and windows, changed a few
    file permissions to be more secure.

2001-03-29  Monte Ohrt  <monte@ispi.net>

    * NEWS
      Smarty.addons.php:
    allow arbitrary date strings instead of just timestamps

2001-03-28  Monte Ohrt  <monte@ispi.net>

    * Smarty.class.php
      Smarty_Compiler.class.php
      docs.sgml
      FAQ
      NEWS
      README
      Smarty.addons.php:
    update version in class, update docs for count_ and new vars

    * templates/index.tpl
      docs.sgml: update docs, example template

2001-03-28  Andrei Zmievski  <andrei@php.net>

    * Smarty_Compiler.class.php: Some variable renaming.

2001-03-23  Andrei Zmievski  <andrei@php.net>

    * Smarty_Compiler.class.php
      NEWS: Fixed nested include infinite repeat bug.

2001-03-23  Monte Ohrt  <monte@ispi.net>

    * Smarty.class.php: fix version number

    * Smarty.class.php
      NEWS: added optional HTML header to output

2001-03-22  Andrei Zmievski  <andrei@php.net>

    * Smarty_Compiler.class.php: Fixed inclusion of dynamic files.

2001-03-16  Andrei Zmievski  <andrei@php.net>

    * Smarty_Compiler.class.php: Fixing the config_load scoping.

    * Smarty_Compiler.class.php: making config variables global for now.

2001-03-15  Andrei Zmievski  <andrei@php.net>

    * NEWS: *** empty log message ***

    * Smarty_Compiler.class.php:
    * Includes are now always done via generated function call to protect
      namespace.
    * config_load now always uses global config object to improve
      performance.

2001-03-13  Monte Ohrt  <monte@ispi.net>

    * docs.sgml: update math documentation with format attribute

2001-03-11  Monte Ohrt  <monte@ispi.net>

    * docs.sgml
      NEWS
      Smarty.addons.php
      Smarty.class.php
      Smarty_Compiler.class.php: update math function with format attribute

2001-03-10  Andrei Zmievski  <andrei@php.net>

    * Smarty.addons.php: *** empty log message ***

    * NEWS
      Smarty.addons.php
      Smarty.class.php: Added html_select_time custom function.

2001-03-08  Monte Ohrt  <monte@ispi.net>

    * Smarty.class.php
      Smarty_Compiler.class.php
      NEWS
      README
      Smarty.addons.php: rename 1.3.1b to 1.3.1pl1

    * NEWS
      Smarty.addons.php
      Smarty.class.php
      Smarty_Compiler.class.php: update version numbers, changelog

    * Smarty.class.php
      Smarty_Compiler.class.php:
    moved _syntax_error to Smarty_Compiler.class.php

    * Smarty.class.php
      docs.sgml:
    missing _syntax_error function recovered. fixed minor syntax in docs

2001-03-07  Monte Ohrt  <monte@ispi.net>

    * QUICKSTART
      README
      Smarty.addons.php
      Smarty.class.php
      Smarty_Compiler.class.php
      BUGS
      INSTALL
      NEWS: update everything to 1.3.1

2001-03-03  Monte Ohrt  <monte@ispi.net>

    * Smarty_Compiler.class.php
      Smarty.class.php: fixed bug with cached insert tags

2001-03-02  Monte Ohrt  <monte@ispi.net>

    * Smarty.class.php
      Smarty_Compiler.class.php:
    fix cache fuctions with separated compiled class

    * FAQ
      NEWS
      docs.sgml: update changelog

2001-03-02  Andrei Zmievski  <andrei@php.net>

    * NEWS
      Smarty_Compiler.class.php: Added 'first' and 'last' section properties.

2001-03-02  Monte Ohrt  <monte@ispi.net>

    * TODO: remove compiling separation TODO

    * Smarty_Compiler.class.php
      Smarty.addons.php
      Smarty.class.php: update function headers

    * templates/index.tpl
      NEWS
      Smarty.class.php
      Smarty_Compiler.class.php
      index.php: split out compiling code for faster execution

    * Smarty.class.php: fixed a few warning messages

    * Smarty.addons.php
      Smarty.class.php
      docs.sgml
      NEWS: added fetch, unregister mod/fun, updated docs

2001-03-01  Monte Ohrt  <monte@ispi.net>

    * Smarty.addons.php: added "int" to available list

    * docs.sgml
      FAQ
      Smarty.class.php: update FAQ, add math functions & update documetation

    * index.php
      Smarty.addons.php
      Smarty.class.php
      docs.sgml: fixed literal tags and other optional delimiters

2001-02-26  Andrei Zmievski  <andrei@php.net>

    * NEWS
      Smarty.class.php:
    Added index_prev, index_next section properties and ability to
    index by them.

    * NEWS
      Smarty.addons.php
      Smarty.class.php: Reverting the plugins patch - needs more thought.

    * Smarty.class.php: Fixing plugin loading.

2001-02-23  Andrei Zmievski  <andrei@php.net>

    * Smarty.addons.php
      Smarty.class.php
      plugins/standard.plugin.php
      NEWS: Added plugin functionality.

2001-02-22  Monte Ohrt  <monte@ispi.net>

    * docs.sgml
      templates/index.tpl
      NEWS
      README
      Smarty.class.php: fixed issue with php tags executed in literal blocks

2001-02-21  Monte Ohrt  <monte@ispi.net>

    * NEWS: update changelog for LGPL change

    * Smarty.class.php
      docs.sgml
      README
      Smarty.addons.php: updated version numbers to 1.3.0

    * NEWS
      templates/index.tpl: update changelog, rearrange index.tpl file

2001-02-21  Andrei Zmievski  <andrei@php.net>

    * NEWS
      Smarty.class.php: *** empty log message ***

2001-02-21  Monte Ohrt  <monte@ispi.net>

    * docs.sgml: update parameters for is_cached and fetch

2001-02-21  Andrei Zmievski  <andrei@php.net>

    * NEWS
      Smarty.class.php: *** empty log message ***

2001-02-21  Monte Ohrt  <monte@ispi.net>

    * NEWS
      Smarty.addons.php
      docs.sgml: update docs, remove header function from addons

2001-02-20  Monte Ohrt  <monte@ispi.net>

    * FAQ
      NEWS: update changelog

    * TODO: update todo

    * TODO: update todo list

    * Smarty.class.php: update php tag handling logic

2001-02-19  Monte Ohrt  <monte@ispi.net>

    * index.php
      Config_File.class.php
      FAQ
      Smarty.class.php
      docs.sgml: fixed <?php tag at beginning of files, updated docs

2001-02-19  Andrei Zmievski  <andrei@php.net>

    * Smarty.addons.php: *** empty log message ***

2001-02-13  Andrei Zmievski  <andrei@php.net>

    * TODO: *** empty log message ***

2001-02-12  Andrei Zmievski  <andrei@php.net>

    * templates/index.tpl
      Smarty.class.php: *** empty log message ***

2001-02-10  Monte Ohrt  <monte@ispi.net>

    * Smarty.class.php: remove  unneeded preg_match

    * Smarty.class.php: remove comment

    * Smarty.class.php: updated php escape to handle <script language="php">

    * NEWS
      Smarty.class.php: fix php tag escapement logic

    * NEWS: commit changelog

    * docs.sgml: update header docs

    * docs.sgml
      Smarty.addons.php
      Smarty.class.php: added header custom function

2001-02-09  Monte Ohrt  <monte@ispi.net>

    * index.php
      templates/header.tpl
      templates/index.tpl
      INSTALL
      QUICKSTART
      docs.sgml: update documentation, add examples to test script.

2001-02-08  Andrei Zmievski  <andrei@php.net>

    * Smarty.class.php: *** empty log message ***

2001-02-08  Monte Ohrt  <monte@ispi.net>

    * COPYING.lib: added COPYING.lib

    * COPYING
      Config_File.class.php
      Smarty.addons.php
      Smarty.class.php
      docs.sgml: changed license to LGPL for commercial use

    * docs.sgml
      Smarty.class.php: fix clear_assign syntax error

2001-02-07  Monte Ohrt  <monte@ispi.net>

    * Smarty.class.php: added ability to pass array to clear_assign

    * index.php
      templates/index.tpl
      docs.sgml:
    update documentation, remove tests from index file and template

2001-02-07  Andrei Zmievski  <andrei@php.net>

    * NEWS
      Smarty.class.php: Adding file locking.

    * templates/index.tpl
      Smarty.addons.php
      Smarty.class.php
      index.php: More cache work.

2001-02-06  Monte Ohrt  <monte@ispi.net>

    * docs.sgml
      Smarty.class.php:
    change register_ function names, update documents with tables

2001-02-06  Andrei Zmievski  <andrei@php.net>

    * NEWS
      Smarty.class.php
      templates/index.tpl: Reworking and optimizing the cache system.

    * Smarty.class.php: Restoring ?> in patterns.

2001-02-05  Monte Ohrt  <monte@ispi.net>

    * Smarty.class.php
      docs.sgml: update cache directory creation logic

2001-02-05  Andrei Zmievski  <andrei@php.net>

    * Smarty.class.php: Removing once-only subpattern for now..

    * Smarty.class.php: Fix modifier arg parsing.

2001-02-02  Andrei Zmievski  <andrei@php.net>

    * NEWS
      Smarty.class.php
      templates/index.tpl: See changelog.

2001-02-01  Andrei Zmievski  <andrei@php.net>

    * README: *** empty log message ***

    * Smarty.class.php: Use 'echo' instead of 'print'.

    * Smarty.addons.php: *** empty log message ***

2001-02-01  Monte Ohrt  <monte@ispi.net>

    * Smarty.class.php: rearranged variables at top of script

2001-02-01  Andrei Zmievski  <andrei@php.net>

    * Smarty.class.php: Retabbing.

    * templates/index.tpl
      Smarty.class.php
      index.php: *** empty log message ***

2001-02-01  Monte Ohrt  <monte@ispi.net>

    * Smarty.class.php: update caching logic

    * Smarty.class.php: fixed clear_all_cache bugs

    * Smarty.class.php: fix .cache check

    * docs.sgml
      FAQ
      Smarty.class.php: update .che to .cache

    * FAQ
      Smarty.class.php
      docs.sgml: updated docs for caching, added clear_all_cache() directive

2001-01-31  Monte Ohrt  <monte@ispi.net>

    * index.php
      templates/index.tpl
      docs.sgml: upated docs for date_format and html_options

2001-01-31  Andrei Zmievski  <andrei@php.net>

    * NEWS: *** empty log message ***

    * Smarty.addons.php
      index.php: Added ability to pass 'options' attribute to html_options.

    * Smarty.addons.php
      Smarty.class.php
      docs.sgml
      index.php
      templates/index.tpl
      Config_File.class.php
      NEWS
      README: Reworking, simplifying, and speeding up cache implementation.
    Fixing the infelicity where you couldn't have '|' and ':' inside
    quoted modifier arguments.

2001-01-31  Monte Ohrt  <monte@ispi.net>

    * Smarty.class.php
      index.php
      templates/index.tpl: removed DEBUG lines

2001-01-30  Monte Ohrt  <monte@ispi.net>

    * Smarty.class.php: changed default expire to 3600

    * Config_File.class.php
      NEWS
      README
      Smarty.addons.php
      Smarty.class.php: updated version numbers

    * docs.sgml
      NEWS
      Smarty.class.php:
    added caching, force compile, force cache, misc performance updates

2001-01-30  Andrei Zmievski  <andrei@php.net>

    * NEWS: *** empty log message ***

    * Smarty.class.php
      templates/index.tpl: Remove debug message.

    * Smarty.class.php
      templates/index.tpl: Fixing the compile directory mayhem...

    * Smarty.class.php:
    Fix problem with {strip} around {section} and {include}

    * Smarty.addons.php: *** empty log message ***

2001-01-29  Monte Ohrt  <monte@ispi.net>

    * FAQ
      NEWS
      README
      Smarty.class.php: fixed PHP_VERSION check, misc doc updates

    * index.php
      Config_File.class.php
      NEWS
      QUICKSTART
      README
      Smarty.addons.php
      Smarty.class.php
      docs.sgml: updated for 1.2.1 compile_dir changes, misc doc updates

2001-01-26  Monte Ohrt  <monte@ispi.net>

    * BUGS
      README: update BUGS and README files

    * FAQ: updated FAQ

    * Config_File.class.php
      FAQ
      NEWS
      README
      Smarty.addons.php
      docs.sgml
      templates/index.tpl
      AUTHORS: update again

2001-01-26  Andrei Zmievski  <andrei@php.net>

    * docs.sgml
      NEWS
      README
      Smarty.class.php
      templates/index.tpl: *** empty log message ***

    * Smarty.class.php
      index.php
      templates/index.tpl: Added ability to index by key.

2001-01-25  Monte Ohrt  <monte@ispi.net>

    * NEWS: update changelog

    * README
      Smarty.addons.php
      Smarty.class.php
      docs.sgml
      AUTHORS: updated versions to 1.1.0

    * docs.sgml
      templates/index.tpl
      Config_File.class.php
      Smarty.addons.php
      Smarty.class.php: update copyright notice

    * Config_File.class.php
      Smarty.addons.php
      Smarty.class.php
      docs.sgml: added misc info

2001-01-24  Monte Ohrt  <monte@ispi.net>

    * Smarty.addons.php
      index.php
      templates/index.tpl
      Config_File.class.php: initial commit

2001-01-23  Monte Ohrt  <monte@ispi.net>

    * docs.sgml: fix typo

2001-01-22  Monte Ohrt  <monte@ispi.net>

    * doc.sgm
      docs.sgml: updated docs, renamed file

    * FAQ: updated FAQ

    * NEWS
      README: updated Changelog and Readme

    * doc.sgm: updated doc.sgm error

    * AUTHORS
      COPYING
      INSTALL
      NEWS
      QUICKSTART: misc doc changes, added AUTHORS, COPYING

2001-01-22  Andrei Zmievski  <andrei@php.net>

    * NEWS
      templates/index.tpl: *** empty log message ***

    * Smarty.class.php
      templates/index.tpl:
    Fixed bug that wouldn't let you do specify non-array values for 'loop'
    attribute.

2001-01-22  Monte Ohrt  <monte@ispi.net>

    * QUICKSTART: updated QUICKSTART

    * BUGS
      FAQ
      INSTALL
      README
      doc.sgm: added BUGS and INSTALL, updated docs, FAQ, README

2001-01-21  Monte Ohrt  <monte@ispi.net>

    * FAQ
      doc.sgm: updates to FAQ and docs

2001-01-19  Monte Ohrt  <monte@ispi.net>

    * FAQ: initial commit of FAQ

    * QUICKSTART
      README
      doc.sgm
      index.php:
    updated README, doc.sgm with preg_replace() parameter issue. also removed "./" from index.php file

    * NEWS: initial commit of changelog

    * doc.sgm
      QUICKSTART: update quickstart text

2001-01-19  Andrei Zmievski  <andrei@php.net>

    * Smarty.class.php: Fix the compiled template check.

2001-01-18  Andrei Zmievski  <andrei@php.net>

    * doc.sgm: *** empty log message ***

2001-01-18  Monte Ohrt  <monte@ispi.net>

    * index.php
      templates/index.tpl
      QUICKSTART
      Smarty.addons.php
      Smarty.class.php
      doc.sgm: update changes

2001-01-18  Andrei Zmievski  <andrei@php.net>

    * QUICKSTART
      Smarty.addons.php: *** empty log message ***

2001-01-18  Monte Ohrt  <monte@ispi.net>

    * QUICKSTART
      doc.sgm: add QUICKSTART, update docs for default modifier

    * Smarty.addons.php
      Smarty.class.php: added default modifier

    * README
      Smarty.addons.php
      Smarty.class.php
      doc.sgm
      templates/index.tpl: added dislaimers

2001-01-18  Andrei Zmievski  <andrei@php.net>

    * Smarty.class.php: *** empty log message ***

2001-01-16  Andrei Zmievski  <andrei@php.net>

    * Smarty.class.php
      templates/index.tpl: Implement 'div by'.

2001-01-12  Monte Ohrt  <monte@ispi.net>

    * doc.sgm: update docs

    * doc.sgm: doc changes

    * doc.sgm: update docs

2001-01-12  Andrei Zmievski  <andrei@php.net>

    * Smarty.class.php
      doc.sgm: *** empty log message ***

    * Smarty.class.php: Fix template traversal.

2001-01-11  Andrei Zmievski  <andrei@php.net>

    * Smarty.class.php: *** empty log message ***

2001-01-09  Andrei Zmievski  <andrei@php.net>

    * Smarty.addons.php
      Smarty.class.php: *** empty log message ***

2001-01-09  Monte Ohrt  <monte@ispi.net>

    * doc.sgm: update manual

2001-01-05  Monte Ohrt  <monte@ispi.net>

    * doc.sgm
      Smarty.addons.php: commit changes

2001-01-04  Monte Ohrt  <monte@ispi.net>

    * doc.sgm
      templates/index.tpl
      Smarty.class.php: update changes

    * index.php
      Smarty.addons.php
      doc.sgm: add documentation

2001-01-02  Monte Ohrt  <monte@ispi.net>

    * index.php
      templates/index.tpl
      Smarty.addons.php
      Smarty.class.php: prepend insert_ to insert tag functions

    * Smarty.class.php
      index.php
      templates/index.tpl: remove caching logic

    * README
      Smarty.class.php
      index.php
      templates/index.tpl: update changes

2000-12-27  Andrei Zmievski  <andrei@php.net>

    * Smarty.class.php
      templates/header.tpl
      templates/index.tpl
      Smarty.addons.php: *** empty log message ***

2000-12-21  Andrei Zmievski  <andrei@php.net>

    * Smarty.class.php: Fix access to template variables.

    * Smarty.class.php
      templates/header.tpl:
    Added support for passing variables to included files.

2000-12-20  Andrei Zmievski  <andrei@php.net>

    * Smarty.class.php:
    Added support for inserting results of function processing a template.

2000-12-18  Monte Ohrt  <monte@ispi.net>

    * Smarty.class.php: added string_format function

    * Smarty.addons.php: update format to string_format

    * README
      Smarty.addons.php
      Smarty.class.php: added format addon function

2000-12-13  Andrei Zmievski  <andrei@php.net>

    * Smarty.addons.php
      Smarty.class.php: Fix sectionelse.

2000-12-07  Andrei Zmievski  <andrei@php.net>

    * Smarty.addons.php
      Smarty.class.php
      templates/index.tpl: *** empty log message ***

2000-12-04  Andrei Zmievski  <andrei@php.net>

    * Smarty.class.php
      templates/index.tpl
      Smarty.addons.php: *** empty log message ***

2000-11-27  Andrei Zmievski  <andrei@php.net>

    * templates/index.tpl
      Smarty.class.php: *** empty log message ***

2000-11-22  Andrei Zmievski  <andrei@php.net>

    * Smarty.class.php
      templates/index.tpl: *** empty log message ***

2000-11-21  Andrei Zmievski  <andrei@php.net>

    * Smarty.class.php
      templates/index.tpl
      Smarty.addons.php: *** empty log message ***

2000-11-20  Andrei Zmievski  <andrei@php.net>

    * templates/index.tpl
      Smarty.class.php
      Smarty.addons.php
      index.php: *** empty log message ***

    * Smarty.class.php
      index.php
      templates/index.tpl: Made sections work mostly.

2000-11-19  Andrei Zmievski  <andrei@php.net>

    * index.php
      templates/index.tpl: *** empty log message ***

2000-11-17  Andrei Zmievski  <andrei@php.net>

    * Smarty.class.php
      Smarty.addons.php: *** empty log message ***

2000-11-15  Monte Ohrt  <monte@ispi.net>

    * index.php
      templates/footer.tpl
      templates/header.tpl
      templates/index.tpl: added template files to cvs dir

    * README
      Smarty.class.php: commit changes

2000-08-08  Monte Ohrt  <monte@ispi.net>

    * README
      Smarty.class.php: update include path bug

    * README: add README file

    * Smarty.class.php: New file.

    * Smarty.class.php: initial import

